2012-05-22  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's DRT needs to print information about received Web Intents
        https://bugs.webkit.org/show_bug.cgi?id=86864

        Reviewed by Adam Barth.

        Enable Web Intents by default on EFL port.

        * Source/cmake/OptionsEfl.cmake:

2012-05-21  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Unreviewed build fix when ENABLE_VIDEO is off and ENABLE_VIDEO_TRACK is not.

        Do not enable VIDEO_TRACK if VIDEO itself has been disabled.

        * Source/cmake/OptionsEfl.cmake:

2012-05-21  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Do not enable Web Audio support by default at build time.
        https://bugs.webkit.org/show_bug.cgi?id=86982

        Reviewed by Philippe Normand.

        Follow-up to r115800. Even though Web Audio support is disabled by
        default in build-webkit, enabling it in OptionsEfl.cmake will turn
        it on when building the port without build-webkit.

        Since Web Audio support for the EFL port does not seem to be fully
        working yet, it is better to disable it in all cases.

        * Source/cmake/OptionsEfl.cmake: Remove option override for
        ENABLE_WEB_AUDIO.

2012-05-21  Dominic Mazzoni  <dmazzoni@google.com>

        AX: A disabled select element should not be exposed as focusable
        https://bugs.webkit.org/show_bug.cgi?id=86949

        Reviewed by Chris Fleizach.

        * LayoutTests/accessibility/disabled-controls-not-focusable-expected.txt: Added.
        * LayoutTests/accessibility/disabled-controls-not-focusable.html: Added.
        * Source/WebCore/accessibility/AccessibilityListBox.h:
        (AccessibilityListBox):
        * Source/WebCore/accessibility/AccessibilityMenuList.cpp:
        (WebCore::AccessibilityMenuList::canSetFocusAttribute):
        (WebCore):
        * Source/WebCore/accessibility/AccessibilityMenuList.h:
        (AccessibilityMenuList):

2012-05-20  George Staikos  <staikos@webkit.org>

        [BlackBerry] Define navigator.vendor for BlackBerry.
        https://bugs.webkit.org/show_bug.cgi?id=86975

        Reviewed by Antonio Gomes.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-05-20  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Clean up no longer used files in DerivedSources.

        * wscript:

2012-05-19  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Remove a couple files wx doesn't use from the build.

        * wscript:

2012-05-18  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Web Intents code is not compiling
        https://bugs.webkit.org/show_bug.cgi?id=85364

        Reviewed by Adam Barth.

        Remove broken CMake directive for WEB_INTENTS.

        * Source/cmake/OptionsEfl.cmake:

2012-05-18  Adrian Bunk  <bunk@stusta.de>

        [GTK] Remove the obsolete AM_PROG_CC_STDC
        https://bugs.webkit.org/show_bug.cgi?id=85250

        Reviewed by Martin Robinson.

        * configure.ac:

2012-05-18  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Unreviewed, remove ENABLE_CSS_GRID_LAYOUT option after r117613.

        * Source/cmake/WebKitFeatures.cmake:

2012-05-18  Shezan Baig  <shezbaig.wk@gmail.com>

        Expose FrameSelection::absoluteCaretBounds via window.internals
        https://bugs.webkit.org/show_bug.cgi?id=86390

        Reviewed by Ryosuke Niwa.

        Exports necessary symbols.

        * Source/autotools/symbols.filter:

2012-05-18  Martin Robinson  <mrobinson@igalia.com>

        Get IndexedDB closer to building for GTK+.

        Reviewed by Philippe Normand.

        * configure.ac: Make out the IndexedDB imply USE_LEVELDB, as LevelDB is the
        only IndexedDB backend at the moment. Also mark IndexedDB as incomplete.

2012-05-18  Zalan Bujtas  <zbujtas@gmail.com>

        [Qt] Gesture tap highlighter needs to take overflow clip into account.
        https://bugs.webkit.org/show_bug.cgi?id=84989

        Reviewed by Kenneth Rohde Christiansen.

        * ManualTests/qt/tap-highlighting-overflow-hidden.html: Added.

2012-05-18  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Add simple implementation of Web Intents
        https://bugs.webkit.org/show_bug.cgi?id=86354

        Reviewed by Eric Seidel.

        Enable WEB_INTENTS flag by default on EFL port.

        * Source/cmake/OptionsEfl.cmake:

2012-05-17  Dan Bernstein  <mitz@apple.com>

        REGRESSION (r117428): WebKit API/SPI was removed
        https://bugs.webkit.org/show_bug.cgi?id=86748

        Reverted r117428.

        * Source/autotools/symbols.filter:

2012-05-17  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Fix link error caused by not directly linking with edbus
        https://bugs.webkit.org/show_bug.cgi?id=86747

        Unreviewed build fix.

        * Source/cmake/FindEFL.cmake:

2012-05-17  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Convert setDomainRelaxationForbiddenForURLScheme to use InternalSettings interface
        https://bugs.webkit.org/show_bug.cgi?id=86704

        Reviewed by Eric Seidel.

        * Source/autotools/symbols.filter: Add setDomainRelaxationForbiddenForURLScheme symbol filter.

2012-05-16  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Support for Battery Status API on the WebKit-Efl
        https://bugs.webkit.org/show_bug.cgi?id=83254

        Reviewed by Chang Shu.

        Add dependency check for e_ukit package which is in the e_dbus library.

        * Source/cmake/FindEFL.cmake:

2012-05-16  Varun Jain  <varunjain@google.com>

        [chromium] No modifier flags (shift/ctrl/alt) in drag&drop events on chromium linux
        https://bugs.webkit.org/show_bug.cgi?id=86236

        Reviewed by Tony Chang.

        * ManualTests/chromium/modifiers-during-drag-and-drop.html: Added.

2012-05-16  Keishi Hattori  <keishi@webkit.org>

        [chromium] Add WebKit API to access inner text value of input element
        https://bugs.webkit.org/show_bug.cgi?id=85353

        Reviewed by Kent Tamura.

        * Source/autotools/symbols.filter: Added HTMLInputElement::setEditingValue

2012-05-15  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Enable Fullscreen API
        https://bugs.webkit.org/show_bug.cgi?id=85870

        Reviewed by Antonio Gomes.

        Enable FULLSCREEN_API on the Efl port.

        * Source/cmake/OptionsEfl.cmake:

2012-05-14  Shinya Kawanaka  <shinyak@chromium.org>

        document.execCommand('Indent') in the direct child of ShadowRoot causes a crash.
        https://bugs.webkit.org/show_bug.cgi?id=86341

        Reviewed by Ryosuke Niwa.

        Exports necessary symbols.

        * Source/autotools/symbols.filter:

2012-05-14  Luke Macpherson  <macpherson@chromium.org>

        Introduce ENABLE_CSS_VARIABLES compile flag.
        https://bugs.webkit.org/show_bug.cgi?id=86338

        Reviewed by Dimitri Glazkov.

        Add a configuration option for CSS Variables support, disabling it by default.

        * Source/cmake/WebKitFeatures.cmake:

2012-05-14  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Fix wxMSW build, and make sure we properly
        define WebKitVersion.h as a build target for all platforms to avoid
        unnecessary rebuilds.
        
        * wscript:

2012-05-11  Jeffrey Pfau  <jpfau@apple.com>

        REGRESSION (r114170): Scroll areas in nested frames improperly placed when tiled drawing is enabled
        https://bugs.webkit.org/show_bug.cgi?id=86239

        Reviewed by Anders Carlsson.

        * ManualTests/resources/frame-textarea.html: Added.
        * ManualTests/scrollable-positioned-frame.html: Added.
        * ManualTests/scrollable-positioned-nested-frame.html: Added.

2012-05-11  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix, exclude some files we don't use from the build.

        * wscript:

2012-05-11  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Fix a reference counting issue in UserMediaRequest
        https://bugs.webkit.org/show_bug.cgi?id=86210

        Reviewed by Abhishek Arya.

        * ManualTests/user-media-request-crash.html: Added.

2012-05-11  Christophe Dumez  <christophe.dumez@intel.com>

        Web Intents code only supports V8
        https://bugs.webkit.org/show_bug.cgi?id=85954

        Reviewed by Adam Barth.

        Add ENABLE_WEB_INTENTS flag to CMake.

        * Source/cmake/WebKitFeatures.cmake:
        * Source/cmakeconfig.h.cmake:

2012-05-11  Xiaobo Wang  <xbwang@torchmobile.com.cn>

        [BlackBerry] Update DumpRenderTree.cpp to also run ref-tests if there're any
        https://bugs.webkit.org/show_bug.cgi?id=86055

        Reviewed by Rob Buis.

        Ref-tests are tests with suffix "-expected", "-expected-mismatch" and a valid
        extension(".html", ".htm", etc.).
        Currently torch-launcher only run tests parsed by NRWT, with ref-tests
        excluded. As a result, if a test have ref-tests (which were not run), our
        DumpRenderTree Perl script will think there's a crash and exit with code 1.
        So NRWT will report the result as CRASH.
        We need to update DumpRenderTree.cpp to try to find ref-tests and run them.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::DumpRenderTree):
        (BlackBerry::WebKit::DumpRenderTree::getRefTests):
        (WebKit):
        (BlackBerry::WebKit::DumpRenderTree::runCurrentTest):
        (BlackBerry::WebKit::DumpRenderTree::runRemainingTests):
        (BlackBerry::WebKit::DumpRenderTree::runTests):
        * DumpRenderTree/blackberry/DumpRenderTreeBlackBerry.h:
        (DumpRenderTree):

2012-05-10  MORITA Hajime  <morrita@google.com>

        ElementShadow should minimize the usage of "ShadowRoot" name
        https://bugs.webkit.org/show_bug.cgi?id=85970

        Reviewed by Dimitri Glazkov.

        Removed symbols which no longer exists

        * Source/autotools/symbols.filter:

2012-05-10  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Move resumeAnimations to use Internals interface
        https://bugs.webkit.org/show_bug.cgi?id=86063

        Reviewed by Alexey Proskuryakov.

        * Source/autotools/symbols.filter: Add a symbol filter for resumeAnimations. 

2012-05-10  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] ENABLE_IFRAME_SEAMLESS support
        https://bugs.webkit.org/show_bug.cgi?id=85843

        Reviewed by Eric Seidel.

        Add a configuration option for enabling the iframe seamless
        attribute support, enabling it by default.

        * configure.ac:

2012-05-09  Stephen Chenney  <schenney@chromium.org>

        SVG Filters allow invalid elements as children
        https://bugs.webkit.org/show_bug.cgi?id=83979

        Reviewed by Nikolas Zimmermann.

        This test will crash upon load in Chromium, unless the associated fix is in.

        * ManualTests/bugzilla-83979.svg: Added.

2012-05-09  Kent Tamura  <tkent@chromium.org>

        Calendar Picker: Fix a crash by changing input type.
        https://bugs.webkit.org/show_bug.cgi?id=86007

        Reviewed by Hajime Morita.

        * ManualTests/forms/calendar-picker-crash-by-type-change.html: Added.

2012-05-09  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Move suspendAnimations to use Internals interface.
        https://bugs.webkit.org/show_bug.cgi?id=85986

        Reviewed by Ryosuke Niwa.

        * Source/autotools/symbols.filter: Add a symbol filter for suspendAnimations. 

2012-05-09  Hugo Parente Lima  <hugo.lima@openbossa.org>

        Use suitable viewport values on XHTML-MP pages.
        https://bugs.webkit.org/show_bug.cgi?id=85425

        Reviewed by Kenneth Rohde Christiansen.

        Add LEGACY_VIEWPORT_ADAPTION use feature to cmake build system,
        this feature will enable the use of a suitable viewport size
        on legacy XHTML-MP pages.

        * Source/cmake/WebKitFeatures.cmake:

2012-05-09  Crystal Zhang  <haizhang@rim.com>

        [BlackBerry] Enable PAGE_POPUP in make file, and implement required methods
        https://bugs.webkit.org/show_bug.cgi?id=85907

        Reviewed by Rob Buis.

        Enable PAGE_POPUP option in make files.

        Internal reviewed by Yong Li.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmakeconfig.h.cmake:

2012-05-09  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Split WebKit2 Makefile moving source code listings to GNUmakefile.list.am
        https://bugs.webkit.org/show_bug.cgi?id=85985

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am:

2012-05-09  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Use independent version numbers for public libraries
        https://bugs.webkit.org/show_bug.cgi?id=85984

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: Define LIBJAVASCRIPTCOREGTK_VERSION and
        LIBWEBKIT2GTK_VERSION using the same version as
        LIBWEBKITGTK_VERSION for backwards compatibility.

2012-05-08  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] FindGStreamer: Fix the build with static WebCore.
        https://bugs.webkit.org/show_bug.cgi?id=85930

        Reviewed by Daniel Bates.

        Building WebCore statically was failing because files in
        WebCore/platform/gstreamer when ENABLE_VIDEO was set required
        gstreamer-base, which was not being linked to after r116453.

        Fix that by looking for gstreamer-base, requiring and linking
        against it if GStreamer is used.

        * Source/cmake/FindGStreamer.cmake:

2012-05-08  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Rewrite FindGStreamer.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=85857

        Reviewed by Daniel Bates.

        We are currently kind of duplicating the same
        FindGStreamer-Foo.cmake file whenever a new GStreamer plugin needs
        to be found. Besides this approach not scaling very well, it
        relies on pkg-config for version checking, uses the LibFindMacros
        package that we should deprecate and all the find files could be
        merged into one, with users using the COMPONENTS feature of the
        FIND_PACKAGE() call to find the desired plugins.

        FindGStreamer.cmake has then been rewritten to take all that into
        account:
        - The LibFindMacros.cmake package is not used anymore.
        - Version check is performed in the CMake file itself by parsing
        the gstversion.h header.
        - All GStreamer plugins are searched and the COMPONENTS keyword
        used in the FIND_PACKAGE() call is used to check which plugins are
        required.
        - The plugins-base and base GStreamer plugins are not searched, as
        they were not used anywhere in the build system.

        * Source/cmake/FindGStreamer-App.cmake: Removed.
        * Source/cmake/FindGStreamer-Audio.cmake: Removed.
        * Source/cmake/FindGStreamer-Base.cmake: Removed.
        * Source/cmake/FindGStreamer-FFT.cmake: Removed.
        * Source/cmake/FindGStreamer-Interfaces.cmake: Removed.
        * Source/cmake/FindGStreamer-Pbutils.cmake: Removed.
        * Source/cmake/FindGStreamer-Plugins-Base.cmake: Removed.
        * Source/cmake/FindGStreamer-Video.cmake: Removed.
        * Source/cmake/FindGStreamer.cmake: Rewrite as described above.
        * Source/cmake/OptionsEfl.cmake: Use COMPONENTS to specify which
        GStreamer plugins to look for.

2012-05-08  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic fix attempt for dashboard images.

        Rubber-stamped by Antti Koivisto.

        Also stop generating images for 30, 90, and 365 days since they have been timing out.

        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_runs_update):
        * Websites/webkit-perf.appspot.com/models.py:
        (Runs.chart_params):

2012-05-08  Christophe Dumez  <christophe.dumez@intel.com>

        [CMake] Add ENABLE_IFRAME_SEAMLESS flag
        https://bugs.webkit.org/show_bug.cgi?id=85838

        Reviewed by Eric Seidel.

        Add ENABLE_IFRAME_SEAMLESS flag to CMake and enable it by default.
        This flag was introduced by r116356.

        * Source/cmake/WebKitFeatures.cmake:
        * Source/cmakeconfig.h.cmake:

2012-05-08  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] X11 plugins need to be reworked for Qt5+WK1
        https://bugs.webkit.org/show_bug.cgi?id=80691

        Reviewed by Simon Hausmann.

        Implement basic windowless plugin support with Qt5.

        * Source/api.pri: Need private API's to be able
        to use QApplicationPrivate::windowForWidget.

2012-05-07  Dave Tu  <dtu@chromium.org>

        Adjust flakiness dashboard gpu_tests image diff URLs.
        https://bugs.webkit.org/show_bug.cgi?id=85423

        Reviewed by Ojan Vafai.

        * Tools/TestResultServer/static-dashboards/flakiness_dashboard.js:

2012-05-07  Liam Quinn  <lquinn@rim.com>

        [BlackBerry] WWW-Authenticate header on 200 response pops up authentication dialog
        https://bugs.webkit.org/show_bug.cgi?id=85643

        Reviewed by George Staikos.

        RIM PR: 151992
        Added manual test for WWW-Authenticate header on a 200 response.

        * ManualTests/blackberry/http-auth-on-200.php: Added.

2012-05-07  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Unreviewed trivial build fix: Don't include bytearraytestdata.h in the QtWebKit
        module header.

        * Source/sync.profile:

2012-05-06  MORITA Hajime  <morrita@google.com>

        https://bugs.webkit.org/show_bug.cgi?id=85265
        [Shadow DOM] ShadowTree needs a better name

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter: Updated exported symbol names according to the rename.

2012-05-06  Dan Bernstein  <mitz@apple.com>

        Part of: Building and debugging WebKit in the Xcode IDE requires a lot of setup
        https://bugs.webkit.org/show_bug.cgi?id=85739

        Reviewed by Daniel Bates.

        * WebKit.xcworkspace: Added.
        * WebKit.xcworkspace/contents.xcworkspacedata: Added.
        * WebKit.xcworkspace/xcshareddata: Added.
        * WebKit.xcworkspace/xcshareddata/WorkspaceSettings.xcsettings: Added.
        * WebKit.xcworkspace/xcshareddata/xcschemes: Added.
        * WebKit.xcworkspace/xcshareddata/xcschemes/All Source (target WebProcess).xcscheme: Added
        this scheme, which builds all source projects and runs WebProcess with
        Safari as the client executable.
        * WebKit.xcworkspace/xcshareddata/xcschemes/All Source.xcscheme: Added
        this scheme, which builds all source projects and runs Safari.
        * WebKit.xcworkspace/xcshareddata/xcschemes/All Tools.xcscheme: Added
        this scheme, which builds all tools projects and runs DumpRenderTree.

2012-05-06  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Enable WebKit2 build by default (again)
        https://bugs.webkit.org/show_bug.cgi?id=85750

        * configure.ac: enable wk2 build by default.

2012-05-06  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Convert isPageBoxVisible to use Internals interface.
        https://bugs.webkit.org/show_bug.cgi?id=85692

        Reviewed by Darin Adler.

        * Source/autotools/symbols.filter: Add isPageBoxVisible symbol filter.

2012-05-06  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [BlackBerry] Enable credential persistance and auto fill
        https://bugs.webkit.org/show_bug.cgi?id=85572

        Reviewed by Rob Buis.

        Enable credential persistance and auto fill feature by adding
        ENABLE_BLACKBERRY_CREDENTIAL_PERSIST=1.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-05-05  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed preparation for 1.9.2.

        * configure.ac: bump version to 1.9.2 and bump libtool version.

2012-05-04  Jer Noble  <jer.noble@apple.com>

        Flash of white when exiting full screen HTML5 video
        https://bugs.webkit.org/show_bug.cgi?id=85438

        Reviewed by Sam Weinig.

        * ManualTests/fullscreen/full-screen-flash.html: Added.

2012-05-04  Jer Noble  <jer.noble@apple.com>

        Taking a visibility:hidden element full screen causes full screen window to disappear.
        https://bugs.webkit.org/show_bug.cgi?id=85432

        Reviewed by Maciej Stachowiak.

        * ManualTests/fullscreen/full-screen-zero-width.html: Added.

2012-05-04  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed, rolling out r116075.
        http://trac.webkit.org/changeset/116075

        WebKit2 build was broken while WebKit2 build was disabled in bots,
        so nobody noticed it. Disable the WebKit2 build for now to keep
        the bots green again until we find the actual commit that
        broke the WebKit2 build.

        * configure.ac:

2012-05-04  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Enable WebKit2 by default in configure.

        This was removed in r115624 to make sure release 1.9.1 didn't have
        WebKit2 enabled by default, because we are using the same library
        versions for WebKit1 and WebKit2.

        * configure.ac: Enable WebKit2 by default.

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Rewrite FindCairo.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=84895

        Reviewed by Daniel Bates.

        The old approach relied on pkg-config for finding Cairo (which
        introduced a dependency on pkg-config that could be avoided), used
        the LibFindMacros code that we should probably remove in the
        future and did not use the FindPackageHandleStandardArguments
        module.

        Change all that by rewriting the module.
        - Use the pkg-config output optionally instead of requiring it
        like LibFindMacros did.
        - Remove the implicit dependency on FreeType which often found it
        the wrong way via pkg-config and without considering
        CMAKE_PREFIX_PATH.
        - Retrieve the Cairo version by looking at cairo-version.h instead
        of relying on pkg-config. It requires some additional code for
        checking if the desired version has been found, but that will not
        be needed once we start depending on CMake 2.8.3 or later.

        The only downside is that FPHSA sets <UPPERCASED_NAME>_FOUND
        instead of <Name>_FOUND, and to keep things consistent
        Cairo_LIBRARIES and Cairo_INCLUDE_DIRS have become CAIRO_LIBRARIES
        and CAIRO_INCLUDE_DIRS.

        * Source/cmake/FindCairo.cmake:

2012-05-03  Mike Fenton  <mifenton@rim.com>

        Rename attribute.

        [BlackBerry] Add special attribute for alternate selection touch handling.
        https://bugs.webkit.org/show_bug.cgi?id=85284

        Reviewed by Rob Buis.

        * ManualTests/blackberry/selection-touch-override.html:

2012-05-03  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE] Remove unneeded keyword in WebKitFeatures.cmake
        https://bugs.webkit.org/show_bug.cgi?id=85461

        Reviewed by Eric Seidel.

        DEFAULT keyword wasn't removed on Bug 72815.

        * Source/cmake/WebKitFeatures.cmake: Remove DEFAULT keyword in ENABLE_DRAG_SUPPORT field.

2012-05-02  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Unreviewed prospective QtMobility build fix.

        * Source/api.pri: The Qt 4 equivalent of QT += sensors should be handled by
        WebCore.pri, but somehow it isn't.

2012-05-02  Lars Knudsen  <lars.knudsen@nokia.com>

        [Qt] Make DeviceMotion and DeviceOrientation work with WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=64595

        Reviewed by Kenneth Rohde Christiansen.

        Moving DeviceMotion and DeviceOrientation clients and providers
        to WebCore.  This is done to allow clean dependencies when
        statically linking WK2.

        * Source/api.pri:

2012-05-02  Dongwoo Im  <dw.im@samsung.com>

        [EFL] Implement the Web Audio API feature.
        https://bugs.webkit.org/show_bug.cgi?id=78688

        Reviewed by Philippe Normand.

        Implement the Web Audio API feature on the EFL port.
        https://dvcs.w3.org/hg/audio/raw-file/tip/webaudio/specification.html

        * Source/cmake/FindGStreamer-Audio.cmake: Added. Find the pkgconfig of the GStreamer-audio.
        * Source/cmake/FindGStreamer-FFT.cmake: Added. Find the pkgconfig of the GStreamer-fft.
        * Source/cmake/OptionsEfl.cmake: Add the ENABLE_WEB_AUDIO option.
        * Source/cmakeconfig.h.cmake: Add the ENABLE_WEB_AUDIO option.

2012-05-01  Landry Breuil  <landry@openbsd.org>

        [GTK] Fix gstreamer detection during configure
        https://bugs.webkit.org/show_bug.cgi?id=84325

        Reviewed by Philippe Normand.

        * configure.ac: Fix GSTREAMER_REQUIRED_VERSION and
        GSTREAMER_PLUGINS_BASE_REQUIRED_VERSION assignments.

2012-05-01  Mike Fenton  <mifenton@rim.com>

        Add special attribute for alternate selection touch handling.
        https://bugs.webkit.org/show_bug.cgi?id=85284

        Reviewed by Antonio Gomes.

        PR 152975.

        Add manual test for -bb-selection-touchoverride.

        Reviewed Internally by Gen Mak.

        * ManualTests/blackberry/selection-touch-override.html: Added.

2012-04-25  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Add a proper license to FindSqlite.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=84901

        Reviewed by Daniel Bates.

        FindSqlite.cmake referenced COPYING-CMAKE-SCRIPTS, which was
        supposed to contain its license. This file, however, was not
        imported with FindSqlite.cmake into the tree.

        Add it from kdelibs (where the Find file came from) at git
        revision [1]. Also worth mentioning is that Alexander Neundorf
        added Gilles Caulier as the script author in revision [2].

        [1] https://projects.kde.org/projects/kde/kdelibs/repository/revisions/c27925edf98b9952aeada677dfc74ce9c809c48a
        [2] https://projects.kde.org/projects/kde/kdelibs/repository/revisions/14d0a92e04e1a200d6e58397e57a29194a0819cf

        * Source/cmake/FindSqlite.cmake:

2012-04-30  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.9.1 release
        https://bugs.webkit.org/show_bug.cgi?id=85175

        Reviewed by Philippe Normand.

        * configure.ac: Bumped version number. Disable WebKit2 by default
        for now, since we still don't use a different libtool version for
        libwebkit2gtk. It will be enabled again after the release and the
        library version will be reworked for the next release.

2012-04-30  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * GNUmakefile.am: Add ALL_MOFILES declaration.

2012-04-28  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed. Gtk build fix after r115553.

        * Source/autotools/symbols.filter:

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [SOUP] Add a way to register custom uri schemes in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=84130

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add BUILDING_SOUP__ macro to compilation.

2012-04-26  Antonio Gomes  <agomes@rim.com>

        [BlackBerry] properly disable DRAG_SUPPORT
        https://bugs.webkit.org/show_bug.cgi?id=84952

        Reviewed by Daniel Bates.

        Add CMake build options to toggle DRAG_SUPPORT on/off,
        and set its value for BlackBerry port.

        * Source/cmake/OptionsBlackBerry.cmake: Toggled in ON.
        * Source/cmake/OptionsBlackBerry.cmake: Toggled OFF.
        * Source/cmake/OptionsWinCE.cmake: Toggled it OFF.
        * Source/cmake/OptionsWindows.cmake: Toggled it ON.
        * Source/cmakeconfig.h.cmake:

2012-04-26  Antonio Gomes  <agomes@rim.com>

        [BlackBerry] Add smooth_scrolling options to CMAKE and enable it for Blackberry
        https://bugs.webkit.org/show_bug.cgi?id=84954

        Reviewed by Daniel Bates.

        * Source/cmakeconfig.h.cmake: Make it possible for CMake builds to
          toggle SMOOTH_SCROLLING on/off
        * Source/cmake/OptionsBlackBerry.cmake: ... and set it to ON by defualt
          for the Blackberry port.

2012-04-26  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Enable VIDEO_TRACK feature
        https://bugs.webkit.org/show_bug.cgi?id=84830

        Reviewed by Gustavo Noronha Silva.

        Enable VIDEO_TRACK feature by default on EFL port.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/WebKitFeatures.cmake:
        * Source/cmakeconfig.h.cmake:

2012-04-24  Kent Tamura  <tkent@chromium.org>

        Calendar Picker: Resize to minimal size to fit the content
        https://bugs.webkit.org/show_bug.cgi?id=84826

        Reviewed by Hajime Morita.

        * ManualTests/forms/calendar-picker.html:
        Sync with the size specified in CalendarPickerElement.cpp.

2012-04-25  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        [Qt] Zoom back can overscroll document edges.
        https://bugs.webkit.org/show_bug.cgi?id=84851

        Reviewed by Kenneth Rohde Christiansen.

        Manual test for overscroll on zoom-back. Needs to be manual since we do not yet
        have automatic testing for this type of UI-side behaviour.

        * ManualTests/qt/double-tap-overscroll.html: Added.

2012-04-24  Yael Aharon  <yael.aharon@nokia.com>

        Fixed background is scrolling in http://www.nieuwecode.nl/ in Qt webkit2
        https://bugs.webkit.org/show_bug.cgi?id=83980

        Reviewed by Simon Fraser.

        * ManualTests/fixed-position-no-z-index.html: Added.

2012-04-24  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Build and run TestWebKitAPI unit tests
        https://bugs.webkit.org/show_bug.cgi?id=84325

        Reviewed by Philippe Normand.

        * GNUmakefile.am: Include makefiles to build gtest and
        TestWebKitAPI. Add BUILDING_WEBKIT2__ macro to compilation when
        building WebKit2.

2012-04-24  Charles Wei  <charles.wei@torchmobile.com.cn>

        [BlackBerry] Input Range element expects mouse events
        https://bugs.webkit.org/show_bug.cgi?id=84571

        Reviewed by Antonio Gomes.

        Input element with Range type expects mouse events to
        drag the handle. Note that Input Range could appear
        in both the web page directly, or in some shadow tree,
        like the MediaControlTimeline and MediaControlVolume.
        * ManualTests/blackberry/slider-thumb-consumes-event.html: Added.

2012-04-24  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Enable Web Timing
        https://bugs.webkit.org/show_bug.cgi?id=84705

        Reviewed by Tony Gentilcore.

        Enable Web Timing in EFL port for for performance profiling and
        improvement.

        * Source/cmake/OptionsEfl.cmake:

2012-04-23  Kent Tamura  <tkent@chromium.org>

        Add test function to get placeholder string
        https://bugs.webkit.org/show_bug.cgi?id=84536

        Reviewed by Ryosuke Niwa.

        * Source/autotools/symbols.filter:
        Expose Node::textContent and HTMLTextFormControlElement::placeholderShouldBeVisible.

2012-04-22  Sriram Neelakandan  <sriram.neelakandan@gmail.com>

        [Gtk] Added MOZ_X11 build flag for TARGET_X11
        [Qt]  Added MOZ_X11 build flag for !embedded
        [CMake]  Added MOZ_X11 build flag for WTF_OS_UNIX
        https://bugs.webkit.org/show_bug.cgi?id=40785

        Reviewed by Anders Carlsson.

        * GNUmakefile.am:
        * Source/cmake/OptionsCommon.cmake:

2012-04-22  Adrian Bunk  <bunk@stusta.de>

        [GTK] Remove the obsolete Hildon UI extensions
        https://bugs.webkit.org/show_bug.cgi?id=83420

        Reviewed by Martin Robinson.

        * configure.ac:

2012-04-18  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [CMake] Use jsc target instead of ONLY_BUILD_JAVASCRIPTCORE
        https://bugs.webkit.org/show_bug.cgi?id=84229

        CMake caches ONLY_BUILD_JAVASCRIPTCORE=1 and will reuse the setting for
        subsequent builds, stopping WebCore from being built ever again.

        Instead of trying to emulate a build target using command line options,
        just build the existing jsc target directly.

        Reviewed by Rob Buis.

        * CMakeLists.txt:

2012-04-18  Jason Liu  <jason.liu@torchmobile.com.cn>

        [BlackBerry] HTTP GET header has a "Cookie" when refreshing a page after cookies have been cleared.
        https://bugs.webkit.org/show_bug.cgi?id=84223

        Reviewed by George Staikos.

        * ManualTests/blackberry/clear-cookie-refresh-result.php: Added.
        * ManualTests/blackberry/clear-cookie-refresh.php: Added.

2012-04-17  Yong Li  <yoli@rim.com>

        REGRESSION (r105453): Crash when handling touch events
        https://bugs.webkit.org/show_bug.cgi?id=81958

        Reviewed by Antonio Gomes.

        Add a manual test for this issue because DumpRenderTree
        currently cannot send a group of touch points with
        different touch states in one shot.

        * ManualTests/resources/iframe-reloaded-on-touch.html: Added.
        * ManualTests/touch-stale-iframe-crash.html: Added.

2012-04-17  Kent Tamura  <tkent@chromium.org>

        Calendar Picker: Support RTL layout
        https://bugs.webkit.org/show_bug.cgi?id=83668

        Reviewed by Hajime Morita.

        * ManualTests/forms/calendar-picker.html:
        Add Arabic parameters.
        Add <select> to select a locale.

2012-04-16  Dave Tu  <dtu@chromium.org>

        Re-add GPU DEPS builders to flakiness dashboard.
        https://bugs.webkit.org/show_bug.cgi?id=84056

        Reviewed by Ojan Vafai.

        * Tools/TestResultServer/static-dashboards/builders.js:

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Bump dependency on GTK+ 3.x to match reality
        https://bugs.webkit.org/show_bug.cgi?id=84060

        Rubber-stamped by Martin Robinson.

        * configure.ac: Bump GTK+ 3 requirement to 3.4.0. In practice we
        already depend on this version because of our dependency on a recent
        glib, which causes linking issues with older GTK+; also bump glib to
        its earliest version.

2012-04-16  Philippe Normand  <pnormand@igalia.com>

        [GTK] GStreamer 1.0 support in configure.ac
        https://bugs.webkit.org/show_bug.cgi?id=84029

        Reviewed by Martin Robinson.

        The GStreamer version was recently changed to 1.0 in the git
        repositories of the project so we need to reflect this change in
        configure.ac.

        * configure.ac:

2012-04-16  Yael Aharon  <yael.aharon@nokia.com>

        [Qt][WK2] Fixed elements position is wrong after zooming.
        https://bugs.webkit.org/show_bug.cgi?id=83981

        Reviewed by Kenneth Rohde Christiansen.

        * ManualTests/remove-add-fixed-position.html: Added.

2012-04-13  Jason Liu  <jason.liu@torchmobile.com.cn>

        [BlackBerry] Sign in cookie for ESPN.com does not retain login account (for fantasy sports).
        https://bugs.webkit.org/show_bug.cgi?id=83760

        Reviewed by George Staikos.

        * ManualTests/blackberry/http-cookie-database-set.php: Added.
        * ManualTests/blackberry/http-cookie-database-update.php: Added.

2012-04-13  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Add API for color chooser
        https://bugs.webkit.org/show_bug.cgi?id=83692

        Enables INPUT_TYPE_COLOR by default on the EFL port.

        Reviewed by Kenneth Rohde Christiansen.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/WebKitFeatures.cmake:
        * Source/cmakeconfig.h.cmake:

2012-04-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Enable WebKit2 by default in configure
        https://bugs.webkit.org/show_bug.cgi?id=83753

        Reviewed by Martin Robinson.

        * configure.ac:

2012-04-12  Bear Travis  <betravis@adobe.com>

        [CSS Exclusions] Add flag to enable / disable exclusions at runtime
        https://bugs.webkit.org/show_bug.cgi?id=83313

        Reviewed by Ryosuke Niwa.

        Adding the GTK symbols

        * Source/autotools/symbols.filter:

2012-04-12  George Staikos  <staikos@webkit.org>

        Enable the fullscreen API for BlackBerry.
        https://bugs.webkit.org/show_bug.cgi?id=83757

        Reviewed by Antonio Gomes.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-04-12  Yael Aharon  <yael.aharon@nokia.com>

        [Qt][WK2] Nested fixed elements scroll too fast
        https://bugs.webkit.org/show_bug.cgi?id=83720

        Reviewed by Noam Rosenthal.

        * ManualTests/nested-fixed-position.html: Added.

2012-03-15  Martin Robinson  <mrobinson@igalia.com>

        [CAIRO] Make GLContextGLX a subclass of GLContext
        https://bugs.webkit.org/show_bug.cgi?id=81285

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Add a configuration option for activating GLX.
        This is selected automatically now, but in the future there will be
        the choice to turn on EGL and turn off GLX at compilation time.
        * configure.ac: Ditto.

2012-04-10  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        [Qt] InspectorServer: Add an API level auto test
        https://bugs.webkit.org/show_bug.cgi?id=83594

        Reviewed by Kenneth Rohde Christiansen.

        * Source/tests.pri:

2012-04-11  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add WEBKIT_CREATE_FORWARDING_HEADERS macro
        https://bugs.webkit.org/show_bug.cgi?id=83574

        Reviewed by Daniel Bates.

        This new macro generates forwarding headers with absolute paths to the original files.
        It accepts a list of files and/or a list of directories as input.

        * Source/cmake/WebKitMacros.cmake:

2012-04-10  Yael Aharon  <yael.aharon@nokia.com>

        Initial support for fixed position elements in Qt WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=81786

        Reviewed by Noam Rosenthal.

        * ManualTests/fixed-position.html: Added.

2012-04-10  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Do not pass -P to the preprocessor when running make_names.pl.
        https://bugs.webkit.org/show_bug.cgi?id=83225

        Reviewed by Rob Buis.

        This is necessary to make CMake-based ports build with the
        recently-released GCC 4.7.0, whose preprocessor seems to ignore
        empty lines when -P is passed to it.  Such behavior breaks
        make_names.pl (in fact, InFilesParser.pm), which expects an empty
        line to separate common and specific sections in .in files.

        A fix for this same problem has been supposedly done in r84123,
        but as the CMake-based ports always pass --preprocessor to the
        Perl tools the fix never reached us.

        The idea is to define CODE_GENERATOR_PREPROCESSOR_WITH_LINEMARKERS
        for (!MSVC && !QNX) and use it in the macros which call
        make_names.pl.

        * Source/cmake/OptionsCommon.cmake:
        * Source/cmake/WebKitMacros.cmake:

2012-04-10  Patrick Gansterer  <paroga@webkit.org>

        [CMake][WIN] Add /MP flag when using a compiler with support for it
        https://bugs.webkit.org/show_bug.cgi?id=83577

        Reviewed by Daniel Bates.

        * Source/cmake/OptionsWindows.cmake:

2012-04-10  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add missing DERIVED_SOURCES_WEBKIT_DIR variable
        https://bugs.webkit.org/show_bug.cgi?id=83573

        Reviewed by Daniel Bates.

        We need this variable when ports want to generate files in the WebKit target.

        * CMakeLists.txt:

2012-04-10  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Enable USE_FOLDERS property
        https://bugs.webkit.org/show_bug.cgi?id=83571

        Reviewed by Daniel Bates.

        Setting the FOLDER property on targets gives more structure
        to the generated Visual Studio solutions.
        This does not affect other CMake generators.

        * Source/cmake/OptionsCommon.cmake:

2012-04-06  Ryosuke Niwa  <rniwa@webkit.org>

        Update perf-o-matic config.js per upstream change.

        * Websites/webkit-perf.appspot.com/js/config.js:
        (var):

2012-04-09  Dale Curtis  <dalecurtis@chromium.org>

        Remove unworkable video-buffering-repaints-controls test.
        https://bugs.webkit.org/show_bug.cgi?id=83097

        Replaces the automated test for progress bar repaints during buffering
        with a manual test entry.

        Reviewed by Eric Carlson.

        * ManualTests/media-controls.html:

2012-04-09  Ming Xie  <mxie@rim.com>

        [BlackBerry] Allow simulator to use GLES2 acceleration
        https://bugs.webkit.org/show_bug.cgi?id=81672

        Reviewed by Rob Buis.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-04-09  Zalan Bujtas  <zbujtas@gmail.com>

        [Qt][WK2] Fail to activate links after double tap gesture.
        https://bugs.webkit.org/show_bug.cgi?id=83468

        Reviewed by Kenneth Rohde Christiansen.

        * ManualTests/link-activation-fails-after-double-tap-gesture.html: Added.

2012-04-09  Martin Robinson  <mrobinson@igalia.com>

        [soup] Crash while loading http://www.jusco.cn
        https://bugs.webkit.org/show_bug.cgi?id=68238

        Reviewed by Philippe Normand.

        * configure.ac: Bumped the libsoup dependency to 2.37.90.

2012-04-09  Abhishek Arya  <inferno@chromium.org>

        Crash due to floats not cleared before starting SVG <text> layout.
        https://bugs.webkit.org/show_bug.cgi?id=83021

        Reviewed by Dirk Schulze.

        * ManualTests/svg-text-float-not-removed-crash.html: Added.

2012-04-09  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Build fix for USE_SYSTEM_MALLOC after r113570.

        * Source/cmakeconfig.h.cmake:

2012-04-09  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Share build system options across ports
        https://bugs.webkit.org/show_bug.cgi?id=72815

        Reviewed by Daniel Bates.

        Don't define the generic features for every port again.
        Add a few macros for reusing the central defined options.

        * CMakeLists.txt:
        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmake/WebKitFeatures.cmake:

2012-04-07  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Add Battery Status API support
        https://bugs.webkit.org/show_bug.cgi?id=82615

        Reviewed by George Staikos.

        Enable BATTERY_STATUS.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-04-06  Martin Robinson  <mrobinson@igalia.com>

        Fix the GTK+ debug build.

        * Source/autotools/symbols.filter: Add a missing symbol to the symbols.list file.

2012-04-05  George Staikos  <staikos@webkit.org>

        Compile the vibration module for BlackBerry.
        https://bugs.webkit.org/show_bug.cgi?id=83340

        Reviewed by Rob Buis.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-04-05  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic should include unit in runs JSON responses
        https://bugs.webkit.org/show_bug.cgi?id=83294

        Reviewed by Tony Chang.

        This is a follow up to r112829. Report the unit in /api/test/runs so that the frontend can show it.
        Fixed a bug in Test.update_or_insert that it didn't store the unit when it first created the Test object.

        Also increment perf-o-matic's version to 18.

        * Websites/webkit-perf.appspot.com/app.yaml: Incremented the version.
        * Websites/webkit-perf.appspot.com/models.py:
        (Test.update_or_insert.execute): Store unit when creating a test.
        (Runs.to_json): Include unit.
        * Websites/webkit-perf.appspot.com/models_unittest.py: Added tests.
        (TestModelTests.test_update_or_insert_with_unit):
        (RunsTest.test_to_json_without_results):
        (RunsTest.test_to_json_with_results):
        (RunsTest.test_to_json_with_unit):

2012-03-14  Antonio Gomes  <agomes@rim.com>

        Extend HitTestResult to support not "discarding" shadow content in favor of its DOM ancestor
        https://bugs.webkit.org/show_bug.cgi?id=80847

        Reviewed by David Hyatt.

        Exporting Internals::nodesFromRect symbols for the Gtk build.

        * Source/autotools/symbols.filter:

2012-04-05  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [BlackBerry] Clear local storage won't take effect until browser exit and relaunch
        https://bugs.webkit.org/show_bug.cgi?id=83253

        Reviewed by Rob Buis.

        RIM PR: #146871
        Added a manual test case to test the behavior when press
        button "Clear Local Storage" from browser settings.
        It has to be a manual test as it requires user interaction.

        * ManualTests/blackberry/clear-localstorage.html: Added.

2012-04-04  Kent Tamura  <tkent@chromium.org>

        Add JavaScript and CSS code for the calendar picker implementation
        https://bugs.webkit.org/show_bug.cgi?id=83011

        Reviewed by Hajime Morita.

        * ManualTests/forms/calendar-picker.html: Added.

2012-04-04  Hayato Ito  <hayato@chromium.org>

        Remove ReifiedTreeTraversal.
        https://bugs.webkit.org/show_bug.cgi?id=83110

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter:

2012-04-04  Shinya Kawanaka  <shinyak@chromium.org>

        Shadow DOM is exposed in JS.
        https://bugs.webkit.org/show_bug.cgi?id=82607

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2012-04-03  Tony Chang  <tony@chromium.org>

        remove WebKit files from .gitattributes
        https://bugs.webkit.org/show_bug.cgi?id=82966

        Reviewed by Adam Barth.

        * .gitattributes: These entries were never updated from the move to
        Source/WebKit so they're probably not needed.

2012-04-03  Keishi Hattori  <keishi@webkit.org>

        Disable ENABLE_DATALIST for now
        https://bugs.webkit.org/show_bug.cgi?id=82871

        Reviewed by Kent Tamura.

        We should disable ENABLE_DATALIST because
        - We need platform-dependent implementation, and non-BlackBerry platforms don't have it.
        - We need to hide the content of <datalist>, but it is shown for now.

        * Source/cmake/OptionsEfl.cmake: Disabled ENABLE_DATALIST.

2012-04-02  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt][WK2] Set up plugin process on Unix
        https://bugs.webkit.org/show_bug.cgi?id=72121

        Reviewed by Simon Hausmann.

        * Source/QtWebKit.pro: Add PluginProcess subproject.

2012-04-02  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r112868, r112879, and r112881.
        http://trac.webkit.org/changeset/112868
        http://trac.webkit.org/changeset/112879
        http://trac.webkit.org/changeset/112881
        https://bugs.webkit.org/show_bug.cgi?id=82901

        "Build fail on bots." (Requested by kbalazs on #webkit).

        * Source/QtWebKit.pro:

2012-04-02  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt][WK2] Set up plugin process on Unix
        https://bugs.webkit.org/show_bug.cgi?id=72121

        Reviewed by Simon Hausmann.

        * Source/QtWebKit.pro: Add PluginProcess subproject.

2012-04-02  Hayato Ito  <hayato@chromium.org>

        [Shadow DOM] Introduce ComposedShadowTreeWalker as a successor of ReifiedTreeTraversal APIs
        https://bugs.webkit.org/show_bug.cgi?id=82009

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter:

2012-04-01  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic build fix after 112829 for Chromium-style tests.

        * Websites/webkit-perf.appspot.com/report_process_handler.py:
        (ReportProcessHandler.post):

2012-04-01  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic should store test results' units
        https://bugs.webkit.org/show_bug.cgi?id=82852

        Reviewed by Kentaro Hara.

        * Websites/webkit-perf.appspot.com/models.py:
        (Test):
        (Test.update_or_insert): Added "unit" to the argument list.
        (Test.update_or_insert.execute): Store the unit.
        (ReportLog.results_are_well_formed): Moved from ReportHandler.
        (ReportLog.results_are_well_formed._is_float_convertible): Ditto.
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (TestModelTests.test_update_or_insert): Added a test case for "unit" argument.
        (TestModelTests.test_update_or_insert_to_update): Ditto.
        (ReportLogTests.test_results_are_well_formed): Added.
        (ReportLogTests.test_results_are_well_formed.assert_results_are_well_formed): Added.
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post): Calls ReportLog.results_are_well_formed.
        * Websites/webkit-perf.appspot.com/report_process_handler.py:
        (ReportProcessHandler.post): Passes results['unit'] to Test.update_or_insert.

2012-04-01  Ryosuke Niwa  <rniwa@webkit.org>

        Admin page should lexicologically sort tests
        https://bugs.webkit.org/show_bug.cgi?id=82849

        Rubber-stamped by Hajime Morita.

        * Websites/webkit-perf.appspot.com/js/admin.js:
        * Websites/webkit-perf.appspot.com/js/config.js:
        (sortProperties):
        (fetchDashboardManifest):

2012-04-01  Ryosuke Niwa  <rniwa@webkit.org>

        Revert an inadvertently committed change.

        * Websites/webkit-perf.appspot.com/app.yaml:

2012-04-01  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic should have a way to hide some platforms and tests
        https://bugs.webkit.org/show_bug.cgi?id=82842

        Reviewed by Hajime Morita.

        * Websites/webkit-perf.appspot.com/admin.html:
        * Websites/webkit-perf.appspot.com/admin_handlers.py:
        (AdminDashboardHandler.get_branches): Change the json format to allow platforms and tests to have
        "hidden" boolean states.
        (AdminDashboardHandler.get_platforms): Ditto.
        (AdminDashboardHandler.get_builders): Just a cleanup. There is no clean for it to have a limit.
        (AdminDashboardHandler.get_tests): Change the json format to add "hidden" boolean states.
        (ChangeVisibilityHandler): Added.
        (ChangeVisibilityHandler.post): Added. Changes the hidden-state (visibility) of a platform and a test.
        * Websites/webkit-perf.appspot.com/app.yaml: Make sure everything under /admin/ requires admin privilege.
        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler.post): Don't emit LF after 'OK'.
        * Websites/webkit-perf.appspot.com/css/admin.css: Added a bunch of rules for hide/show button.
        * Websites/webkit-perf.appspot.com/js/admin.js:
        (submitXHR): Extracted.
        (createKeyNameReloader): Added hide/show button on each item and the corresponding ajax request.
        * Websites/webkit-perf.appspot.com/json_generators.py:
        (DashboardJSONGenerator.__init__): Skip hidden tests and platforms.
        (ManifestJSONGenerator.__init__): Ditto.
        * Websites/webkit-perf.appspot.com/json_generators_unittest.py: Added tests to ensure perf-o-matic
        doesn't include hidden tests and platforms in dashboard and manifest json responses.
        (DashboardJSONGeneratorTest.test_value_with_hidden_platform_and_tesst):
        (ManifestJSONGeneratorTest.test_value_two_tests):
        (ManifestJSONGeneratorTest.test_value_with_hidden_platform_and_test):
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/models.py:
        (Platform): Added the "hidden" property.
        (Test): Ditto. Also removed the comment about this class only exists for efficiency purposes since that's
        no longer true.

2012-04-01  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Support the Network Information API
        https://bugs.webkit.org/show_bug.cgi?id=73528

        Reviewed by Adam Barth.

        Add network information API feature.

        * Source/cmake/OptionsEfl.cmake: Add NETWORK_INFO feature.
        * Source/cmakeconfig.h.cmake: Add NETWORK_INFO feature.

2012-03-31  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [BlackBerry] http authenticate dialog popup only once no matter authentication pass or fail
        https://bugs.webkit.org/show_bug.cgi?id=80135

        Reviewed by Rob Buis.

        RIM PR: 145660
        Added manual test for testing the behavior of http authentication
        challenge dialog. Both of these two files should be served over http.

        * ManualTests/blackberry/http-auth-challenge.html: Added.
        * ManualTests/blackberry/http-auth-challenge.php: Added.

2012-03-30  Eli Fidler  <efidler@rim.com>

        Enable OpenType Sanitizer for BlackBerry port.
        https://bugs.webkit.org/show_bug.cgi?id=82782

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsBlackBerry.cmake: define USE(OPENTYPE_SANITIZER)

2012-03-30  Zalan Bujtas  <zbujtas@gmail.com>

        Fix defective size_t overflow in GestureTapHighlighter.
        https://bugs.webkit.org/show_bug.cgi?id=82605

        Reviewed by Kenneth Rohde Christiansen.

        * ManualTests/tap-gesture-in-iframe-with-tap-highlight-crash.html: Added.

2012-03-30  David Barr  <davidbarr@chromium.org>

        Split up top-level .gitignore and .gitattributes
        https://bugs.webkit.org/show_bug.cgi?id=82687

        Reviewed by Tor Arne Vestbø.

        Jeff King <peff@peff.net> suggested this on the git mailing list.
        http://article.gmane.org/gmane.comp.version-control.git/194294
        He reported a 1.6 times speed up for 'git status'.

        * .gitattributes:
        * .gitignore:
        * ManualTests/.gitattributes: Added.
        * Source/.gitignore: Added.
        * Websites/.gitattributes: Added.

2012-03-30  Keishi Hattori  <keishi@webkit.org>

        Change ENABLE_INPUT_COLOR to ENABLE_INPUT_TYPE_COLOR and enable it for chromium
        https://bugs.webkit.org/show_bug.cgi?id=80972

        Reviewed by Kent Tamura.

        * Source/cmake/OptionsBlackBerry.cmake:
        * configure.ac:

2012-03-30  Charles Wei  <charles.wei@torchmobile.com.cn>

        [BlackBerry] Add more ENABLERS to cmakeconfig.h.cmake
        https://bugs.webkit.org/show_bug.cgi?id=82594

        Reviewed by Rob Buis.

        Upstreaming feature enablers in cmakeconfig.h.cmake for BlackBerry porting,
        and clean up obsolete MACROs in OptionsBlackBerry.cmake.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmakeconfig.h.cmake:

2012-03-29  Dave Tu  <dtu@chromium.org>

        Add new chrome.webkit GPU bot to flakiness dashboard.
        https://bugs.webkit.org/show_bug.cgi?id=82562

        Reviewed by Ojan Vafai.

        * Tools/TestResultServer/static-dashboards/builders.js:

2012-03-29  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Remove a couple sources wx
        should not build.

        * wscript:

2012-03-29  Zalan Bujtas  <zbujtas@gmail.com>

        Remove redundant updateViewportArguments() call when page is restored from page cache.
        https://bugs.webkit.org/show_bug.cgi?id=82500

        Reviewed by Kenneth Rohde Christiansen.

        Add manual test for history navigation with viewport width check.

        * ManualTests/viewport-width-test-after-history-navigation.html: Added.

2012-03-28  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed. Build fix, move WTF back into JSCore target
        until issues with JSCore not linking in all WTF symbols are resolved.

        * wscript:

2012-03-28  Sergio Villar Senin  <svillar@igalia.com>

        [Soup] DNS prefetching spams resolver, shoots self in the foot
        https://bugs.webkit.org/show_bug.cgi?id=41630

        Reviewed by Martin Robinson.

        Bump libsoup and glib dependencies.

        * Source/cmake/OptionsEfl.cmake:
        * configure.ac:

2012-03-28  Xan Lopez  <xlopez@igalia.com>

        [GTK] Respect NOCONFIGURE option in autogen.sh
        https://bugs.webkit.org/show_bug.cgi?id=82447

        Reviewed by Philippe Normand.

        Make autogen.sh follow the new build-api for GNOME, see
        http://people.gnome.org/~walters/docs/build-api.txt

        * autogen.sh: respect the NOCONFIGURE environment flag, per the
        new GNOME build-api.

2012-03-27  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic build fix.

        * Websites/webkit-perf.appspot.com/controller.py:
        (RunsChartHandler.post):
        * Websites/webkit-perf.appspot.com/models.py:
        (Runs.chart_params):

2012-03-27  Dave Tu  <dtu@chromium.org>

        Show image diffs for gpu_tests on flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=81848

        Reviewed by Ojan Vafai.

        Add a new results layout for gpu_tests that pulls the image diffs in
        addition to the text output. Also add new gpu_tests builders.

        * Tools/TestResultServer/static-dashboards/builders.js: Update
        gpu_tests builders.
        * Tools/TestResultServer/static-dashboards/dashboard_base.js: Add a
        function to check for GPU test type.
        * Tools/TestResultServer/static-dashboards/flakiness_dashboard.html:
        Add new GPU results layout.

2012-03-26  Ryosuke Niwa  <rniwa@webkit.org>

        Trigger a build on Chromium Linux boxes to see if clean builds succeed or not.

2012-03-26  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Skeleton code of AsyncFileSystemBlackBerry.cpp
        https://bugs.webkit.org/show_bug.cgi?id=82157

        Reviewed by Rob Buis.

        * Source/cmake/OptionsBlackBerry.cmake: Turn on ENABLE_FILE_SYSTEM for blackberry.

2012-03-25  Hayato Ito  <hayato@chromium.org>

        [Shadow DOM] Add Reified DOM Tree traversal internal APIs.
        https://bugs.webkit.org/show_bug.cgi?id=79197

        Reviewed by Dimitri Glazkov.

        Add internal APIs which can be used to traverse Reified DOM tree, which is
        a result of node distribution algorithm explained in Shadow DOM spec.
        https://dvcs.w3.org/hg/webcomponents/raw-file/tip/spec/shadow/index.html

        Every public functions defined in ReifiedTreeTraversal are static
        functions and are named in a similar way to ones defined in WebCore::Node class.
        The only difference is that ReifiedTreeTraversal APIs consider shadow
        hosts and also traverse nodes is Shadow DOM subtrees, crossing shadow's upper and lower boundary
        transparently.

        There is no actual client which uses these APIs. Follow-up patches for FocusNavigation
        and EventDispatcher will use the APIs so that they can traverse node in reified tree order.

        * Source/autotools/symbols.filter:

2012-03-25  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Move WTF to its own static lib build.
        
        * wscript:

2012-03-24  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed. Fix the build after WTF move.

        * wscript:

2012-03-23  Dave Michael  <dmichael@chromium.org>

        Relanding(r111754): HTMLPluginElement is not destroyed on reload or navigation if getNPObject is called
        https://bugs.webkit.org/show_bug.cgi?id=80428

Reviewed by Eric Seidel and Ryosuke Niwa.

        Test: plugins/netscape-dom-access-and-reload.html

        * Source/autotools/symbols.filter: Export a symbol for InspectorCounters::counterValue.

2012-03-23  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION(r111754): plugins/reloadplugins-and-pages.html fails on all platforms
        https://bugs.webkit.org/show_bug.cgi?id=82035

        * Source/autotools/symbols.filter:

2012-03-22  Raphael Kubo da Costa  <rakuco@FreeBSD.org>

        [CMake] Unreviewed build fix after r111778.

        * Source/CMakeLists.txt: Build WTF/.

2012-03-22  Martin Robinson  <mrobinson@igalia.com>

        Fixed the GTK+ WTF/JavaScriptCore build after r111778.

        * GNUmakefile.am: Remove a couple unnecessary gnumake variables.

2012-03-22  Csaba Osztrogonác  <ossy@webkit.org>

        Actually move WTF files to their new home
        https://bugs.webkit.org/show_bug.cgi?id=81844

        [Qt] Unreviewed buildfix after r111778.

        * Source/api.pri:

2012-03-22  Ming Xie  <mxie@rim.com>

        OLD_COMPILE_FLAGS was set incorrectly in WebKitHelpers.cmake
        https://bugs.webkit.org/show_bug.cgi?id=81961

        Reviewed by Rob Buis.

        This fixes the regression introduced by r109292

        * Source/cmake/WebKitHelpers.cmake:

2012-03-22  Dave Michael  <dmichael@chromium.org>

        HTMLPluginElement is not destroyed on reload or navigation if getNPObject is called
        https://bugs.webkit.org/show_bug.cgi?id=80428

        Reviewed by Eric Seidel.

        Test: plugins/netscape-dom-access-and-reload.html

        * Source/autotools/symbols.filter: Export a symbol for InspectorCounters::counterValue.

2012-03-22  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed. Adding Source/WTF to the build and updating
        waf port list.

        * wscript:

2012-03-21  Ryosuke Niwa  <rniwa@webkit.org>

        Add the forgotten admin.html after r108917.

        * Websites/webkit-perf.appspot.com/admin.html: Added.

2012-03-21  Ryosuke Niwa  <rniwa@webkit.org>

        Increment the perf-o-matic app version.

        * Websites/webkit-perf.appspot.com/app.yaml:

2012-03-20  Eric Seidel  <eric@webkit.org>

        Move wtf/Platform.h from JavaScriptCore to Source/WTF/wtf
        https://bugs.webkit.org/show_bug.cgi?id=80911

        Reviewed by Adam Barth.

        * CMakeLists.txt: Define WTF_DIR

2012-03-20  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic: don't query datastore to generate chart API urls
        https://bugs.webkit.org/show_bug.cgi?id=81499

        Reviewed by Hajime Morita.

        Parse json text to extract timestamps and test values instead of iterating
        through the data store.

        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler.post):
        * Websites/webkit-perf.appspot.com/models.py:
        (Runs._timestamp_and_value_from_json_entry):
        (Runs):
        (Runs.to_json):
        (Runs.chart_params):

2012-03-20  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Convert hasSpellingMarker to use Internals interface.
        https://bugs.webkit.org/show_bug.cgi?id=81300

        Reviewed by Ryosuke Niwa.

        * Source/autotools/symbols.filter: Export a symbol for hasSpellingMarker.

2012-03-19  Tony Chang  <tony@chromium.org>

        clean up gitignore
        https://bugs.webkit.org/show_bug.cgi?id=81594

        Reviewed by James Robinson.

        * .gitignore: .suo files are per-user files used by VS2010. .ninja
        files are no longer generated in the tree-- they are generated in the
        build directory.

2012-03-17  Charles Wei  <charles.wei@torchmobile.com.cn>

        [BlackBerry] Enable Web Timing for performance profiling and improvement.
        https://bugs.webkit.org/show_bug.cgi?id=81085

        Reviewed by Rob Buis.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmakeconfig.h.cmake:

2012-03-16  Kihong Kwon  <kihong.kwon@samsung.com>

        Support for Battery Status API.
        https://bugs.webkit.org/show_bug.cgi?id=62698

        Enable BATTERY_STATUS for WebKit-Efl.
        http://www.w3.org/TR/battery-status/

        Reviewed by Adam Barth.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2012-03-15  Patrick Gansterer  <paroga@webkit.org>

        [EFL] Make zlib a general build requirement
        https://bugs.webkit.org/show_bug.cgi?id=80153

        Reviewed by Hajime Morita.

        After r109538 WebSocket module needs zlib to support deflate-frame extension.

        * Source/cmake/OptionsEfl.cmake:

2012-03-15  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Remove some features that we do not have anymore
        https://bugs.webkit.org/show_bug.cgi?id=81274

        Reviewed by Antonio Gomes.

        Remove some features that we do not have anymore, code was removed some time ago.

        * Source/cmake/OptionsBlackBerry.cmake:

2012-03-14  Matt Falkenhagen  <falken@chromium.org>

        Allow per-script font settings to be specified in layout tests
        https://bugs.webkit.org/show_bug.cgi?id=78184

        Reviewed by Hajime Morita.

        This adds per-script font settings to InternalSettings, so it can be used in layout tests instead of
        the per-script font settings support in DumpRenderTree overridePreference, which has only been implemented
        for Chromium so far.

        * Source/autotools/symbols.filter: Added symbols.

2012-03-14  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Enable HTML5 Summary and Details elements
        https://bugs.webkit.org/show_bug.cgi?id=81027

        Enabling Summary and Details elements by default and removing related
        tests from skip list since they should pass now.

        Reviewed by Antonio Gomes.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2012-03-14  Andrey Kosyakov  <caseq@chromium.org>

        Web Inspector: add didCancelFrame timeline event
        https://bugs.webkit.org/show_bug.cgi?id=80994

        Reviewed by Pavel Feldman.

        * Source/autotools/symbols.filter:

2012-03-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Deal with multiple paths in QMAKE_EXTRA_MODULE_FORWARDS

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2012-03-14  Max Vujovic  <mvujovic@adobe.com>

        GTK 32-bit Linux Release build failing after r110580 (from bug 80338)
        https://bugs.webkit.org/show_bug.cgi?id=81063

        Prospective build fix for GTK 32-bit Linux Release.

        Reviewed by Martin Robinson.

        * Source/autotools/symbols.filter: Adding symbol for ClientRectList(Vector<FloatQuad>) for
        GTK 32-bit.

2012-03-13  Dan Bernstein  <mitz@apple.com>

        <rdar://problem/11025225> Assertion failure in RenderView::computeRectForRepaint() (!repaintContainer || repaintContainer == this) at store.apple.com
        https://bugs.webkit.org/show_bug.cgi?id=81051

        Reviewed by Simon Fraser.

        * ManualTests/inline-repaint-container.html: Added.

2012-03-13  Adam Barth  <abarth@webkit.org> && Benjamin Poulain  <bpoulain@apple.com>

        Always enable ENABLE(CLIENT_BASED_GEOLOCATION)
        https://bugs.webkit.org/show_bug.cgi?id=78853

        Reviewed by Adam Barth.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:

2012-03-13  Max Vujovic  <mvujovic@adobe.com>

        Add a method to window.internals to enable testing of inspector highlight rects
        https://bugs.webkit.org/show_bug.cgi?id=80338

        Reviewed by Pavel Feldman.

        * Source/autotools/symbols.filter: Export symbols for GTK.

2012-03-12  Scott Byer  <scottbyer@chromium.org>

        Cleanup obsolete files.
        https://bugs.webkit.org/show_bug.cgi?id=80737

        Reviewed by James Robinson.

        * wscript:

2012-03-12  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make sure we set the right library version for Qt 4

        r110272 accedentally pruned the variable that ensures this.

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2012-03-10  Ryosuke Niwa  <rniwa@webkit.org>

        Increment the perf-o-matic app version.

        * Websites/webkit-perf.appspot.com/app.yaml:

2012-03-09  Jon Lee  <jonlee@apple.com>

        Add support for ENABLE(LEGACY_NOTIFICATIONS)
        https://bugs.webkit.org/show_bug.cgi?id=80497

        Reviewed by Adam Barth.

        Prep for b80472: Update API for Web Notifications
        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2012-03-09  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Disable WebGL performance tests temporarily.
        https://bugs.webkit.org/show_bug.cgi?id=80503

        Rubber-stamped by Simon Hausmann.

        * Source/tests.pri:

2012-03-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r110191, r110202, and r110279.
        http://trac.webkit.org/changeset/110191
        http://trac.webkit.org/changeset/110202
        http://trac.webkit.org/changeset/110279
        https://bugs.webkit.org/show_bug.cgi?id=80694

        They broke !ENABLE(INSPECTOR) builds (Requested by Ossy on
        #webkit).

        * Source/autotools/symbols.filter:

2012-03-08  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Use Qt's module system for install rules and depending on QtWebKit

        Instead of rolling our own install rules we now use the same approach as
        every other Qt module, by loading qt_module.prf and qt_module_config.prf.

        This ensures that we follow the same semantics as the rest of Qt on
        what sort of config options are enabled by default (create_cmake eg.).
        It also allows us to use QT += webkit instead of the workaround we had
        with CONFIG += qtwebkit.

        We do however force Qt to always treat our build as a non-developer build,
        so the libraries will end up in the WebKit lib directory instead of the
        qtbase directory (as with a normal developer-build). This allows us to
        keep the webkit-build self-contained. If Qt is a developer build we still
        copy the module file manually to Qt, so that you don't have to install
        WebKit to make it available.

        For non-developer builds of Qt, it is still possible to use the built
        WebKit libraries without having to install them, by having the variable
        QMAKE_EXTRA_MODULE_FORWARDS set in the project's .qmake.cache file,
        pointing to $WEBKITOUTUTDIR/$CONFIGURATION/modules.

        https://bugs.webkit.org/show_bug.cgi?id=80590

        Reviewed by Simon Hausmann.

        * Source/api.pri:
        * Source/sync.profile:

2012-03-08  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic should incrementally update JSON responses
        https://bugs.webkit.org/show_bug.cgi?id=79898

        Reviewed by Eric Seidel.

        Now that Runs object store test_runs and averages separately,
        we can update JSON data incrementally without degrading values.

        Also fixed the order of arguments passed to DashboardImage.needs_update
        in schedule_runs_update. This bug had caused all chart images to be
        updated on every new report.

        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_runs_update):
        * Websites/webkit-perf.appspot.com/models.py:
        (Runs.update_or_insert):
        (Runs.update_incrementally):
        (Runs):
        (Runs.get_by_objects):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (RunsTest._create_results):
        (RunsTest.test_generate_runs):
        (RunsTest.test_update_or_insert):
        (RunsTest.test_update_incrementally):
        (RunsTest.test_to_json_with_results):
        * Websites/webkit-perf.appspot.com/report_process_handler.py:
        (ReportProcessHandler.post):

2012-03-08  Max Vujovic  <mvujovic@adobe.com>

        Add a method to window.internals to enable testing of inspector highlight rects
        https://bugs.webkit.org/show_bug.cgi?id=80338

        Reviewed by Pavel Feldman.

        * Source/autotools/symbols.filter: Export symbols for GTK.

2012-03-05  Ryosuke Niwa  <rniwa@webkit.org>

        Turn Runs class into a proper model to implement incremental JSON update
        https://bugs.webkit.org/show_bug.cgi?id=80364

        Reviewed by Hajime Morita.

        Move Runs from json_generators.py to models.py and turn it into a proper Model.

        Now most JSON responses are held by Runs objects instead of PersistentCache.
        Added some tests around update_or_insert and json_by_ids to test PersistentCache-like
        behavior but there should be no user-visible behavioral differences.

        * Websites/webkit-perf.appspot.com/controller.py:
        (RunsUpdateHandler.post):
        (CachedRunsHandler.get):
        (RunsChartHandler.post):
        * Websites/webkit-perf.appspot.com/json_generators.py:
        (ManifestJSONGenerator.value):
        * Websites/webkit-perf.appspot.com/json_generators_unittest.py:
        (ManifestJSONGeneratorTest.test_value_two_tests):
        * Websites/webkit-perf.appspot.com/models.py:
        (Test):
        (Runs):
        (Runs._generate_runs):
        (Runs._entry_from_build_and_result):
        (Runs._key_name):
        (Runs.update_or_insert):
        (Runs.json_by_ids):
        (Runs.to_json):
        (Runs.chart_params):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (RunsTest):
        (RunsTest.setUp):
        (RunsTest._create_results):
        (RunsTest.test_generate_runs):
        (RunsTest.test_update_or_insert):
        (RunsTest.test_json_by_ids):
        (RunsTest.test_to_json_without_results):
        (RunsTest.test_to_json_with_results):
        (RunsTest._assert_entry):
        (RunsTest.test_run_from_build_and_result):
        (RunsTest.test_run_from_build_and_result.create_build):
        (RunsTest.test_chart_params_with_value):
        (RunsTest.test_chart_params_with_value.split_as_int):

2012-03-07  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix compilation without QtQuick1
        https://bugs.webkit.org/show_bug.cgi?id=80503

        Reviewed by Tor Arne Vestbø.

        * Source/tests.pri: Compile qml1 tests only with Qt 4 for the moment.

2012-03-07  Mark Rowe  <mrowe@apple.com>

        Teach make to build WTF.

        * Source/Makefile:

2012-03-06  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Make the removal of transitive library dependencies work with CMake < 2.8.7.
        https://bugs.webkit.org/show_bug.cgi?id=80469

        Reviewed by Antonio Gomes.

        * CMakeLists.txt: Do not set the CMAKE_LINK_INTERFACE_LIBRARIES
        variable here; it was introduced in CMake 2.8.7 so we can't depend
        on it as we actually support CMake >= 2.8.0.

2012-03-06  Hajime Morrita  <morrita@chromium.org>

        https://bugs.webkit.org/show_bug.cgi?id=79935
        REGRESSION: <content> element is not HTMLUnknownElement when Shadow DOM API is disabled

        Reviewed by Adam Barth.

        Added a newly exported symbol.

        * Source/autotools/symbols.filter:

2012-03-06  Raphael Kubo da Costa  <kubo@profusion.mobi>

        undefined reference to JSC::IdentifierTable::~IdentifierTable() on EFL port
        https://bugs.webkit.org/show_bug.cgi?id=80282

        Reviewed by Antonio Gomes.

        Remove transitive library dependencies; they are especially
        dangerous when one ends up linking against WTF, JSC and then WTF
        again, since some symbols will not be defined.

        Passing --no-copy-dt-needed-entries and --as-needed to the linker
        (which some recent Linux distros do by default) makes the issue
        even more evident.

        * CMakeLists.txt: Set CMAKE_LINK_INTERFACE_LIBRARIES to an empty
        list to prevent implicit transitive library dependencies from
        being created by default.

2012-03-05  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic should memcache dashboard images
        https://bugs.webkit.org/show_bug.cgi?id=80349

        Reviewed by Eric Seidel.

        Added DashboardImage.create and DashboardImage.get_image to encapsulate memcache.
        Also replaced transaction in DashboardImage.set_cache by a single put since it duplicates
        what put does by default.

        Also removed redundant cache_* functions and merged them into handler code.

        * Websites/webkit-perf.appspot.com/controller.py:
        (ManifestUpdateHandler.post):
        (CachedManifestHandler.get):
        (DashboardUpdateHandler.post):
        (CachedDashboardHandler.get):
        (RunsUpdateHandler):
        (RunsUpdateHandler.post):
        (RunsChartHandler):
        (RunsChartHandler.post):
        (DashboardImageHandler.get):
        * Websites/webkit-perf.appspot.com/models.py:
        (PersistentCache.set_cache):
        (DashboardImage):
        (DashboardImage.create):
        (DashboardImage.get_image):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (PersistentCacheTests.setUp):
        (PersistentCacheTests.test_set_cache):
        (PersistentCacheTests.test_get_cache):
        (DashboardImageTests.setUp):
        (DashboardImageTests):
        (DashboardImageTests.test_create):
        (DashboardImageTests.test_get):

2012-03-05  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r109760.
        http://trac.webkit.org/changeset/109760
        https://bugs.webkit.org/show_bug.cgi?id=80320

        Caused many GTK+ tests to crash (Requested by mrobinson on
        #webkit).

        * configure.ac:

2012-03-05  Kangil Han  <kangil.han@samsung.com>

        [CMake][DRT] Add WebCoreTestSupport.
        https://bugs.webkit.org/show_bug.cgi?id=79896

        Reviewed by Daniel Bates.

        Add WebCoreTestSupport library for DRT in CMake.
        We will use internals object by linking this library on DRT.

        * CMakeLists.txt:

2012-03-05  Martin Robinson  <mrobinson@igalia.com>

        [soup] Crash while loading http://www.jusco.cn
        https://bugs.webkit.org/show_bug.cgi?id=68238

        Reviewed by Philippe Normand.

        * configure.ac: Bumped the libsoup dependency to 2.37.90.

2012-03-04  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Libraries are installed to /usr/lib and not /usr/lib64 on x86_64
        https://bugs.webkit.org/show_bug.cgi?id=71507

        Reviewed by Antonio Gomes.

        * Source/cmake/OptionsCommon.cmake: Provide two variables which
        can be changed via CMake: LIB_SUFFIX, which is often used in CMake
        projects to let the user choose whether a suffix should be added
        to the library installation directory (such as 32 or 64), and
        LIB_INSTALL_DIR, which takes LIB_SUFFIX into account to determine
        whether to install libraries.

2012-03-03  Hans Wennborg  <hans@chromium.org>

        Implement Speech JavaScript API
        https://bugs.webkit.org/show_bug.cgi?id=80019

        Reviewed by Adam Barth.

        Add ENABLE_SCRIPTED_SPEECH.

        * configure.ac:

2012-03-02  Alexandre Rostovtsev  <tetromino@gentoo.org>

        Make webkit-gtk translations respect LINGUAS
        https://bugs.webkit.org/show_bug.cgi?id=79605

        Reviewed by Martin Robinson.

        PO_LINGUAS, USER_LINGUAS, and USE_LINGUAS added to root
        GNUmakefile.am to ensure that they can be used in the definition of
        MOFILES that will be generated by automake.

        * GNUmakefile.am:

2012-03-02  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Remove deleted file from api.pro

        Reviewed by Noam Rosenthal.

        * Source/api.pri:

2012-03-02  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Compile WebCore without QtWidgets
        https://bugs.webkit.org/show_bug.cgi?id=80141

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Use QT += opengl for the WebKit1 bits, such as the QGLWidget
        usage in PageClientQt.cpp. Previously this dependency came implicitly through WebCore.pri.

2012-03-02  Byungwoo Lee  <bw80.lee@samsung.com>

        [EFL] Build warning : comparison between signed and unsigned integer expressions.
        https://bugs.webkit.org/show_bug.cgi?id=79860

        Reviewed by Hajime Morita.

        Fixed build warnings which are getting generated when comparing signed
        and unsigned integer expressions.

        * Source/WebCore/bindings/js/JSDocumentCustom.cpp:
        * Source/WebCore/platform/ContextMenu.cpp:
        * Source/WebKit/efl/ewk/ewk_view_single.cpp:

2012-03-02  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Move QStyle theming code out of WebCore into WebKit1
        https://bugs.webkit.org/show_bug.cgi?id=80128

        Reviewed by Kenneth Rohde Christiansen.

        * Source/api.pri: Adjust to moving source files.

2012-03-01  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic: generate dashboard images for 30, 90, and 365 days
        https://bugs.webkit.org/show_bug.cgi?id=80016

        Reviewed by Eric Seidel.

        Add the ability to generate graphs for 30, 90, and 365 day graphs but only occasionally
        according to the heuristics in DashboardImage.needs_update.

        Also fix a bug in Runs.chart_params that y-axis grid was set to an incorrect value.
 
        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_runs_update):
        (RunsChartHandler.post):
        * Websites/webkit-perf.appspot.com/json_generators.py:
        (Runs.chart_params):
        * Websites/webkit-perf.appspot.com/json_generators_unittest.py:
        (RunsTest.test_chart_params_with_value):
        * Websites/webkit-perf.appspot.com/models.py:
        (DashboardImage):
        (DashboardImage.needs_update):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (HelperTests._assert_there_is_exactly_one_id_holder_and_matches):
        (HelperTests.test_create_in_transaction_with_numeric_id_holder.execute):
        (HelperTests.test_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_failing_in_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_raising_in_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_delete_model_with_numeric_id_holder.execute):
        (HelperTests.test_delete_model_with_numeric_id_holder):
        (HelperTests.test_model_from_numeric_id.execute):
        (HelperTests):
        (HelperTests.test_model_from_numeric_id):
        (BranchTests.test_create_if_possible):
        (PlatformTests.test_create_if_possible):
        (BuilderTests.test_create):
        (BuilderTests.test_update_password):
        (BuilderTests.test_hashed_password):
        (BuilderTests.test_authenticate):
        (_create_some_builder):
        (_create_build):
        (BuildTests.test_get_or_insert_from_log):
        (TestModelTests.test_update_or_insert):
        (TestModelTests.test_update_or_insert_to_update):
        (TestModelTests.test_merge):
        (TestResultTests.test_get_or_insert_value):
        (TestResultTests.test_get_or_insert_stat_value):
        (TestResultTests.test_replace_to_change_test_name):
        (TestResultTests.test_replace_to_change_test_name_with_stat_value):
        (TestResultTests.test_replace_to_change_test_name_overrides_conflicting_result):
        (ReportLogTests._create_log_with_payload):
        (ReportLogTests.test_builder):
        (ReportLogTests.test_branch):
        (ReportLogTests.test_platform):
        (PersistentCacheTests._assert_persistent_cache):
        (PersistentCacheTests.test_set):
        (PersistentCacheTests.test_get):
        (DashboardImageTests):
        (DashboardImageTests.test_needs_update):

2012-03-01  Kangil Han  <kangil.han@samsung.com>

        [DRT] Remove all PlainTextController usages in existing tests by adding internal API
        https://bugs.webkit.org/show_bug.cgi?id=78570

        Reviewed by Hajime Morita.

        This patch will remove all PlainTextController usages
        in existing DRT tests by adding internal API to WebCore/testing/Internals

        * Source/autotools/symbols.filter:

2012-02-29  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic build fix. Also toggle the switch to start using ping images on the dashboard after r109190.

        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_runs_update):
        (schedule_report_process):
        * Websites/webkit-perf.appspot.com/js/admin.js:
        (bind):
        * Websites/webkit-perf.appspot.com/js/config.js:

2012-02-29  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Unreviewed, fix build on 64-bit platforms with SHARED_CORE=ON after r109197.
        https://bugs.webkit.org/show_bug.cgi?id=79965

        This partially reverts r66714, in that whether -fPIC is passed to
        the compiler does not depend on the value of SHARED_CORE anymore:
        since we always build WTF as a static library, it will always need
        -fPIC because our shared libraries are built with it.

        * Source/cmake/WebKitHelpers.cmake: Always pass -fPIC to
        STATIC_LIBRARY targets.

2012-02-29  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Unreviewed, fix build on 64-bit platforms with SHARED_CORE=ON after r109197.

        This partially reverts r66714, in that whether -fPIC is passed to
        the compiler does not depend on the value of SHARED_CORE anymore:
        since we always build WTF as a static library, it will always need
        -fPIC because our shared libraries are built with it.

        * Source/cmake/WebKitHelpers.cmake: Always pass -fPIC to
        STATIC_LIBRARY targets.

2012-02-29  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Bump WebKitGTK+ version number.

        * configure.ac: Bump version number to 1.9.0 now that we branched
        for 1.8.

2012-02-29  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build.

        * Source/autotools/symbols.filter: Add symbol.

2012-02-28  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Always build wtf as a static library.
        https://bugs.webkit.org/show_bug.cgi?id=79857

        Reviewed by Eric Seidel.

        * CMakeLists.txt: Put static libraries in ${CMAKE_BINARY_DIR} too
        to have them grouped with the shared ones.

2012-02-28  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic: generate dashboard images using Google Chart Tools
        https://bugs.webkit.org/show_bug.cgi?id=79838

        Reviewed by Hajime Morita.

        Rename RunsJSONGenerator to Runs and added an ability to generate parameters for Google chart tool.
        Also added RunsChartHandler to make url-fetches these images and DashboardImageHandler to serve them.
        The image is stored in DashboardImage model.

        We can't enable flip the switch to use images yet because we don't create images on fly (they're
        generated when runs are updated; i.e. bots upload new results). We should be able to flip the switch
        once this patch lands and all perf bots cycle.

        We probably make way too many calls to Google chart tool's server with this preliminary design but we
        can easily move this task into the backend and run it via a cron job once we know it works.

        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_runs_update):
        (RunsUpdateHandler.post):
        (RunsChartHandler):
        (RunsChartHandler.get):
        (RunsChartHandler.post):
        (DashboardImageHandler):
        (DashboardImageHandler.get):
        (schedule_report_process):
        * Websites/webkit-perf.appspot.com/json_generators.py:
        (ManifestJSONGenerator.value):
        (Runs):
        (Runs.__init__):
        (Runs.value):
        (Runs.chart_params):
        * Websites/webkit-perf.appspot.com/json_generators_unittest.py:
        (RunsTest):
        (RunsTest._create_results):
        (RunsTest.test_generate_runs):
        (RunsTest.test_value_without_results):
        (RunsTest.test_value_with_results):
        (RunsTest.test_run_from_build_and_result):
        (RunsTest.test_chart_params_with_value):
        (RunsTest.test_chart_params_with_value.split_as_int):
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/models.py:
        (PersistentCache.get_cache):
        (DashboardImage):
        (DashboardImage.key_name):

2012-02-28  Dave Tu  <dtu@chromium.org>

        Add new GPU builders to flakiness dashboard.
        https://bugs.webkit.org/show_bug.cgi?id=79839

        Reviewed by Ojan Vafai.

        * Tools/TestResultServer/static-dashboards/builders.js:

2012-02-28  Shinya Kawanaka  <shinyak@chromium.org>

        Element should be able to have multiple shadow roots.
        https://bugs.webkit.org/show_bug.cgi?id=77931

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2012-02-27  Shinya Kawanaka  <shinyak@chromium.org>

        Element::removeShadowRoot() and setShadowRoot() should be moved into ShadowTree.
        https://bugs.webkit.org/show_bug.cgi?id=78313

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2012-02-27  Dave Tu  <dtu@chromium.org>

        Update flakiness dashboard unit test.
        https://bugs.webkit.org/show_bug.cgi?id=79711

        Reviewed by Ojan Vafai.

        * Tools/TestResultServer/static-dashboards/flakiness_dashboard_tests.js:

2012-02-27  Ryosuke Niwa  <rniwa@webkit.org>

        Extract the logic to merge tests from MergeTestsHandler and add unit tests
        https://bugs.webkit.org/show_bug.cgi?id=79602

        Reviewed by Hajime Morita.

        Extracted Test.merge and TestResult.replace_to_change_test_name out of MergeTestsHandler,
        and moved MergeTestsHandler into admin_handlers.py where it belongs.

        Added new backend "model-manipulator" to execute tasks to merge tests.

        Also revive the inadvertently removed manual submission form on the admin page.

        * Websites/webkit-perf.appspot.com/admin_handlers.py:
        (AdminDashboardHandler.get_tests):
        (MergeTestsHandler):
        (MergeTestsHandler.post):
        * Websites/webkit-perf.appspot.com/app.yaml:
        * Websites/webkit-perf.appspot.com/backends.yaml: Added.
        * Websites/webkit-perf.appspot.com/css/admin.css:
        * Websites/webkit-perf.appspot.com/js/admin.js:
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py: Removed.
        * Websites/webkit-perf.appspot.com/models.py:
        (Test):
        (Test.merge):
        (TestResult.replace_to_change_test_name):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (DataStoreTestsBase.assertOnlyInstance):
        (DataStoreTestsBase):
        (DataStoreTestsBase.assertOnlyInstances):
        (DataStoreTestsBase.assertEqualUnorderedModelList):
        (DataStoreTestsBase.assertEqualUnorderedList):
        (_create_build):
        (TestModelTests.test_merge):
        (TestResultTests):
        (TestResultTests.test_get_or_insert_value):
        (TestResultTests.test_get_or_insert_stat_value):
        (TestResultTests.test_replace_to_change_test_name):
        (TestResultTests.test_replace_to_change_test_name_with_stat_value):
        (TestResultTests.test_replace_to_change_test_name_overrides_conflicting_result):

2012-02-27  ChangSeok Oh  <shivamidow@gmail.com>

        [EFL] Support mutation observers
        https://bugs.webkit.org/show_bug.cgi?id=79603

        Reviewed by Eric Seidel.

        Added a build-option for the mutation observers feature.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2012-02-26  Shinya Kawanaka  <shinyak@chromium.org>

        Rename ShadowRootList to ShadowTree.
        https://bugs.webkit.org/show_bug.cgi?id=79342

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2012-02-26  Chang Wan Hong  <jourmoon@company100.net>

        Update .gitignore for project property files generated by Eclipse.
        https://bugs.webkit.org/show_bug.cgi?id=79463

        Reviewed by Andreas Kling.

        * .gitignore: Ignore .project and .cproject

2012-02-25  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic build fix after r108917. I need a scrollbar in order see all the tests.

        * Websites/webkit-perf.appspot.com/css/admin.css:
        (html):

2012-02-25  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic needs a better admin page
        https://bugs.webkit.org/show_bug.cgi?id=79585

        Reviewed by Sam Weinig.
        
        Add admin/ to replace admin/create-models.html and admin/merge-tests.

        Also update MergeTestHandler to accept JSON requests and add "Admin" navigation link on all pages.

        * Websites/webkit-perf.appspot.com/admin_handlers.py: Added.
        * Websites/webkit-perf.appspot.com/controller.py:
        (RunsUpdateHandler.post): Fix a regression from r108399.
        * Websites/webkit-perf.appspot.com/css/admin.css: Added.
        * Websites/webkit-perf.appspot.com/js/admin.js: Added.
        * Websites/webkit-perf.appspot.com/js/config.js:
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/merge_tests.html: Removed.
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py:
        (MergeTestsHandler):
        (MergeTestsHandler.post):
        * Websites/webkit-perf.appspot.com/static: Removed.
        * Websites/webkit-perf.appspot.com/static/create-models.html: Removed.

2012-02-24  Ryosuke Niwa  <rniwa@webkit.org>

        Increment perf-o-matic version.

        * Websites/webkit-perf.appspot.com/app.yaml:

2012-02-23  Konrad Piascik  <kpiascik@rim.com>

        Upstream BlackBerry Cookie Management Classes
        https://bugs.webkit.org/show_bug.cgi?id=73654

        Reviewed by Rob Buis.

        Manual test to see in milliseconds how quickly 100 writes followed by 100 reads take.
        This test is ran twice and the average read and write for each of the 2 runs is shown.

        * ManualTests/cookieSpeedTest.html: Added.

2012-02-23  Dave Tu  <dtu@chromium.org>

        Add Chromium gpu_tests to the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=79300

        Reviewed by Ojan Vafai.

        * Tools/TestResultServer/static-dashboards/builders.js:
        * Tools/TestResultServer/static-dashboards/dashboard_base.js:

2012-02-23  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS macro
        https://bugs.webkit.org/show_bug.cgi?id=79371

        Reviewed by Daniel Bates.

        Add a new macro to handle the inclusion of the platform specific *.cmake files.
        In the future this macro should get expanded to also handle feature specifc
        files, like the UseJSC.cmake in WebCore we already have.

        * Source/cmake/WebKitMacros.cmake:

2012-02-23  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add FindDirectX
        https://bugs.webkit.org/show_bug.cgi?id=79344

        Reviewed by Adam Roben.

        * Source/cmake/FindDirectX.cmake: Added.

2012-02-23  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add FindQuickTimeSDK
        https://bugs.webkit.org/show_bug.cgi?id=79345

        Reviewed by Adam Roben.

        * Source/cmake/FindQuickTimeSDK.cmake: Added.

2012-02-22  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Remove FindGDK.cmake and FindGDK-PixBuf.cmake
        https://bugs.webkit.org/show_bug.cgi?id=79292

        Reviewed by Daniel Bates.

        These files were committed when the EFL port's buildsystem code
        was upstreamed, but are currently not being used anywhere, as the EFL
        port has not depended on GDK for a long time.

        * Source/cmake/FindGDK-PixBuf.cmake: Removed.
        * Source/cmake/FindGDK.cmake: Removed.

2012-02-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Clean build is broken when using make -j
        https://bugs.webkit.org/show_bug.cgi?id=76388

        * GNUmakefile.am: Add new global source list variables.

2012-02-20  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic: Extract logic to generate JSON responses as classes to unit test
        https://bugs.webkit.org/show_bug.cgi?id=79018

        Rubber-stamped by Adam Barth.

        Extracted DashboardJSONGenerator, ManifestJSONGenerator, and RunsJSONGenerator
        into json_generators.py from DashboardHandler, ManifestHandler, and RunsHandler
        and added unit tests for the former three classes.

        Merged the latter three classes into controler.py since they have become too trivial
        to have their own files.

        * Websites/webkit-perf.appspot.com/controller.py:
        (ManifestUpdateHandler):
        (ManifestUpdateHandler.get):
        (ManifestUpdateHandler.post):
        (DashboardUpdateHandler):
        (DashboardUpdateHandler.get):
        (DashboardUpdateHandler.post):
        (_get_test_branch_platform_ids):
        (RunsUpdateHandler):
        (RunsUpdateHandler.get):
        (CachedRunsHandler.get):
        * Websites/webkit-perf.appspot.com/dashboard_handler.py: Removed.
        * Websites/webkit-perf.appspot.com/json_generators.py: Added.
        (JSONGeneratorBase):
        (JSONGeneratorBase.to_json):
        (DashboardJSONGenerator):
        (DashboardJSONGenerator.__init__):
        (DashboardJSONGenerator.value):
        (ManifestJSONGenerator):
        (ManifestJSONGenerator.__init__):
        (ManifestJSONGenerator.value):
        (RunsJSONGenerator):
        (RunsJSONGenerator.__init__):
        (RunsJSONGenerator._generate_runs):
        (RunsJSONGenerator._entry_from_build_and_result):
        (RunsJSONGenerator.value):
        * Websites/webkit-perf.appspot.com/json_generators_unittest.py: Added.
        (_create_results):
        (JSONGeneratorBaseTest):
        (JSONGeneratorBaseTest.test_to_json):
        (JSONGeneratorBaseTest.test_to_json.AJSONGenerator):
        (JSONGeneratorBaseTest.test_to_json.AJSONGenerator.value):
        (DashboardJSONGeneratorTest):
        (DashboardJSONGeneratorTest.test_value_no_branch):
        (DashboardJSONGeneratorTest.test_value_no_plaforms):
        (DashboardJSONGeneratorTest.test_value_single_platform):
        (DashboardJSONGeneratorTest.test_value_two_platforms):
        (ManifestJSONGeneratorTest):
        (ManifestJSONGeneratorTest.test_value_no_branch):
        (ManifestJSONGeneratorTest.test_value_no_plaforms):
        (ManifestJSONGeneratorTest._assert_single_test):
        (ManifestJSONGeneratorTest.test_value_single_platform):
        (ManifestJSONGeneratorTest.test_value_two_platforms):
        (ManifestJSONGeneratorTest.test_value_two_tests):
        (RunsJSONGeneratorTest):
        (RunsJSONGeneratorTest._create_results):
        (RunsJSONGeneratorTest.test_generate_runs):
        (RunsJSONGeneratorTest.test_value_without_results):
        (RunsJSONGeneratorTest.test_value_with_results):
        (RunsJSONGeneratorTest._assert_entry):
        (RunsJSONGeneratorTest.test_run_from_build_and_result):
        (RunsJSONGeneratorTest.test_run_from_build_and_result.create_build):
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/manifest_handler.py: Removed.
        * Websites/webkit-perf.appspot.com/models.py:
        (Test.update_or_insert.execute):
        (Test):
        (TestResult.get_or_insert_from_parsed_json):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (TestModelTests.test_update_or_insert_to_update):
        (TestResultTests.test_get_or_insert_stat_value):
        * Websites/webkit-perf.appspot.com/runs_handler.py: Removed.

2012-02-20  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Turn on requestAnimationFrame for release builds
        https://bugs.webkit.org/show_bug.cgi?id=79038

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: Turn on requestAnimationFrame by default.

2012-02-20  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Geolocation support should be on by default
        https://bugs.webkit.org/show_bug.cgi?id=79037

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: Turn on geolocation support in release builds.

2012-02-20  Kihong Kwon  <kihong.kwon@samsung.com>

        Add a new API for the Vibration API(W3C).
        https://bugs.webkit.org/show_bug.cgi?id=72010

        Reviewed by Hajime Morita.

        Add Implementation for the Vibration API to the WebKit-EFL port.
        http://dev.w3.org/2009/dap/vibration/

        * Source/cmake/OptionsEfl.cmake: Add ENABLE_VIBRATION feature.
        * Source/cmakeconfig.h.cmake:

2012-02-19  Ryosuke Niwa  <rniwa@webkit.org>

        Move more logic from handler classes to model classes and add unit tests
        https://bugs.webkit.org/show_bug.cgi?id=78989

        Reviewed by Hajime Morita.

        Extracted various functions from CreateHandler, ReportHanlder, and RunsHanlder to model classes
        in order to unit-test them, added DataStoreTestsBase to reduce the code duplication in tests,
        and added a whole bunch of unit tests in models_unittest.py.

        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler._create_branch):
        (CreateHandler._create_platform):
        * Websites/webkit-perf.appspot.com/models.py:
        (_create_if_possible):
        (_create_if_possible.execute):
        (Branch):
        (Branch.create_if_possible):
        (Platform):
        (Platform.create_if_possible):
        (Build):
        (Build.get_or_insert_from_log):
        (Test):
        (Test.update_or_insert):
        (Test.update_or_insert.execute):
        (TestResult):
        (TestResult.get_or_insert_from_parsed_json):
        (TestResult.get_or_insert_from_parsed_json._float_or_none):
        (TestResult.generate_runs):
        * Websites/webkit-perf.appspot.com/models_unittest.py:
        (DataStoreTestsBase):
        (DataStoreTestsBase.assertThereIsNoInstanceOf):
        (DataStoreTestsBase.assertOnlyInstance):
        (DataStoreTestsBase.assertEqualUnorderedList):
        (HelperTests):
        (HelperTests.test_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_failing_in_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_raising_in_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_delete_model_with_numeric_id_holder):
        (BranchTests):
        (BranchTests.test_create_if_possible):
        (PlatformTests):
        (PlatformTests.test_create_if_possible):
        (BuilderTests):
        (_create_some_builder):
        (BuildTests):
        (BuildTests.test_get_or_insert_from_log):
        (TestModelTests):
        (TestModelTests.test_update_or_insert):
        (TestModelTests.test_update_or_insert_to_update):
        (TestResultTests):
        (TestResultTests._create_build):
        (TestResultTests.test_get_or_insert_value):
        (TestResultTests.test_get_or_insert_stat_value):
        (TestResultTests._create_results):
        (TestResultTests.test_generate_runs):
        (ReportLogTests):
        (ReportLogTests.test_branch):
        (ReportLogTests.test_platform):
        (PersistentCacheTests):
        (PersistentCacheTests.setUp):
        (PersistentCacheTests.test_set):
        * Websites/webkit-perf.appspot.com/report_process_handler.py:
        (ReportProcessHandler.post):
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.get):
        (RunsHandler.post):

2012-02-20  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Fix PLATFORM() define for Windows.

        Define WTF_PLATFORM_WIN instead of WTF_PLATFORM_WINDOWS.

        * Source/cmake/OptionsWindows.cmake:

2012-02-20  Martin Robinson  <mrobinson@igalia.com>

        Fix WebKit2GTK+ for 'make distcheck'.

        Instead of conditionally including WebKit2 GNUmakefiles, always
        include them and conditionally activate the final targets.

        * GNUmakefile.am:

2012-02-19  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE] Check gstreamer minimum required version.
        https://bugs.webkit.org/show_bug.cgi?id=79005

        Reviewed by Daniel Bates.

        To enable video, Gstreamer version requires to be above 0.10.30.
        This patch checks whether Gstreamer version is greater than 0.10.30.

        * Source/cmake/FindGStreamer-App.cmake:
        * Source/cmake/FindGStreamer-Base.cmake:
        * Source/cmake/FindGStreamer-Interfaces.cmake:
        * Source/cmake/FindGStreamer-Pbutils.cmake:
        * Source/cmake/FindGStreamer-Plugins-Base.cmake:
        * Source/cmake/FindGStreamer-Video.cmake:
        * Source/cmake/FindGStreamer.cmake:

2012-02-19  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Remove unused GSettings stuff
        https://bugs.webkit.org/show_bug.cgi?id=78995

        Reviewed by Martin Robinson.

        * configure.ac: remove gsettings schema file creation.

2012-02-19  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic should show both WebKit and Chromium revisions
        https://bugs.webkit.org/show_bug.cgi?id=78955

        Reviewed by Andreas Kling.

        Include Chromium revision numbers in runs responses when available.

        * Websites/webkit-perf.appspot.com/js/config.js:
        (urlForChangeset):
        (urlForChangesetList):
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.post):

2012-02-18  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Exclude a couple unused bindings files from the build
        as they do not compile currently.

        * wscript:

2012-02-17  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic needs model unit tests
        https://bugs.webkit.org/show_bug.cgi?id=78885

        Reviewed by Adam Barth.

        Added unit tests for models.py.

        Also renamed modelFromNumericId to model_from_numeric_id and moved set_persitent_cache and get_persistent_cache
        from controller to PersistentCache.set_cache and PersistentCahce.set_cache respectively.

        * Websites/webkit-perf.appspot.com/controller.py:
        (cache_manifest):
        (CachedManifestHandler.get):
        (cache_dashboard):
        (CachedDashboardHandler.get):
        (cache_runs):
        (CachedRunsHandler.get):
        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler._create_builder):
        (CreateHandler._create_builder.execute):
        * Websites/webkit-perf.appspot.com/models.py:
        (create_in_transaction_with_numeric_id_holder):
        (model_from_numeric_id):
        (Builder):
        (Builder.create):
        (Builder.update_password):
        (Builder._hashed_password):
        (TestResult.key_name):
        (ReportLog.get_value):
        (ReportLog._integer_in_payload):
        (ReportLog):
        (ReportLog.timestamp):
        (PersistentCache):
        (PersistentCache.set_cache):
        (PersistentCache.set_cache.execute):
        (PersistentCache.get_cache):
        * Websites/webkit-perf.appspot.com/models_unittest.py: Added.
        (HelperTests):
        (HelperTests.setUp):
        (HelperTests.tearDown):
        (HelperTests._assert_there_is_exactly_one_id_holder_and_matches):
        (HelperTests.test_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_create_in_transaction_with_numeric_id_holder.execute):
        (HelperTests.test_failing_in_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_failing_in_create_in_transaction_with_numeric_id_holder.execute):
        (HelperTests.test_raising_in_create_in_transaction_with_numeric_id_holder):
        (HelperTests.test_raising_in_create_in_transaction_with_numeric_id_holder.execute):
        (HelperTests.test_delete_model_with_numeric_id_holder):
        (HelperTests.test_delete_model_with_numeric_id_holder.execute):
        (HelperTests.test_model_from_numeric_id):
        (HelperTests.test_model_from_numeric_id.execute):
        (BuilderTests):
        (BuilderTests.setUp):
        (BuilderTests.tearDown):
        (BuilderTests.test_create):
        (BuilderTests.test_update_password):
        (BuilderTests.test_hashed_password):
        (BuilderTests.test_authenticate):
        (ReportLog):
        (ReportLog.setUp):
        (ReportLog.tearDown):
        (ReportLog._create_log_with_payload):
        (ReportLog.test_parsed_payload):
        (ReportLog.test_get_value):
        (ReportLog.test_results):
        (ReportLog.test_builder):
        (ReportLog.test_build_number):
        (ReportLog.test_webkit_revision):
        (ReportLog.chromium_revision):
        (PersistentCacheTests):
        (PersistentCacheTests.setUp):
        (PersistentCacheTests.tearDown):
        (PersistentCacheTests._assert_persistent_cache):
        (PersistentCacheTests.test_set):
        (PersistentCacheTests.test_get):
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.post):

2012-02-17  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build after r108003.

        * Source/autotools/symbols.filter: Add missing symbol.

2012-02-16  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Move event conversion functions from WebCore to WebKit
        https://bugs.webkit.org/show_bug.cgi?id=78788

        Reviewed by Kenneth Rohde Christiansen.

        * Source/api.pri: Add new files to the build.

2012-02-14  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Remove unused PkgConfig module import from FindCFLite.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=78600

        Reviewed by Adam Roben.

        * Source/cmake/FindCFLite.cmake:

2012-02-15  Roland Steiner  <rolandsteiner@chromium.org>

        <style scoped>: Allow <style scoped> as a direct child of a ShadowRoot
        https://bugs.webkit.org/show_bug.cgi?id=77853

        numberOfScopedHTMLStyleChildren got moved from Element into Node.

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter:

2012-02-13  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Merge WebKitEfl.cmake into FindEFL.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=78566

        Reviewed by Daniel Bates.

        * Source/cmake/FindEFL.cmake: Move the code to find edje_cc here from
        WebKitEfl.cmake.
        * Source/cmake/WebKitEfl.cmake: Removed.

2012-02-14  Shinya Kawanaka  <shinyak@google.com>

        Use youngestShadowRoot and oldestShadowRoot instead of Element::shadowRoot().
        https://bugs.webkit.org/show_bug.cgi?id=78455

        Reviewed by Hajime Morita.

        Exports necessary symbols.

        * Source/autotools/symbols.filter:

2012-02-13  Ryosuke Niwa  <rniwa@webkit.org>

        Yet another perf-o-matic build fix. It turns out that a task of the same name can't be
        queued for days after the first task is completed. So don't use it. Updating persistent
        caches more often than necessary is better than never updating them.

        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_manifest_update):
        (schedule_dashboard_update):
        (schedule_runs_update):

2012-02-13  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK] Revise configuration for MHTML
        https://bugs.webkit.org/show_bug.cgi?id=78364

        Reviewed by Gustavo Noronha Silva.

        Added some lines to show checking messages, whether mhtml is enabled or not
        during configuration and the configuration result for mhtml.
        MHTML is a web page archive format used to combine resources
        that are typically represented by external links (such as images, Flash animations,
        Java applets, audio files) together with HTML code into a single file.
        http://en.wikipedia.org/wiki/MHTML

        * configure.ac:

2012-02-06  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [EFL] Drop support for the Curl network backend.
        https://bugs.webkit.org/show_bug.cgi?id=77874

        Reviewed by Eric Seidel.

        Nobody seems to be maintaining the Curl backend in WebCore, the
        EFL port developers all seem to be using the Soup backend and the
        port itself has many features which are only implemented for the
        latter.

        * Source/cmake/OptionsEfl.cmake: Remove network backend selection
        checks and unconditionally require Glib and Libsoup, bump the
        required LibSoup version to the same one the GTK+ port looks for,
        since we share the same network backend.

2012-02-12  Ryosuke Niwa  <rniwa@webkit.org>

        Another perf-o-matic build fix.

        * Websites/webkit-perf.appspot.com/report_process_handler.py:
        (ReportProcessHandler._create_build_if_possible):

2012-02-12  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic build fix.

        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):

2012-02-10  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION: Perf-o-matic adds duplicated test results
        https://bugs.webkit.org/show_bug.cgi?id=78373

        Reviewed by Hajime Morita.

        Add TestResult inside a transaction. We use high replication databsae but this should prevent
        the duplication in the most of the time.

        Also fixed random bugs in Controller and ReportHandler.

        * Websites/webkit-perf.appspot.com/controller.py:
        (get_persistent_cache):
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):
        * Websites/webkit-perf.appspot.com/report_process_handler.py:
        (ReportProcessHandler.post):
        (ReportProcessHandler._add_test_if_needed):
        (ReportProcessHandler):
        (ReportProcessHandler._add_test_result_if_needed):
        (ReportProcessHandler._add_test_result_if_needed._float_or_none):
        (ReportProcessHandler._add_test_result_if_needed.execute):

2012-02-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build after r107454.

        * configure.ac: Disable Mutation observers build on GTK+ until it
        can actually build.

2012-02-10  Adam Klein  <adamk@chromium.org>

        Enable MUTATION_OBSERVERS by default on all platforms
        https://bugs.webkit.org/show_bug.cgi?id=78196

        Reviewed by Ojan Vafai.

        * configure.ac:

2012-02-10  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic build fix after r107386.

        * Websites/webkit-perf.appspot.com/app.yaml:
        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_manifest_update):
        (schedule_dashboard_update):
        (schedule_runs_update):
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py:
        (MergeTestsHandler.get):
        * Websites/webkit-perf.appspot.com/report_logs_handler.py:
        (ReportLogsHandler.get):
        (ReportLogsHandler.post):

2012-02-10  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic should process reports in background
        https://bugs.webkit.org/show_bug.cgi?id=78309

        Reviewed by Hajime Morita.

        Split the logic to create Build, Test, and TestResult objects from ReportHandler into ReportProcessHandler.
        ReportHandler now merely creates ReportLog and schedules a task to process it.

        Also added ReportLogHandler to manage stale ReportLogs.

        * Websites/webkit-perf.appspot.com/app.yaml:
        * Websites/webkit-perf.appspot.com/controller.py:
        (schedule_manifest_update):
        (schedule_dashboard_update):
        (schedule_runs_update):
        (CachedRunsHandler.get):
        (schedule_report_process):
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/merge_tests.html: Renamed from Websites/webkit-perf.appspot.com/merge_tests.yaml.
        * Websites/webkit-perf.appspot.com/models.py:
        (ReportLog):
        (ReportLog._parsed_payload):
        (ReportLog.get_value):
        (ReportLog.results):
        (ReportLog.builder):
        (ReportLog.branch):
        (ReportLog.platform):
        (ReportLog.build_number):
        (ReportLog.webkit_revision):
        (ReportLog.chromium_revision):
        (ReportLog._model_by_key_name_in_payload):
        (ReportLog._integer_in_payload):
        (ReportLog.timestamp):
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):
        (ReportHandler._output):
        (ReportHandler._results_are_valid):
        (ReportHandler._results_are_valid._is_float_convertible):
        (ReportHandler):
        * Websites/webkit-perf.appspot.com/report_logs.html: Added.
        * Websites/webkit-perf.appspot.com/report_logs_handler.py: Added.
        (ReportLogsHandler):
        (ReportLogsHandler.get):
        (ReportLogsHandler.post):
        (ReportLogsHandler._error):
        * Websites/webkit-perf.appspot.com/report_process_handler.py: Copied from Websites/webkit-perf.appspot.com/report_handler.py.
        (ReportProcessHandler):
        (ReportProcessHandler.post):
        (ReportProcessHandler._create_build_if_possible):
        (ReportProcessHandler._create_build_if_possible.execute):
        (ReportProcessHandler._add_test_if_needed):

2012-02-09  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic shouldn't rely on memcache to store cached JSON responses
        https://bugs.webkit.org/show_bug.cgi?id=78306

        Reviewed by Adam Barth.

        Added PersistentCache model that stores the generated JSON responses.

        * Websites/webkit-perf.appspot.com/controller.py:
        (set_persistent_cache):
        (set_persistent_cache.execute):
        (get_persistent_cache):
        (cache_manifest):
        (CachedManifestHandler.get):
        (cache_dashboard):
        (CachedDashboardHandler.get):
        (cache_runs):
        (CachedRunsHandler.get):
        * Websites/webkit-perf.appspot.com/models.py:
        (TestResult):
        (ReportLog):
        (PersistentCache):

2012-02-09  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic should update memcache in taskqueue
        https://bugs.webkit.org/show_bug.cgi?id=78209

        Reviewed by Adam Barth.

        Update dashboard, manifest, and runs memcaches in taskqueue.
        Also centralized the management of caches in controller.py.

        * Websites/webkit-perf.appspot.com/app.yaml:
        * Websites/webkit-perf.appspot.com/controller.py: Added.
        (cache_manifest):
        (schedule_manifest_update):
        (CachedManifestHandler):
        (CachedManifestHandler.get):
        (cache_dashboard):
        (schedule_dashboard_update):
        (CachedDashboardHandler):
        (CachedDashboardHandler.get):
        (cache_runs):
        (schedule_runs_update):
        (CachedRunsHandler):
        (CachedRunsHandler.get):
        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler.post):
        * Websites/webkit-perf.appspot.com/dashboard_handler.py:
        (DashboardHandler.post):
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/manifest_handler.py:
        (ManifestHandler.post):
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py:
        (MergeTestsHandler.post):
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.post):

2012-02-09  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add WebKitWebView::mouse-target-changed signal to WebKit2 GTK+ API
        https://bugs.webkit.org/show_bug.cgi?id=78097

        Reviewed by Martin Robinson.

        * Source/autotools/symbols.filter: Add freeOwnedGPtr<_GdkEvent>
        symbol to be able to use GOwnPtr<GdkEvent> in WebKit2 GTK+ unit
        tests.

2012-02-09  Kent Tamura  <tkent@chromium.org>

        Do not localize numbers in scientific notation
        https://bugs.webkit.org/show_bug.cgi?id=78208

        Reviewed by Hajime Morita.

        * ManualTests/input-number-localization.html: Updated for scientific notation.

2012-02-09  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE] Change lowercase variable with uppercase's.
        https://bugs.webkit.org/show_bug.cgi?id=78198

        Reviewed by Daniel Bates.

        CMake variable is only written by uppercase.

        * CMakeLists.txt:

2012-02-07  MORITA Hajime  <morrita@google.com>

        Replacement text should be available from the marker.
        https://bugs.webkit.org/show_bug.cgi?id=77934

        Reviewed by Kent Tamura.

        * Source/autotools/symbols.filter: Added an exporting symbol.

2012-02-07  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE] Use *bin* and *lib* directories for executable and libraries.
        https://bugs.webkit.org/show_bug.cgi?id=77928

        Reviewed by Daniel Bates.

        CMake has used *Programs* directory for executable. In addition, shared libraries are being
        built in source directory. It is better to set common places in order to maintain executable
        and libraries. *bin* is for executable and *lib* is for library.

        * CMakeLists.txt: Set library output path.
        * Source/cmake/WebKitFS.cmake: Remove *Programs* creation.

2012-02-07  Priit Laes  <plaes@plaes.org>

        Get rid of Source/autotools/webkit.m4
        https://bugs.webkit.org/show_bug.cgi?id=77833

        Reviewed by Martin Robinson.

        Move checks from webkit.m4 to configure.ac and modernize macros:
          . Check for visibility flags after CXX has been defined
          . Use PKG_PROG_PKG_CONFIG for pkg-config lookup
          . Drop unused LIBFFTW_REQUIRED_VERSION
          . Update ICU libs for mingw (bug 77837).
          . Require Pango 1.21.0 (as per unicode backend)
          . Bump minimum glib version due to g_thread_init changes

        * Source/autotools/webkit.m4: Removed.
        * configure.ac:

2012-02-07  Ryosuke Niwa  <rniwa@webkit.org>

        Dashboard on perf-o-matic should be sorted
        https://bugs.webkit.org/show_bug.cgi?id=77924

        Reviewed by Tony Chang.

        Sort tests in the frontend using the fact ES5 keeps the property order in the insertion order.

        * Websites/webkit-perf.appspot.com/js/config.js:
        (fetchDashboardManifest):

2012-02-07  Frederik Gladhorn  <frederik.gladhorn@nokia.com>

        Update .gitignore for Qt Creator/KDevelop.
        https://bugs.webkit.org/show_bug.cgi?id=77984

        Reviewed by Simon Hausmann.

        * .gitignore: Ignore temp files created by Qt Creator and KDevelop.

2012-02-07  Priit Laes  <plaes@plaes.org>

        [GTK] Broken "HTML5 <scoped style>" detection
        https://bugs.webkit.org/show_bug.cgi?id=77979

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: Fix wrong variable for HTML5 <style scoped> detection

2012-02-06  Shinya Kawanaka  <shinyak@google.com>

        Remove Element::ensureShadowRoot export.
        https://bugs.webkit.org/show_bug.cgi?id=77932

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2012-02-06  Martin Robinson  <mrobinson@igalia.com> and Nayan Kumar K  <nayankk@motorola.com>

        [GTK] Add TextureMapperGL implementation
        https://bugs.webkit.org/show_bug.cgi?id=75308

        Reviewed by Alejandro G. Castro.

        * GNUmakefile.am: TextureMapperGL implies USE(TEXTURE_MAPPER)
        * configure.ac: Only allow enabling the GL version of TextureMapper on X11.

2012-02-06  Ryosuke Niwa  <rniwa@webkit.org>

        Perf-o-matic should show min/max/stdev on graphs
        https://bugs.webkit.org/show_bug.cgi?id=77702

        Reviewed by Andreas Kling.

        Include min/max/stdev in test runs when available to be shown on the perf-o-matic.

        Also merge a change to config.js and increment the version number by 1 (unreviewed).

        * Websites/webkit-perf.appspot.com/app.yaml:
        * Websites/webkit-perf.appspot.com/js/config.js:
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.get):

2012-02-06  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.5 release
        https://bugs.webkit.org/show_bug.cgi?id=77859

        Reviewed by Philippe Normand.

        * configure.ac: Bumped version number.

2012-02-05  ChangSeok Oh  <shivamidow@gmail.com>

        [EFL] Enable WebGL with glx backend
        https://bugs.webkit.org/show_bug.cgi?id=77308

        Reviewed by Martin Robinson.

        Enabled WebGL feature for EFL port. The way is very similar to the one of GTK port.

        * Source/cmake/OptionsEfl.cmake: Added feature option for WebGL.

2012-02-05  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE] Support javascriptcore test for EFL port. 
        https://bugs.webkit.org/show_bug.cgi?id=77425

        Reviewed by Daniel Bates.

        Efl and WinCE as well as Blackberry port are now using Cmake as its build system
        and they are share the make file to create jsc excutable. In order to run
        "run-javascriptcore-tests", EFL port needs to change jsc installation configuration
        with executable output directory(e.g. Programs). So, this patch change jsc installation
        configuration only for EFL port.

        * Source/cmake/OptionsEfl.cmake: Change *jsc_efl* name with *jsc*.

2012-02-05  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE] Do not build Tools when building jsc only. 
        https://bugs.webkit.org/show_bug.cgi?id=77826

        Reviewed by Daniel Bates.

        Do not build Tools when jsc is only built. Build breaks occur because
        Tools is built together when building jsc.

        * CMakeLists.txt: Build Tools directory when ENABLE_TOOLS is on.

2012-02-04  Philip Rogers  <pdr@google.com>

        Fix bug in svg-link-hover-use.svg
        https://bugs.webkit.org/show_bug.cgi?id=77768

        Reviewed by Eric Seidel.

        * ManualTests/svg-link-hover-use.svg:

2012-02-04  Kalev Lember  <kalevlember@gmail.com>

        [GTK] Use the wide character version of win32 API by default
        https://bugs.webkit.org/show_bug.cgi?id=77809

        Reviewed by Martin Robinson.

        Certain win32-specific files (like PluginDatabaseWin.cpp) make the
        assumption that the wide character version of win32 API is the default.
        Define _UNICODE and UNICODE to do this, similar to what other win32
        ports are doing.

        * GNUmakefile.am:

2012-02-03  Kalev Lember  <kalevlember@gmail.com>

        [GTK] configure: Print out the -Wno-c++0x-compat test result
        https://bugs.webkit.org/show_bug.cgi?id=77757

        Reviewed by Martin Robinson.

        The check whether -Wno-c++0x-compat flag is needed didn't print out
        the test result (and newline), which caused the following test to be
        displayed on the same line.

        checking if we have to disable C++0x compat warnings for GCC >= 4.6.0... checking pthread.h usability... yes

        * configure.ac:

2012-02-03  Ryosuke Niwa  <rniwa@webkit.org>

        perf-o-matic should store chromium svn revision
        https://bugs.webkit.org/show_bug.cgi?id=77725

        Reviewed by Dirk Pranke.

        Store both WebKit and Chromium revisions when both are reported.

        * Websites/webkit-perf.appspot.com/models.py:
        (Build):
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):
        (ReportHandler._create_build_if_possible):
        (ReportHandler._create_build_if_possible.execute):
        * Websites/webkit-perf.appspot.com/static/manual-submit.html:

2012-02-03  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Replace GNU linker script for exports with export macros in WTF/JSC
        https://bugs.webkit.org/show_bug.cgi?id=77723

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Remove use of GNU linker script on Linux.
        * Source/qtwebkit-export.map: Removed.

2012-02-03  Shinya Kawanaka  <shinyak@google.com>

        Stop calling Element::ensureShadowRoot in Internals.
        https://bugs.webkit.org/show_bug.cgi?id=77612

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2012-02-02  Mark Rowe  <mrowe@apple.com>

        <http://webkit.org/b/77717> Makefile should provide control over output verbosity

        Allow the filtering of the output of our Makefile to be configured via a user default
        and overriden via a command-line argument to make.

        The Makefile takes the verbosity from BuildTranscriptVerbosity default in the
        org.webkit.BuildConfiguration domain. The supported values are "default", "quiet"
        and "noisy". "default" maintains the existing behavior of only filtering out
        the setenv lines from Xcode's shell script build phases. "quiet" filters all output
        through filter-build-webkit. "noisy" provides unfiltered output. The verbosity can
        be overriden for a single invocation of make by specifying the VERBOSITY variable
        on the make command line.

        To always get full output:
        defaults write org.webkit.BuildConfiguration BuildTranscriptVerbosity noisy

        To always get filtered ouptut:
        defaults write org.webkit.BuildConfiguration BuildTranscriptVerbosity quiet

        To get full output for a single build:
        make VERBOSITY=noisy

        Reviewed by Dan Bernstein.

        * Makefile.shared:

2012-02-02  Rakesh KN  <rakesh.kn@motorola.com>

        hidden attribute on <input type=file /> suppresses the file selection dialog
        https://bugs.webkit.org/show_bug.cgi?id=58208

        Reviewed by Ryosuke Niwa.

        * ManualTests/input-file-hidden-open-dialog-on-click.html: Added.
        Adding manual test as the file dialog opens only in User gesture.

2012-02-01  Philippe Normand  <pnormand@igalia.com>

        [GStreamer] FFTFrame implementation
        https://bugs.webkit.org/show_bug.cgi?id=73545

        Reviewed by Chris Rogers.

        * configure.ac: Enable the WebAudio option again and remove
        libfftw checks.

2012-01-31  Ryosuke Niwa  <rniwa@webkit.org>

        webkit-perf.appspot.com should accept test results without medians
        https://bugs.webkit.org/show_bug.cgi?id=77513

        Reviewed by Hajime Morita.

        Don't store 0s when values are not in JSON.

        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post._float_or_none):
        (ReportHandler.post):

2012-01-31  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Tap highlighting: Support better outlines for multiline inlines
        https://bugs.webkit.org/show_bug.cgi?id=77428

        Reviewed by Simon Hausmann.

        Update the test to use a transform.

        * ManualTests/qt/tap-highlighting-inlines.html:

2012-01-31  Nayan Kumar K  <nayankk@motorola.com>

        [GTK] Remove V8 compilation option.
        https://bugs.webkit.org/show_bug.cgi?id=77405

        Reviewed by Philippe Normand.

        Revert the changes introduced as part of bug 69469
        to provide an option to compile V8 as JavaScript engine.

        * GNUmakefile.am: Remove defining USE_JSC macro.
        * configure.ac: Remove --with-jsengine option.

2012-01-25  Philippe Normand  <pnormand@igalia.com>

        [GStreamer] 0.11 build support
        https://bugs.webkit.org/show_bug.cgi?id=77085

        Reviewed by Martin Robinson.

        * configure.ac: New --with-gstreamer option, defaulting to 0.10.

2012-01-30  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix after r106321.

        * Websites/webkit-perf.appspot.com/report_handler.py:
        * Websites/webkit-perf.appspot.com/manifest_handler.py:
        (ManifestHandler.get):

2012-01-30  Ryosuke Niwa  <rniwa@webkit.org>

        Python code in webkit-perf.appspot.com uses camelCase
        https://bugs.webkit.org/show_bug.cgi?id=77392

        Reviewed by Adam Barth.

        Use PEP8 style naming conventions instead of camelCase.

        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler.post):
        (CreateHandler._create_builder):
        (CreateHandler._create_branch):
        (CreateHandler._create_platform):
        * Websites/webkit-perf.appspot.com/dashboard_handler.py:
        (DashboardHandler.get):
        * Websites/webkit-perf.appspot.com/manifest_handler.py:
        (ManifestHandler.get):
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py:
        (MergeTestsHandler.post):
        * Websites/webkit-perf.appspot.com/models.py:
        (create_in_transaction_with_numeric_id_holder):
        (delete_model_with_numeric_id_holder):
        (modelFromNumericId):
        (Builder.authenticate):
        (Builder.hashed_password):
        (Test.cache_key):
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):
        (ReportHandler._model_by_key_name_in_body_or_error):
        (ReportHandler._integer_in_body):
        (ReportHandler._timestamp_in_body):
        (ReportHandler.bypass_authentication):
        (ReportHandler._results_are_valid):
        (ReportHandler._results_are_valid._is_float_convertible):
        (ReportHandler._create_build_if_possible):
        (ReportHandler._create_build_if_possible.execute):
        (ReportHandler._add_test_if_needed):
        (ReportHandler._add_test_if_needed.execute):
        (ReportHandler):
        (AdminReportHandler.bypass_authentication):
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.get):

2012-01-30  Ryosuke Niwa  <rniwa@webkit.org>

        Enable memcache on webkit-perf.appspot.com
        https://bugs.webkit.org/show_bug.cgi?id=77378

        Reviewed by Adam Barth.

        Eanble memcache on dashboard, manifest, and runs handlers. Clear appropriate caches when new runs are reported,
        or new models are created. We flush all caches when tests are merged since it's hard to figure out dependencies
        in that case. Luckily, we merge tests only occassionally and manually (or hope so) so this shouldn't be an issue.

        * Websites/webkit-perf.appspot.com/create_handler.py:
        (CreateHandler.post):
        * Websites/webkit-perf.appspot.com/dashboard_handler.py:
        (DashboardHandler.get):
        * Websites/webkit-perf.appspot.com/manifest_handler.py:
        (ManifestHandler.get):
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py:
        (MergeTestsHandler.post):
        * Websites/webkit-perf.appspot.com/models.py:
        (createInTransactionWithNumericIdHolder):
        (Test):
        (Test.cacheKey):
        * Websites/webkit-perf.appspot.com/report_handler.py:
        (ReportHandler.post):
        (ReportHandler._addTestIfNeeded):
        * Websites/webkit-perf.appspot.com/runs_handler.py:
        (RunsHandler.get):

2012-01-30  Ryosuke Niwa  <rniwa@webkit.org>

        webkit-perf.appspot.com should have an ability to merge tests
        https://bugs.webkit.org/show_bug.cgi?id=77250

        Reviewed by Adam Barth.

        Added admin/merge-tests. This page allows administrators to easily merge test objects.

        Also add the forgotten title.png and rename api/create to admin/create since we don't allow
        non-admins to create new models anyway.

        * Websites/webkit-perf.appspot.com/app.yaml:
        * Websites/webkit-perf.appspot.com/css: Added.
        * Websites/webkit-perf.appspot.com/css/title.png: Added.
        * Websites/webkit-perf.appspot.com/main.py:
        * Websites/webkit-perf.appspot.com/merge_tests.yaml: Added.
        * Websites/webkit-perf.appspot.com/merge_tests_handler.py: Added.
        (MergeTestHandler):
        (MergeTestHandler.get):
        (MergeTestHandler.post):
        * Websites/webkit-perf.appspot.com/models.py:
        (deleteModelWithNumericIdHolder):
        * Websites/webkit-perf.appspot.com/static/create-models.html:

2012-01-30  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Add manual tests for tap highlighting

        Rubberstamped by Simon Hausmann.

        * ManualTests/qt/tap-highlighting-colors.html: Added.
        * ManualTests/qt/tap-highlighting-images.html: Added.
        * ManualTests/qt/tap-highlighting-inlines.html: Added.

2012-01-30  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        Manual test of number of resize events emitted during page generation.
        https://bugs.webkit.org/show_bug.cgi?id=77212

        Is needed to test if too many resize events are send when using fixed
        layout, and needs to be a manual test because the test framework does
        not currently support testing fixed layout.

        Reviewed by Kenneth Rohde Christiansen.

        * ManualTests/resize-events.html: Added.

2012-01-29  Zoltan Herczeg  <zherczeg@webkit.org>

        Custom written CSS lexer
        https://bugs.webkit.org/show_bug.cgi?id=70107

        Reviewed by Antti Koivisto and Oliver Hunt.

        Remove tokenizer.cpp from intermediate sources.

        * wscript:

2012-01-27  Fady Samuel  <fsamuel@chromium.org>

        Rename shouldLayoutFixedElementsRelativeToFrame and make it a setting
        https://bugs.webkit.org/show_bug.cgi?id=76459

        Reviewed by Darin Fisher.

        * Source/autotools/symbols.filter:

2012-01-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add basic printing support to WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=76172

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: Check whether GTK+ UNIX printing is available.

2012-01-27  ChangSeok Oh  <shivamidow@gmail.com>

        [EFL] SVG_FONT is not disabled when SVG is disabled.
        https://bugs.webkit.org/show_bug.cgi?id=77174

        Reviewed by Eric Seidel.

        SVG_FONTS should be disabled when SVG is disabled. Or else it causes build-break.
        Relocated checking ENABLE_GLIB_SUPPORT & ENABLE_VIDEO to avoid duplication.

        * Source/cmake/OptionsEfl.cmake:

2012-01-26  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed. Build fix, don't build some sources
        which appear to no longer be needed.

        * wscript:

2012-01-24  Ryosuke Niwa  <rniwa@webkit.org>

        Port Mozilla's Graph Server
        https://bugs.webkit.org/show_bug.cgi?id=76312

        Reviewed by Adam Barth.

        Add the app engine backend for the Mozilla's graph server used on perf-webkit.appspot.com.

        To deploy webkit-perf.appspot.com, you also need to pull index.html, embed.html, graph.html, jq,
        js (except config.js), and css (except title.png) from https://github.com/mozilla/graphs.

        * Websites/perf-webkit.appspot.com: Added.
        * Websites/perf-webkit.appspot.com/app.yaml: Added.
        * Websites/perf-webkit.appspot.com/create_handler.py: Added.
        (CreateHandler):
        (CreateHandler.post):
        (CreateHandler._createBuilder):
        (CreateHandler._createBuilder.execute):
        (CreateHandler._createBranch):
        (CreateHandler._createBranch.execute):
        (CreateHandler._createPlatform):
        (CreateHandler._createPlatform.execute):
        * Websites/perf-webkit.appspot.com/dashboard_handler.py: Added.
        (DashboardHandler):
        (DashboardHandler.get):
        * Websites/perf-webkit.appspot.com/index.yaml: Added.
        * Websites/perf-webkit.appspot.com/main.py: Added.
        (main):
        * Websites/perf-webkit.appspot.com/manifest_handler.py: Added.
        (ManifestHandler):
        (ManifestHandler.get):
        * Websites/perf-webkit.appspot.com/models.py: Added.
        (NumericIdHolder):
        (NumericIdHolder.whose):
        (createInTransactionWithNumericIdHolder):
        (modelFromNumericId):
        (Branch):
        (Platform):
        (Builder):
        (Builder.authenticate):
        (Builder.hashedPassword):
        (Build):
        (Test):
        (TestResult):
        (ReportLog):
        * Websites/perf-webkit.appspot.com/report_handler.py: Added.
        (ReportHandler):
        (ReportHandler.post):
        (ReportHandler._modelByKeyNameInBodyOrError):
        (ReportHandler._integerInBody):
        (ReportHandler._timestampInBody):
        (ReportHandler._output):
        (ReportHandler._resultsAreValid):
        (ReportHandler._createBuildIfPossible):
        (ReportHandler._createBuildIfPossible.execute):
        (ReportHandler._addTestIfNeeded):
        (ReportHandler._addTestIfNeeded.execute):
        * Websites/perf-webkit.appspot.com/runs_handler.py: Added.
        (RunsHandler):
        (RunsHandler.get):
        * Websites/perf-webkit.appspot.com/static: Added.
        * Websites/perf-webkit.appspot.com/static/create-models.html: Added.
        * Websites/perf-webkit.appspot.com/static/manual-submit.html: Added.

2012-01-25  Hajime Morita  <morrita@google.com>>

        ENABLE_SHADOW_DOM should be available via build-webkit --shadow-dom
        https://bugs.webkit.org/show_bug.cgi?id=76863

        Reviewed by Dimitri Glazkov.

        Added a feature flag.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * configure.ac:

2012-01-25  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        [Qt] Implement tap feedback respecting -webkit-tap-highlight-color
        https://bugs.webkit.org/show_bug.cgi?id=76914

        Reviewed by Simon Hausmann.

        Add a manual test.

        * ManualTests/qt/tap-highlighting.html: Added.

2012-01-25  Roland Steiner  <rolandsteiner@chromium.org>

        <style scoped>: Implement registering of <style scoped> with the scoping element
        https://bugs.webkit.org/show_bug.cgi?id=67790

        windows.internals updates

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter:

2012-01-24  Mark Rowe  <mrowe@apple.com>

        Death to JavaScriptGlue.

        Rubber-stamped by Geoffrey Garen.

        * Source/JavaScriptGlue: Removed.
        * Source/Makefile: Stop building JavaScriptGlue.

2012-01-24  Simon Hausmann  <simon.hausmann@nokia.com>

        Some qmake build files must include Qt5's "quick" module.
        https://bugs.webkit.org/show_bug.cgi?id=76671

        Unreviewed build fix.

        * Source/api.pri:

2012-01-21  Priit Laes  <plaes@plaes.org>

        [GTK][PATCH] Enable MathML support by default
        https://bugs.webkit.org/show_bug.cgi?id=76790

        Reviewed by Martin Robinson.

        * configure.ac: Enable MathML by default.

2012-01-20  Marc-Andre Decoste  <mad@chromium.org>

        Add proper offset to position right click to simulate a context menu invocation.
        https://bugs.webkit.org/show_bug.cgi?id=76421

        Reviewed by Ojan Vafai.

        * ManualTests/win/contextmenu-key3.html: Added.

2012-01-20  Kinuko Yasuda  <kinuko@chromium.org>

        Unreviewed; Windows buildbot update failure fix.

        * ../ManualTests/data-transfer-items-file-dragout.html: Removed the notion of test:lorem-text.html.
        * ../ManualTests/resources/test:lorem-text.html: Removed as this doesn't work on Windows.

2012-01-20  Kinuko Yasuda  <kinuko@chromium.org>

        Add DataTransferItems support for drag-and-drop'ed files and texts
        https://bugs.webkit.org/show_bug.cgi?id=76367

        Reviewed by Tony Chang.

        * ManualTests/data-transfer-items-file-dragout.html: Added.
        * ManualTests/test:lorem-text.html: Added.

2012-01-20  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Expose accessibility hierarchy in WebKit2 to ATK/AT-SPI based ATs
        https://bugs.webkit.org/show_bug.cgi?id=72589

        Reviewed by Martin Robinson.

        New optional dependency for WK2's accessibility unit test: AT-SPI2.

        * configure.ac: Check for AT-SPI2 when building with WK2 support.

2012-01-19  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        [Qt] Public API watch dog auto test.
        https://bugs.webkit.org/show_bug.cgi?id=73922

        Reviewed by Simon Hausmann.

        This test aims to prevent unintended/unapproved
        modifications to the public QML API.

        * Source/tests.pri:

2012-01-19  Gustavo Noronha Silva  <gns@gnome.org>

        Rubber-stamped by Martin Robinson.

        * Source/autotools/symbols.filter: try to fix the 32 bits release
        bot by also adding the symbol it generates

2012-01-19  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make build-webkit always do safe incremental builds after update-webkit

        When building against Qt5 with GCC we would just run 'make' in the build dir,
        and rely on the dependency files output by GCC (-MD) to handle dependency
        tracking, but that fails for special-cases like adding a Q_OBJECT macro
        to a header.

        To guarantee that an incrmental build will work, we have to run 'make qmake',
        which we now do on every build-webkit that's followed by a successful run
        of update-webkit. The reasoning is that update-webkit can result in such
        potential corner-cases being applied, and since we can't know for sure
        unless we inspect the diff and account for all the corner cases we assume
        the worst and always run 'make qmake'.

        After a succesful run of build-webkit we proceed to do just 'make' for any
        subsequent runs, since we assume that the developer knows what kind of
        changes he/she is doing, and when a 'make qmake' is needed.

        Reviewed by Simon Hausmann.

        * .gitignore:

2012-01-18  Dirk Pranke  <dpranke@chromium.org>

        [chromium] move Tools.gyp, switch build-webkit --chromium to All.gyp
        https://bugs.webkit.org/show_bug.cgi?id=76505

        Reviewed by Tony Chang.

        Update with newly-generated files.

        * .gitignore:

2012-01-18  Eric Carlson  <eric.carlson@apple.com>

        Provide access to user's list of preferred languages
        https://bugs.webkit.org/show_bug.cgi?id=76138

        Reviewed by Alexey Proskuryakov.

        * Source/autotools/symbols.filter: List the new functions.

2012-01-18  Luciano Wolf  <luciano.wolf@openbossa.org>

        [Qt][WK2] Broken build with undefined reference to shm_open and shm_unlink
        https://bugs.webkit.org/show_bug.cgi?id=76538

        Reviewed by Tor Arne Vestbø.

        The -lrt parameter was coming before -lWebKit2 during linkage.

        Moved rt lib inclusion from Source/api.pri to WebKit2.pri as it should be aware
        of its own dependencies instead of letting WebKit guess about. Letting
        it on api.pri can lead to a wrong parameter's order during linker phase.
        Ubuntu 11.10 was giving errors about SharedMemory (shm_open and
        shm_unlink undefined symbols).

        * Source/api.pri:

2012-01-18  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Consolidate layout test crash logging
        https://bugs.webkit.org/show_bug.cgi?id=75088

        Reviewed by Simon Hausmann.

        Move backtrace generating logic into WTFReportBacktrace
        and add a way to deinstall signal handlers if we know
        that we have already printed the backtrace.

        * Source/qtwebkit-export.map:

2012-01-18  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Move OTHER_FILES from WebKit.pro to Tools.pro

        Reviewed by Simon Hausmann.

        * WebKit.pro:

2012-01-18  Shinya Kawanaka  <shinyak@google.com>

        Move ShadowContentElement from dom/ to html/ and make ShadowContentElement subclass of HTMLElement.
        https://bugs.webkit.org/show_bug.cgi?id=76241

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter: Exposed necessary symbols.

2012-01-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build after r105245.

        * Source/autotools/symbols.filter: Fix symbol name.

2012-01-17  Hajime Morrita  <morrita@chromium.org>

        [Internals] Should be able to access corresponding Document object.
        https://bugs.webkit.org/show_bug.cgi?id=76425

        Added exported symbols.

        Reviewed by Adam Barth.

        * Source/autotools/symbols.filter:

2012-01-17  Stephen Chenney  <schenney@chromium.org>

        NULL ptr in WebCore::RenderSVGInlineText::localCaretRect
        https://bugs.webkit.org/show_bug.cgi?id=75851

        Reviewed by Ryosuke Niwa.

        Added a check for null box in localCaretRect, to match test in other
        implementations. Adding a manual test because the crash is not
        reproducible in DRT.

        * ManualTests/svg-modify-deleted-selection.svg: Added.

2012-01-17  Raul Hudea  <rhudea@adobe.com>

        Move tests out of WebCore/manual-tests to toplevel ManualTests.
        It looks like the manual-tests folder wasn't noticed by git (or me :).

        Move some SVG manual tests from deprecated WebCore/manual-tests to toplevel ManualTests
        https://bugs.webkit.org/show_bug.cgi?id=76437

        Reviewed by Daniel Bates.

        * ManualTests/svg-animation-css-transform.html: Renamed from Source/WebCore/manual-tests/svg-animation-css-transform.html.
        * ManualTests/svg-css-animate-compound.html: Renamed from Source/WebCore/manual-tests/svg-css-animate-compound.html.
        * ManualTests/svg-css-transition-compound.html: Renamed from Source/WebCore/manual-tests/svg-css-transition-compound.html.

2012-01-16  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Add more files to project-files for easier navigation in Qt Creator

        Reviewed by Simon Hausmann.

        * WebKit.pro:

2012-01-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.4 release
        https://bugs.webkit.org/show_bug.cgi?id=76375

        Reviewed by Philippe Normand.

        * configure.ac: Bumped version number.

2012-01-16  Shinya Kawanaka  <shinyak@google.com>

        [crash] Renderer crashes when spell checking a disabled input field.
        https://bugs.webkit.org/show_bug.cgi?id=75941

        Reviewed by Hajime Morita.

        * ManualTests/editing-disabled-node-replace-crash.html: Added.

2012-01-13  Simon Fraser  <simon.fraser@apple.com>

        Unmatched transparency layer begin/end on a filtered element with an opacity ancestor
        https://bugs.webkit.org/show_bug.cgi?id=76329

        Reviewed by Dan Bernstein.
        
        Manual test with a filtered element as a descendant of an element with
        opacity. Doing a Find is necessary to exercise the test.

        * ManualTests/filters/opacity-above-filter.html: Added.

2012-01-13  Eli Fidler  <efidler@rim.com>

        GCC compiler version is not detected properly for QNX qcc variant
        https://bugs.webkit.org/show_bug.cgi?id=76288

        Reviewed by Rob Buis.

        Provide an alternative way of getting the compiler version for GCC variants
        that don't support -dumpversion (such as qcc).

        * Source/cmake/WebKitHelpers.cmake:

2012-01-13  Gregg Tavares  <gman@google.com>

        Add WebGLContextGroup as step toward sharing WebGL resources
        https://bugs.webkit.org/show_bug.cgi?id=75906

        The WebGL Working Group will soon add the ability to share
        WebGL resources among WebGL contexts. This is the necessary
        prep work. NO API changes.

        Added WebGLSharedObject for objects that are shared vs
        WebGLContextObject for objects that are not.

        Reviewed by Kenneth Russell.

        No new tests. No change in behavior.

        * GNUmakefile.list.am:
        * WebCore.gypi:
        * html/canvas/OESVertexArrayObject.cpp:
        (WebCore::OESVertexArrayObject::createVertexArrayOES):
        (WebCore::OESVertexArrayObject::deleteVertexArrayOES):
        (WebCore::OESVertexArrayObject::isVertexArrayOES):
        (WebCore::OESVertexArrayObject::bindVertexArrayOES):
        * html/canvas/WebGLBuffer.cpp:
        (WebCore::WebGLBuffer::WebGLBuffer):
        (WebCore::WebGLBuffer::~WebGLBuffer):
        (WebCore::WebGLBuffer::deleteObjectImpl):
        * html/canvas/WebGLBuffer.h:
        * html/canvas/WebGLContextGroup.cpp: Added.
        (WebCore::WebGLContextGroup::create):
        (WebCore::WebGLContextGroup::WebGLContextGroup):
        (WebCore::WebGLContextGroup::~WebGLContextGroup):
        (WebCore::WebGLContextGroup::getAGraphicsContext3D):
        (WebCore::WebGLContextGroup::addContext):
        (WebCore::WebGLContextGroup::removeContext):
        (WebCore::WebGLContextGroup::removeObject):
        (WebCore::WebGLContextGroup::addObject):
        (WebCore::WebGLContextGroup::detachAndRemoveAllObjects):
        (WebCore::WebGLContextGroup::loseContextGroup):
        * html/canvas/WebGLContextGroup.h: Copied from Source/WebCore/html/canvas/WebGLShader.h.
        * html/canvas/WebGLContextObject.cpp: Copied from Source/WebCore/html/canvas/WebGLShader.cpp.
        (WebCore::WebGLContextObject::WebGLContextObject):
        (WebCore::WebGLContextObject::~WebGLContextObject):
        (WebCore::WebGLContextObject::detachContext):
        (WebCore::WebGLContextObject::getAGraphicsContext3D):
        * html/canvas/WebGLContextObject.h: Copied from Source/WebCore/html/canvas/WebGLShader.h.
        (WebCore::WebGLContextObject::context):
        (WebCore::WebGLContextObject::validate):
        (WebCore::WebGLContextObject::hasGroupOrContext):
        * html/canvas/WebGLFramebuffer.cpp:
        (WebCore::WebGLFramebuffer::WebGLFramebuffer):
        (WebCore::WebGLFramebuffer::~WebGLFramebuffer):
        (WebCore::WebGLFramebuffer::setAttachmentForBoundFramebuffer):
        (WebCore::WebGLFramebuffer::getAttachment):
        (WebCore::WebGLFramebuffer::removeAttachmentFromBoundFramebuffer):
        (WebCore::WebGLFramebuffer::checkStatus):
        (WebCore::WebGLFramebuffer::onAccess):
        (WebCore::WebGLFramebuffer::deleteObjectImpl):
        (WebCore::WebGLFramebuffer::initializeRenderbuffers):
        * html/canvas/WebGLFramebuffer.h:
        * html/canvas/WebGLObject.cpp:
        (WebCore::WebGLObject::WebGLObject):
        (WebCore::WebGLObject::~WebGLObject):
        (WebCore::WebGLObject::deleteObject):
        (WebCore::WebGLObject::detach):
        (WebCore::WebGLObject::onDetached):
        * html/canvas/WebGLObject.h:
        * html/canvas/WebGLProgram.cpp:
        (WebCore::WebGLProgram::WebGLProgram):
        (WebCore::WebGLProgram::~WebGLProgram):
        (WebCore::WebGLProgram::deleteObjectImpl):
        (WebCore::WebGLProgram::cacheActiveAttribLocations):
        * html/canvas/WebGLProgram.h:
        * html/canvas/WebGLRenderbuffer.cpp:
        (WebCore::WebGLRenderbuffer::~WebGLRenderbuffer):
        (WebCore::WebGLRenderbuffer::WebGLRenderbuffer):
        (WebCore::WebGLRenderbuffer::deleteObjectImpl):
        * html/canvas/WebGLRenderbuffer.h:
        * html/canvas/WebGLRenderingContext.cpp:
        (WebCore::WebGLRenderingContext::WebGLRenderingContext):
        (WebCore::WebGLRenderingContext::initializeNewContext):
        (WebCore::WebGLRenderingContext::~WebGLRenderingContext):
        (WebCore::WebGLRenderingContext::clearIfComposited):
        (WebCore::WebGLRenderingContext::checkObjectToBeBound):
        (WebCore::WebGLRenderingContext::clear):
        (WebCore::WebGLRenderingContext::copyTexImage2D):
        (WebCore::WebGLRenderingContext::copyTexSubImage2D):
        (WebCore::WebGLRenderingContext::createBuffer):
        (WebCore::WebGLRenderingContext::createFramebuffer):
        (WebCore::WebGLRenderingContext::createTexture):
        (WebCore::WebGLRenderingContext::createProgram):
        (WebCore::WebGLRenderingContext::createRenderbuffer):
        (WebCore::WebGLRenderingContext::createShader):
        (WebCore::WebGLRenderingContext::deleteObject):
        (WebCore::WebGLRenderingContext::deleteRenderbuffer):
        (WebCore::WebGLRenderingContext::deleteTexture):
        (WebCore::WebGLRenderingContext::detachShader):
        (WebCore::WebGLRenderingContext::validateElementArraySize):
        (WebCore::WebGLRenderingContext::validateIndexArrayConservative):
        (WebCore::WebGLRenderingContext::validateIndexArrayPrecise):
        (WebCore::WebGLRenderingContext::validateWebGLObject):
        (WebCore::WebGLRenderingContext::drawArrays):
        (WebCore::WebGLRenderingContext::drawElements):
        (WebCore::WebGLRenderingContext::framebufferRenderbuffer):
        (WebCore::WebGLRenderingContext::framebufferTexture2D):
        (WebCore::WebGLRenderingContext::getFramebufferAttachmentParameter):
        (WebCore::WebGLRenderingContext::linkProgram):
        (WebCore::WebGLRenderingContext::readPixels):
        (WebCore::WebGLRenderingContext::useProgram):
        (WebCore::WebGLRenderingContext::removeSharedObject):
        (WebCore::WebGLRenderingContext::addSharedObject):
        (WebCore::WebGLRenderingContext::removeContextObject):
        (WebCore::WebGLRenderingContext::addContextObject):
        (WebCore::WebGLRenderingContext::detachAndRemoveAllObjects):
        (WebCore::WebGLRenderingContext::initVertexAttrib0):
        (WebCore::WebGLRenderingContext::loseContext):
        (WebCore::WebGLRenderingContext::loseContextImpl):
        * html/canvas/WebGLRenderingContext.h:
        (WebCore::WebGLRenderingContext::contextGroup):
        * html/canvas/WebGLShader.cpp:
        (WebCore::WebGLShader::WebGLShader):
        (WebCore::WebGLShader::~WebGLShader):
        (WebCore::WebGLShader::deleteObjectImpl):
        * html/canvas/WebGLShader.h:
        * html/canvas/WebGLSharedObject.cpp: Copied from Source/WebCore/html/canvas/WebGLRenderbuffer.cpp.
        (WebCore::WebGLSharedObject::WebGLSharedObject):
        (WebCore::WebGLSharedObject::~WebGLSharedObject):
        (WebCore::WebGLSharedObject::detachContextGroup):
        (WebCore::WebGLSharedObject::getAGraphicsContext3D):
        * html/canvas/WebGLSharedObject.h: Copied from Source/WebCore/html/canvas/WebGLShader.h.
        (WebCore::WebGLSharedObject::contextGroup):
        (WebCore::WebGLSharedObject::isBuffer):
        (WebCore::WebGLSharedObject::isFramebuffer):
        (WebCore::WebGLSharedObject::isProgram):
        (WebCore::WebGLSharedObject::isRenderbuffer):
        (WebCore::WebGLSharedObject::isShader):
        (WebCore::WebGLSharedObject::isTexture):
        (WebCore::WebGLSharedObject::validate):
        (WebCore::WebGLSharedObject::hasGroupOrContext):
        * html/canvas/WebGLTexture.cpp:
        (WebCore::WebGLTexture::WebGLTexture):
        (WebCore::WebGLTexture::~WebGLTexture):
        (WebCore::WebGLTexture::deleteObjectImpl):
        * html/canvas/WebGLTexture.h:
        * html/canvas/WebGLVertexArrayObjectOES.cpp:
        (WebCore::WebGLVertexArrayObjectOES::WebGLVertexArrayObjectOES):
        (WebCore::WebGLVertexArrayObjectOES::~WebGLVertexArrayObjectOES):
        (WebCore::WebGLVertexArrayObjectOES::deleteObjectImpl):
        * html/canvas/WebGLVertexArrayObjectOES.h:

2012-01-12  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r104805.
        http://trac.webkit.org/changeset/104805
        https://bugs.webkit.org/show_bug.cgi?id=76180

        Breaks apple win compilation. (Requested by vsevik on
        #webkit).

        * Source/autotools/symbols.filter:

2012-01-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Make the new WTF module build on Qt
        https://bugs.webkit.org/show_bug.cgi?id=76163

        Reviewed by Tor Arne Vestbø.

        * WebKit.pro: Build the new WTF instead of the old one.

2012-01-12  Shinya Kawanaka  <shinyak@google.com>

        ShadowContentElement should be able to use query.
        https://bugs.webkit.org/show_bug.cgi?id=75302

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter: Exposed necessary symbols.

2012-01-11  Ulan Degenbaev  <ulan@chromium.org>

        [v8] Int16Array.set(array, offset) fails on first execution
        https://bugs.webkit.org/show_bug.cgi?id=76040

        Reviewed by Kenneth Russell.

        * LayoutTests/fast/canvas/webgl/array-set-with-offset-expected.txt: Added.
        * LayoutTests/fast/canvas/webgl/array-set-with-offset.html: Added.
        * Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.cpp:
        * Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.h:

2012-01-11  Eli Fidler  <efidler@rim.com>

        Fix OpenGL dependency in CMake build system
        https://bugs.webkit.org/show_bug.cgi?id=73559

        Reviewed by Daniel Bates.

        Apparently the EFL port uses desktop OpenGL to implement WebGL, but
        other ports such as BlackBerry use other libraries like OpenGL ES 2.0 or
        ANGLE.

        * Source/cmake/OptionsCommon.cmake:
        * Source/cmake/OptionsEfl.cmake:

2012-01-09  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [AC] Simplify accelerated compositing build options
        https://bugs.webkit.org/show_bug.cgi?id=75518

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: Remove the --enable-3d-rendering option. It's enabled by
        default now when accelerated compositing is enabled.
        * GNUmakefile.am: Automatically enable 3D rendering when accelerated compositing
        is turned on.

2012-01-04  Jon Lee  <jonlee@apple.com>

        Clicking on the cancel button on readonly and disabled search fields darkens as if the search field was editable
        https://bugs.webkit.org/show_bug.cgi?id=69886
        <rdar://problem/10070187>

        Reviewed by Adele Peterson.

        * ManualTests/search-cancel-button.html: Added.

2012-01-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix compilation of app code against QtWebKit master header file

        Unreviewed trivial build fix.

        * Source/sync.profile: Exclude util.h and testwindow.h from the master header
        file, because it cannot be used outside of the WebKit source tree.

2012-01-06  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Move listing of include paths and libs to pri files in sources

        Includepaths are sometimes modified by non-Qt contributors so keeping
        them in files inside Sources makes it more likely that they are updated
        along with project files for the other ports.

        Using pri files instead of prf files for this also has the benefit that
        the include() from the main target file can be parsed and followed by
        Qt Creator -- something that does not work with load().

        Dependency from a target to a library through the WEBKIT variable are
        handled through forwarding-files in Tools/qmake/mkspecs/modules, which
        set the source root of the module and include the right pri file.

        Ideally we'd use the variant of include() that takes an optional
        namespace to read the variables into, or the fromfile() function,
        but both of these add an overhead of about 40% on the total qmake
        runtime, due to making a deep copy of all the variables in the
        project or re-reading all the prf files from scratch.

        Reviewed by Simon Hausmann.
        Reviewed by Ossy.

        * WebKit.pro:

2012-01-06  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Add a few more files ot OTHER_FILES

        Rubber-stamped by Simon Hausmann.

        * WebKit.pro:

2012-01-05  Ulan Degenbaev  <ulan@chromium.org>

        [v8] Null pointer exception if a typed array constructor set to a primitive value.
        https://bugs.webkit.org/show_bug.cgi?id=75532

        Make sure that V8ArrayBufferViewCustomScript.js does not throw exception.

        Reviewed by Kenneth Russell.

        * LayoutTests/fast/canvas/webgl/array-buffer-view-crash-when-reassigned-expected.txt: Added.
        * LayoutTests/fast/canvas/webgl/array-buffer-view-crash-when-reassigned.html: Added.
        * Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.cpp:
        * Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustomScript.js:

2012-01-05  Zeno Albisser  <zeno@webkit.org>

        [Qt][WK2] Implement custom URL schemes defined in QML.
        https://bugs.webkit.org/show_bug.cgi?id=74931

        Add new classes to the export map.

        Reviewed by Kenneth Rohde Christiansen.

        * Source/qtwebkit-export.map:

2012-01-05  Fady Samuel  <fsamuel@chromium.org>

        Move scalePageBy from eventSender to window.internals
        https://bugs.webkit.org/show_bug.cgi?id=64512

        Reviewed by Simon Fraser.

        * Source/autotools/symbols.filter:

2012-01-04  James Robinson  <jamesr@chromium.org>

        [chromium] Move WebMimeRegistry and dependencies to Source/Platform
        https://bugs.webkit.org/show_bug.cgi?id=74583

        Reviewed by Darin Fisher.

        Update .gitignore for Source/Platform/Platform.gyp/ generated project files.

        * .gitignore:

2012-01-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Introduce new qmake variable 'WEBKIT' for signaling dependencies

        The custom qmake variable 'WEBKIT' is used for signaling that a
        target depends in some way on other subproject of the WebKit
        project. For now this is limited to the set of intermediate
        libraries: wtf, javascriptcore, webcore, and webkit2.

        This replaces the previous convension of using load(foo) for
        just include paths, and CONFIG += foo to also link against foo.

        Adding a dependency results in additional include paths being
        available, and potentially linking to the library. This is
        decided by the build system based on conditions such as what
        kind of target is being built and the general build config.

        An advantage to his approach is that it simplifies the individual
        foo.prf files, for example by allowing us to use INCLUDEPATH +=
        and LIBS += as normal instead of prepending.

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2012-01-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Move use of $$qtLibraryTarget() to a single place

        Reviewed by Kenneth Rohde Christiansen.

        * Source/api.pri:

2012-01-04  Mary Wu  <mary.wu@torchmobile.com.cn>

        Enable DOWNLOAD_ATTRIBUTE in BlackBerry porting
        https://bugs.webkit.org/show_bug.cgi?id=75238

        Reviewed by Antonio Gomes.

        * Source/cmakeconfig.h.cmake: Modified to add a new cmakedefine ENABLE_DOWNLOAD_ATTRIBUTE.

2012-01-03  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Clean up detection of fontconfig

        We decide in features.prf whether or not fontconfig is available, and
        set the HAVE_FONTCONFIG define accordingly. All leaf project files
        should use this define to decide whether or not to link against
        fontconfig, not do their own detection.

        We don't need to add link_pkgconfig to CONFIG in each project file,
        as we selectivly enable that configuration in defaults_post when
        needed.

        Reviewed by Ossy.

        * Source/api.pri:

2012-01-02  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add a way to change web view settings in MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=71568

        Reviewed by Philippe Normand.

        * GNUmakefile.am: Initialize minibrowser_built_sources.

2011-12-28  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK] Fix compilation issue when selecting opengl for Accelerated compositing
        https://bugs.webkit.org/show_bug.cgi?id=75309

        Reviewed by Martin Robinson.

        Replace WTF_USE_TEXTURE_MAPPER_OPENGL to WTF_USE_TEXTURE_MAPPER_GL

        * GNUmakefile.am:

2011-12-28  Dan Bernstein  <mitz@apple.com>

        Entering "make" in Source builds only JavaScriptGlue and ANGLE
        https://bugs.webkit.org/show_bug.cgi?id=75318

        Reviewed by Anders Carlsson.

        * Makefile: Changed to make Source and Tools.
        * Source/Makefile: Changed to make all projects in Source.

2011-12-27  Kentaro Hara  <haraken@chromium.org>

        WIP: Enable the [Supplemental] IDL on Gtk
        https://bugs.webkit.org/show_bug.cgi?id=74972

        Reviewed by Adam Barth.

        This patch adds dom_binding_idls, which is used in Source/WebCore/GNUmakefile.list.am.

        * GNUmakefile.am:

2011-12-22  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Enable blob for the BlackBerry porting
        https://bugs.webkit.org/show_bug.cgi?id=75074

        Reviewed by George Staikos.

        * Source/cmake/OptionsBlackBerry.cmake:

2011-12-22  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL][WK2] Add an option to build WebKit2.
        https://bugs.webkit.org/show_bug.cgi?id=61999

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsEfl.cmake: Set WebKit2_LIBRARY_NAME.

2011-12-22  Daniel Jalkut  <jalkut@red-sweater.com>

        ManualTests HTML template should be simplified
        https://bugs.webkit.org/show_bug.cgi?id=75025

        Reviewed by Ryosuke Niwa.

        * ManualTests/template.html:

2011-12-22  Daniel Jalkut  <jalkut@red-sweater.com>

        WebKit editing throws exception when monochrome color dragged onto text
        https://bugs.webkit.org/show_bug.cgi?id=74775

        Reviewed by Ryosuke Niwa.

        * ManualTests/drag-color-to-contenteditable.html: Added.

2011-12-21  Daniel Bates  <dbates@webkit.org>

        Add CMake option to only build JavaScriptCore
        https://bugs.webkit.org/show_bug.cgi?id=74979

        Reviewed by Rob Buis.

        Towards adding CMake support to script Tools/Scripts/build-jsc, add a CMake
        option to only build JavaScriptCore.

        * CMakeLists.txt: Defined ENABLE_WEBCORE to build WebCore. If the option
        ONLY_BUILD_JAVASCRIPTCORE is specified then don't build WebCore, WebKit, or WebKit2.
        * Source/CMakeLists.txt:
        * Source/cmake/WebKitFS.cmake:

2011-12-20  Ilya Tikhonovsky  <loislo@chromium.org>

        emacs: unreviewed. add settings for editing js files.

        * .dir-locals.el:

2011-12-20  Rafael Brandao  <rafael.lobo@openbossa.org>

        [Qt][WK2] Implement favicon support
        https://bugs.webkit.org/show_bug.cgi?id=71082

        Reviewed by Simon Hausmann.

        * Source/qtwebkit-export.map: Added new classes.

2011-12-18  Simon Hausmann  <simon.hausmann@nokia.com>

        Rename EditCommandQt to UndoStepQt
        https://bugs.webkit.org/show_bug.cgi?id=74754

        Reviewed by Ryosuke Niwa.

        * Source/api.pri:

2011-12-16  Mark Hahnenberg  <mhahnenberg@apple.com>

        De-virtualize destructors
        https://bugs.webkit.org/show_bug.cgi?id=74331

        Reviewed by Geoffrey Garen.

        * Source/autotools/symbols.filter: Removed symbol no longer present.

2011-12-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.3 release
        https://bugs.webkit.org/show_bug.cgi?id=74699

        Reviewed by Philippe Normand.

        * configure.ac: Bumped version number.

2011-12-15  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Remove ENABLE_DATAGRID from the buildsystem.
        https://bugs.webkit.org/show_bug.cgi?id=74640

        Reviewed by Antonio Gomes.

        r84991 removed Datagrid from the tree, but the options in CMake were
        kept.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:

2011-12-15  Ulan Degenbaev  <ulan@chromium.org>

        Web Inspector: [Chromium]  Call LowMemoryNotification instead of IdleNotification
        https://bugs.webkit.org/show_bug.cgi?id=71821

        Reviewed by Yury Semikhatsky.

        * Source/WebCore/bindings/v8/ScriptProfiler.cpp:

2011-12-15  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Don't add WebCoreSupport and WebKit APIs to include WebCore's include path

        Reviewed Simon Hausmann.

        * Source/api.pri:

2011-12-15  Michael Brüning  <michael.bruning@nokia.com>

        [QT][WK2]Add (experimental) viewport info view to Minibrowser/qt.
        https://bugs.webkit.org/show_bug.cgi?id=72893

        Reviewed by Kenneth Rohde Christiansen.

        This patch extends QQuickWebViewExperimental by a property named
        viewportInfo, which contains the viewport scalability and
        layout and contents size information. This property is exposed to
        QML through the experimental extension for QQuickWebView.

        * Source/qtwebkit-export.map:

2011-12-14  Ryosuke Niwa  <rniwa@webkit.org>

        Add a manual test for caret blinking during forward deletion
        https://bugs.webkit.org/show_bug.cgi?id=74494

        Reviewed by Dan Bernstein.

        Add a test to forward delete 200 characters. Caret should not blink during the deletion.
        This is a follow up for r102413.

        * ManualTests/caret-blink-during-forward-delete.html: Added.

2011-12-14  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Rollout r102769, because it broke Qt-4.8 builds.

        * Source/api.pri:

2011-12-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Don't add WebCoreSupport and WebKit APIs to include WebCore's include path

        Followup to r102679

        https://bugs.webkit.org/show_bug.cgi?id=74413

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2011-12-14  Alexander Færøy  <alexander.faeroy@nokia.com>

        [Qt] Fix compilation of QtWebKit with --orientation-events without ENABLE_DEVICE_ORIENTATION
        https://bugs.webkit.org/show_bug.cgi?id=74492

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2011-12-14  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        [Qt] [WK2] Linking fails if GStreamer not installed after r102493
        https://bugs.webkit.org/show_bug.cgi?id=74412

        Reviewed by Simon Hausmann.

        Add -lrt to fix WK2 linking when gstreamer is not used.

        * Source/api.pri:

2011-12-14  Alexander Færøy  <alexander.faeroy@nokia.com>

        [Qt] DeviceOrientationClientMockQt should be removed in favor of DeviceOrientationClientMock
        https://bugs.webkit.org/show_bug.cgi?id=74417

        Reviewed by Simon Hausmann.

        Based on original patch by Kenneth Christiansen.

        * Source/api.pri:

2011-12-14  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Switch to libjpeg for decoding
        https://bugs.webkit.org/show_bug.cgi?id=74475

        Reviewed by Daniel Bates.

        Find libjpeg instead of libimg.

        * Source/cmake/OptionsBlackBerry.cmake:

2011-12-13  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Get rid of layering violations in includes

        WebKit/qt/API and WebKit/qt/WebCoreSupport should not be included
        in the webcore.prf, but rather in each target that specificly needs
        headers in these location. We used to include them directly in webcore
        since we had layering violations between WebCore and WebKit, but now
        that they are gone there's no reason to do that.

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2011-12-12  Andy Wingo  <wingo@igalia.com>

        Simplify autotools configure.ac
        https://bugs.webkit.org/show_bug.cgi?id=74312

        Reviewed by Martin Robinson.

        * configure.ac: Don't AC_DEFINE so many things.  Many of the
        defines were stale (ENABLE_YARR, ENABLE_JIT_OPTIMIZE_CALL, etc),
        and with Platform.h we don't need to make an explicit decision
        here.  If the user does pass --enable-jit or --disable-jit, effect
        that choice via setting JSC_CPPFLAGS.

2011-12-12  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt][WK2] History is not accessible in QML.
        https://bugs.webkit.org/show_bug.cgi?id=73016

        Reviewed by Simon Hausmann.

        Add the new QWebNavigationHistory in the map file.

        * Source/qtwebkit-export.map:

2011-12-09  Jesus Sanchez-Palencia  <jesus.palencia@openbossa.org>

        [Qt] request parameter of QQuickWebView::navigationRequested is not a registered type
        https://bugs.webkit.org/show_bug.cgi?id=73826

        Reviewed by Tor Arne Vestbø.

        * Source/qtwebkit-export.map: Adding QWebNavigationRequest

2011-12-09  Joone Hur  <joone.hur@collabora.co.uk>

        [GTK] Initial implementation of Accelerated Compositing using Clutter
        https://bugs.webkit.org/show_bug.cgi?id=73319

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Export new compilation macros.
        * configure.ac: Add clutter backend for Accelerated Compositing.

2011-12-08  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r102323.
        http://trac.webkit.org/changeset/102323
        https://bugs.webkit.org/show_bug.cgi?id=74069

        Caused Chromium and GTK build failure (Requested by bashi on
        #webkit).

        * Source/autotools/symbols.filter:

2011-12-08  Fady Samuel  <fsamuel@chromium.org>

        Move scalePageBy from eventSender to window.internals
        https://bugs.webkit.org/show_bug.cgi?id=64512

        Reviewed by Simon Fraser.

        * Source/autotools/symbols.filter:

2011-12-06  Dirk Pranke  <dpranke@chromium.org>

        Add Tools/Tool.xcodeproj,
        Source/WebKit/chromium/WebKitUnitTests.xcodeproj,
        Source/WebKit/chromium/All.xcodeproj to .gitignore

        https://bugs.webkit.org/show_bug.cgi?id=73823

        Reviewed by Tony Chang.

        * .gitignore:

2011-12-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] build-jsc script doesn't work
        https://bugs.webkit.org/show_bug.cgi?id=73910

        Reviewed by Tor Arne Vestbø.

        * WebKit.pro: Move WTF SUBDIR stuff out of here and
        straight into JavaScriptCore/JavaScriptCore.pro.
        Unconditionally "recurse" into JavaScriptCore now,
        as we'll do the v8 scoping there to only build WTF.

2011-12-05  Alexander Færøy  <alexander.faeroy@nokia.com>

        [Qt] Add Source/qtwebkitversion.h to .gitignore
        https://bugs.webkit.org/show_bug.cgi?id=73823

        Reviewed by Tor Arne Vestbø.

        * .gitignore:

2011-12-03  Dan Winship  <danw@gnome.org>

        [GTK] Update required libsoup version
        https://bugs.webkit.org/show_bug.cgi?id=71611

        Reviewed by Martin Robinson.

        * configure.ac: require libsoup 2.37.2.1 for SoupRequestHTTP API
        changes

2011-12-02  Fady Samuel  <fsamuel@chromium.org>

        When page scaling is in use position:fixed has incorrect results
        https://bugs.webkit.org/show_bug.cgi?id=68617

        Reviewed by Simon Fraser.

        * Source/autotools/symbols.filter:

2011-12-02  Martin Robinson  <mrobinson@igalia.com>

        Try to fix the GTK+ debug bot. As discussed with other GTK+
        hackers recently. It makes sense to just remove G_DISABLE_DEPRECATIONS
        now in WebKit. The flag itself is now deprecated in GLib in favor of
        the gcc attribute.

        * GNUmakefile.am: Remove G_DISABLE_DEPRECATED.

2011-12-02  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fixes for Windows build.

        * wscript:

2011-12-02  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Fix TextureMapperCairo compilation
        https://bugs.webkit.org/show_bug.cgi?id=73655

        Reviewed by Martin Robinson.

        * GNUmakefile.am: The variables need the USE part in the name.
        * configure.ac: We can not define the variable twice.

2011-12-02  Raphael Kubo da Costa  <kubo@profusion.mobi>

        Unreviewed, revert r101347.
        https://bugs.webkit.org/show_bug.cgi?id=73580

        It breaks the linking of Tools/ targets due to missing functions.

        * Source/cmake/OptionsEfl.cmake:

2011-12-02  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Improve  C++0x compat warnings check
        https://bugs.webkit.org/show_bug.cgi?id=73642

        Reviewed by Martin Robinson.

        * configure.ac:

2011-12-01  Nayan Kumar K  <nayankk@motorola.com>

        [GTK] Add compilation options to enable/disable Accelerated Compositing and to choose texture mapper implementation.
        https://bugs.webkit.org/show_bug.cgi?id=73458

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Export new compilation macros.
        * configure.ac: Provide option to choose accelerated compositing and texture mapper variations.

2011-12-01  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Make the feature defines for DOM names explicit
        https://bugs.webkit.org/show_bug.cgi?id=72812

        Reviewed by Daniel Bates.

        Preprocessor defines used in WebCore/dom/make_names.pl are set via WEBKIT_FEATURE
        for every port in the correspondig platform file. Pass an explicit list of defines
        to the CMake macro, so we need to maintain the list only once.

        * Source/cmake/OptionsBlackBerry.cmake:
        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmake/WebKitFeatures.cmake:

2011-11-30  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Add accelerated compositing compilation option
        https://bugs.webkit.org/show_bug.cgi?id=73298

        Compile whatever we have inside the USE(ACCELERATED_COMPOSITING)
        define. Add the build compilation option
        --with-accelerated-compositing and use it in the makefile.

        Reviewed by Martin Robinson.

        * GNUmakefile.am:
        * configure.ac:

2011-11-30  Mary Wu  <mary.wu@torchmobile.com.cn>

        remove buildinformation from BlackBerry porting build system
        https://bugs.webkit.org/show_bug.cgi?id=73276

        Reviewed by Daniel Bates.

        * Source/cmake/OptionsBlackBerry.cmake: remove script file generate-buildinfo

2011-11-30  Andrew Wason  <rectalogic@rectalogic.com>

        Replace Qt QThread threading back-end with pthread/Win32 threading back-ends
        https://bugs.webkit.org/show_bug.cgi?id=72155

        Reviewed by Simon Hausmann.

        Add additional WebCoreSupport files for Qt.

        * Source/api.pri:

2011-11-30  Adenilson Cavalcanti  <adenilson.silva@openbossa.org>

        [Qt][WK2] Implement permission API for Qt port
        https://bugs.webkit.org/show_bug.cgi?id=59200

        Permission API hookup for Geolocation, it allows to receive in WebView
        a signal when a permission request is done (e.g. to grant permission
        for accessing geolocation information) and set it accordingly.

        Reviewed by Simon Hausmann.

        * Source/qtwebkit-export.map:

2011-11-29  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix for Leopard compilation.

        * wscript:

2011-11-29  Philippe Normand  <pnormand@igalia.com>

        [GTK] hide WebAudio build option until support for FFTW is removed
        https://bugs.webkit.org/show_bug.cgi?id=73295

        Reviewed by Martin Robinson.

        * configure.ac: Disable WebAudio until the FFTW dependency is removed.

2011-11-29  Hyowon Kim  <hw1008.kim@samsung.com>

        [Texmap][EFL] Accelerated compositing support using TextureMapper on EFL port
        https://bugs.webkit.org/show_bug.cgi?id=73111

        Add feature define for TextureMapper and OpenGL package.

        Reviewed by Noam Rosenthal.

        * Source/cmake/OptionsEfl.cmake:

2011-11-29  Roland Steiner  <rolandsteiner@chromium.org>

        <style scoped>: add ENABLE(STYLE_SCOPED) flag to WebKit
        https://bugs.webkit.org/show_bug.cgi?id=72848

        Add flag and description.

        Reviewed by Dimitri Glazkov.

        * configure.ac:

2011-11-28  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Build system fixes against V8.

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Get rid of old v8 cruft.
        * WebKit.pro: Don't build JavaScriptCore when configured with v8.

2011-11-28  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] WTF should be built as separate static library
        https://bugs.webkit.org/show_bug.cgi?id=73201

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Require wtf.
        * WebKit.pro: Build WTF.

2011-11-17  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Integrate build-gtkdoc into build-webkit and make
        https://bugs.webkit.org/show_bug.cgi?id=72626

        Reviewed by Philippe Normand.

        * GNUmakefile.am: Remove references to old gtkdoc files. Update
        the dist-hook to include copying documentation into the distribution.
        This also means that the build will fail if documentation hasn't been
        generated before 'make dist.'
        * configure.ac: Ditto.

2011-11-23  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Re-generate QtWebKit API forwarding headers when API changes

        The forwarding headers are generated by syncqt, and syncqt is run by qmake,
        so we need sync.profile to live in the same directory as the project file
        that will be touched when adding/removing API (api.pri in our case).

        Since the WebKit2 APIs live in a separate static library, we have to
        add the project file for WebKit2 as a dependency of the api.pri file
        as well, so that any changes to the WebKit2 API will still trigger a
        run of qmake (and then syncqt).

        Lastly, we use the new QMAKE_SYNCQT_OUTDIR variable in Qt 5 to ensure
        that the forwarding headers are still generated in the root build dir,
        not in the Source dir along with the internal forwarding headers.

        Reviewed by Andreas Kling.

        * Source/QtWebKit.pro:
        * Source/api.pri:
        * Source/sync.profile: Renamed from sync.profile.

2011-11-23  Halton Huo  <halton.huo@intel.com>

        [EFL] Add zlib depend when freetype is used.
        https://bugs.webkit.org/show_bug.cgi?id=66365

        Unreviewed build fix.

        When freetype is enabled, uncompress() function is used by
        WOFFFileFormat.cpp. Since zlib is not required by freetype, we need to
        add libz as dependency for fix linking issue.

        * Source/cmake/OptionsEfl.cmake: search for ZLIB

2011-10-08  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Enable WebGL by default
        https://bugs.webkit.org/show_bug.cgi?id=69706

        Reviewed by Xan Lopez.

        * configure.ac: Enable WebGL by default if the build target is X11.

2011-11-23  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Move the top-level logic to the top-level directory.
        https://bugs.webkit.org/show_bug.cgi?id=72685

        Reviewed by Brent Fulgham.

        Move most of the top-level code in Source/CMakeLists.txt to
        CMakeLists.txt. This allows us to replace some INCLUDE() hacks with
        proper ADD_SUBDIRECTORY() calls, and actually moves non-Source related
        to a non-Source directory.

        * CMakeLists.txt: Copied from Source/CMakeLists.txt.

2011-11-22  Adam Klein  <adamk@chromium.org>

        Add new WebKit/chromium/dbus directory to .gitignore.

        * .gitignore:

2011-11-22  Adam Klein  <adamk@chromium.org>

        Ignore more gyp-generated build files in WTF.gyp.

        * .gitignore:

2011-11-22  Andy Wingo  <wingo@igalia.com>

        Fix .dir-locals.el to only apply to specific modes
        https://bugs.webkit.org/show_bug.cgi?id=72963

        Reviewed by Xan Lopez.

        * .dir-locals.el: Remove `nil' block, as it was causing
        makefile-mode not to insert tabs.

2011-11-21  Adam Klein  <adamk@chromium.org>

        Add GYP-generated WTF.xcodeproj to .gitignore after r100851.

        * .gitignore:

2011-11-21  Viatcheslav Ostapenko  <ostapenko.viatcheslav@nokia.com>

        [Qt] [WK2] WebKitTestRunner doesn't build in debug
        https://bugs.webkit.org/show_bug.cgi?id=72827

        Reviewed by Andreas Kling.

        Add exports to fix WebKitTestRunner debug build.

        * Source/qtwebkit-export.map:

2011-11-21  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        [Qt] Add WebView.view attached property support for dialogs in QML
        https://bugs.webkit.org/show_bug.cgi?id=72825

        Reviewed by Simon Hausmann.

        Export QQuickWebViewAttached.

        * Source/qtwebkit-export.map:

2011-11-21  Noel Gordon  <noel.gordon@gmail.com>

        Update .gitignore for latest WebKitLibraries
        https://bugs.webkit.org/show_bug.cgi?id=72851

        Reviewed by Andreas Kling.

        * .gitignore: updates to silence 'git status' about WebKitLibraries files.

2011-11-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.2 release
        https://bugs.webkit.org/show_bug.cgi?id=72868

        Reviewed by Xan Lopez.

        * configure.ac: Bumped version number.

2011-11-19  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Build fix after GeneratedImage refactoring.

        * wscript:

2011-11-19  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Add the map file symbols export as a dependency of the final qmake target.
        https://bugs.webkit.org/show_bug.cgi?id=72740

        Reviewed by Simon Hausmann.

        Add the symbols file part of the target dependencies.

        * Source/api.pri:

2011-11-18  Daniel Bates  <dbates@rim.com>

        Add CMake build infrastructure for the BlackBerry port
        https://bugs.webkit.org/show_bug.cgi?id=72768

        Reviewed by Adam Barth and Antonio Gomes.

        * Source/CMakeLists.txt: Add the BlackBerry port and support for building on QNX.
        * Source/cmake/OptionsBlackBerry.cmake: Added.
        * Source/cmake/OptionsCommon.cmake: Add QNX QCC-variant of CODE_GENERATOR_PREPROCESSOR.
          We may be able to fold this into the non-MSVC CODE_GENERATOR_PREPROCESSOR.

2011-11-18  Adam Barth  <abarth@webkit.org>

        Prepare to move manual-tests out of WebCore
        https://bugs.webkit.org/show_bug.cgi?id=72782

        Reviewed by Eric Seidel.

        Update these files to refer to the new location of ManualTests.

        * .gitattributes:
        * Source/cmake/WebKitPackaging.cmake:

2011-11-18  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add possibility to overwrite WEBKIT_PORT_DIR in platform specific files
        https://bugs.webkit.org/show_bug.cgi?id=72710

        Reviewed by Brent Fulgham.

        * Source/CMakeLists.txt:

2011-11-18  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Unreviewed build fix: Export QQuickWebPage/Preferences private API
        needed for the qml plugin.

        * Source/qtwebkit-export.map:

2011-11-18  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Unreviewed build fix: Export QQuickWebViewExperimental private API
        that was added since I made the export patch.

        * Source/qtwebkit-export.map:

2011-11-18  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] WTR and InjectedBundle should not link statically against JSC/WTF
        https://bugs.webkit.org/show_bug.cgi?id=72697

        Reviewed by Kenneth Rohde Christiansen.

        * Source/api.pri: On Linux, use a GNU LD version script to manage the
        symbol exports, which includes the public WK1/WK2 API as well as a bunch
        of private WTF symbols needed for WTR and the Injected Bundle.
        * Source/qtwebkit-export.map: Added.

2011-11-17  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [EFL] Clean up the use of DATA_DIR in the buildsystem
        https://bugs.webkit.org/show_bug.cgi?id=72681

        Reviewed by Daniel Bates.

        * Source/cmake/OptionsEfl.cmake: Rename DATA_DIR to DATA_INSTALL_DIR
        and add it to the cache; add a variable with the path of the generated
        theme and remove the -DDATA_DIR definition, it was moved to
        PlatformEFL.cmake in WebCore.

2011-11-17  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add ENABLE_CLIENT_BASED_GEOLOCATION to cmakeconfig.h
        https://bugs.webkit.org/show_bug.cgi?id=72643

        Reviewed by Brent Fulgham.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:

2011-11-17  Kelly Norton  <knorton@google.com>

       Several void functions in FrameView and RenderObject actually return values.
       https://bugs.webkit.org/show_bug.cgi?id=72640

        Reviewed by Adam Barth.

        * ../../Source/WebCore/page/FrameView.cpp:
        * ../../Source/WebCore/rendering/RenderObject.cpp:

2011-11-17  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Make CODE_GENERATOR_PREPROCESSOR more useable
        https://bugs.webkit.org/show_bug.cgi?id=72516

        Reviewed by Brent Fulgham.

        On windows some code generators fail, if the path to the preprocessor contains spaces.
        Use only the executable name to avoid this issue for now.

        * Source/cmake/OptionsCommon.cmake:

2011-11-17  Jochen Eisinger  <jochen@chromium.org>

        [chromium] add gyp-mac-tool to .gitignore
        https://bugs.webkit.org/show_bug.cgi?id=72603

        Reviewed by Tony Gentilcore.

        This file is generated by the make-based build of the chromium/mac port

        * .: Modified property svn:ignore.
        * .gitignore:

2011-11-17  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Move WebKit2 C++ APIs to private API and build QML extension plugin on top of that

        A new extension object has been added to QQuickWebView (the same approach should be used
        for other API classes that need experimental APIs). The QML extension mechanism is then
        built on top of the experimental object.

        https://bugs.webkit.org/show_bug.cgi?id=72522

        Reviewed by Simon Hausmann.

        * Source/QtWebKit.pro:
        * Source/api.pri:

2011-11-11  Adrienne Walker  <enne@google.com>

        [chromium] Expose mock scrollbars to window.internals
        https://bugs.webkit.org/show_bug.cgi?id=72195

        Reviewed by James Robinson.

        * Source/autotools/symbols.filter:

2011-11-15  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Centralize hide_symbols and ensure all libs are built with symbol visibility & bsymbolic_functions

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Eliminate duplicated symbol stuff that lives now in default_post.prf.

2011-11-16  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Fix path to module file in root project file

        Reviewed by Simon Hausmann.

        * WebKit.pro:

2011-11-16  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed, rolling out r100266.
        http://trac.webkit.org/changeset/100266

        Broke WTR.

        * Source/api.pri:

2011-11-15  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Centralize hide_symbols and ensure all libs are built with symbol visibility & bsymbolic_functions

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Eliminate duplicated symbol stuff that lives now in default_post.prf.

2011-11-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Move the QtWebKit module file to match the layout of Qt's mkspecs

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2011-11-12  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Use MAIN_DEPENDENCY in GENERATE_* macros
        https://bugs.webkit.org/show_bug.cgi?id=71365

        Reviewed by Daniel Bates.

        Use the MAIN_DEPENDENCY instead of DEPENDS in the custom build commands.
        This adds better IDE support for such targets.

        * Source/cmake/WebKitMacros.cmake:

2011-11-11  Shinya Kawanaka  <shinyak@google.com>

        Implement legacy text check emulation in unified text check interface.
        https://bugs.webkit.org/show_bug.cgi?id=70299

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2011-11-11  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Build fix of the private QML module with --no-webkit2.
        https://bugs.webkit.org/show_bug.cgi?id=67707

        Reviewed by Tor Arne Vestbø.

        * Source/QtWebKit.pro:

2011-11-11  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Add a way to have experimental features in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=67707

        Reviewed by Kenneth Rohde Christiansen.

        Add the new private QML module in the build.

        * Source/QtWebKit.pro:

2011-11-10  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] X11 plugins need to be reworked for Qt5
        https://bugs.webkit.org/show_bug.cgi?id=70023

        Reviewed by Simon Hausmann.

        Rework our basic plugin support in a way that does
        not need a bridge between Qt and X. The solution is
        based on getting the content drawed by the plugin
        from the server as an image and creating a QImage
        from it.

        * Source/api.pri: Link to xlib if necessary.

2011-11-10  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Clean up build system

        Reviewed by Tor Arne Vestbø.

        * Source/api.pri: Eliminate use of WebKit2.pri.

2011-11-10  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Merge QTouchWebView and QDesktopWebView into one class
        https://bugs.webkit.org/show_bug.cgi?id=71355

        Reviewed by Kenneth Rohde Christiansen.

        Remove old tests and merge them into the new QQuickWebView directory.

        * Source/tests.pri:

2011-11-10  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Change semantics of the haveQt() function to match API promises

        Having Qt 5 does not imply that we have Qt 4, from an API point of
        view, as a major version can in theory break BC/SC. Our minimum
        version of Qt 4 will always be the latest released version of Qt 4,
        so the only place we should use haveQt(4, x) is when checking for
        the minimum requirements.

        Reviewed by Simon Hausmann.

        * Source/QtWebKit.pro:

2011-11-10  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make sure headers.pri has the right relative paths for install

        The install rules are generated from api.pri which lives in Source,
        which means the paths in headers.pri, which is the basis for the
        install rules, needs to be relative to Source as well.

        We were also installing the headers from the forwarding headers
        directory, which was wrong, as those headers contained relative paths.

        We now install the actual headers, by using headers.pri as a basis.

        https://bugs.webkit.org/show_bug.cgi?id=71697

        Reviewed by Simon Hausmann.

        * Source/QtWebKit.pro:
        * Source/api.pri:
        * sync.profile:

2011-11-09  Shinya Kawanaka  <shinyak@google.com>

        Internals.markerRangeForNode should be able to take markers by specifying a marker type.
        https://bugs.webkit.org/show_bug.cgi?id=71792

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter: Exposed necessary symbols.

2011-11-09  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Update project files.

        * wscript:

2011-11-09  Philippe Normand  <pnormand@igalia.com>

        [GTK][DRT] window internals object is not reset after each test
        https://bugs.webkit.org/show_bug.cgi?id=71890

        Reviewed by Martin Robinson.

        * Source/autotools/symbols.filter: Revert un-needed symbol.

2011-11-09  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, attempt to fix GTK 32-bits Release build after r99691.

        * Source/autotools/symbols.filter: Add the missing symbol for resetInternalsObject.

2011-11-09  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Only copy framework headers once when debug_and_release is enabled

        Otherwise we might end up in a race condition where we try to symlink
        the headers directory in the makefile for debug and release at the same
        time.

        Reviewed by Simon Hausmann.

        * Source/api.pri:

2011-11-08  Martin Robinson  <mrobinson@igalia.com>

        Take another stab at fixing the GTK+ build.

        * Source/autotools/symbols.filter: The symbols.filter file was missing a semicolon.

2011-11-08  Daniel Bates  <dbates@webkit.org>

        Attempt to fix the GTK build after <http://trac.webkit.org/changeset/99613>
        (https://bugs.webkit.org/show_bug.cgi?id=71840)

        * Source/autotools/symbols.filter: Add symbol _ZN7WebCore4Page13setPaginationERKNS0_10PaginationE.

2011-11-08  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Use qmake's builtin rules for copying framework headers on Mac OS

        Now that we generate the forwarding headers eiher as part of QtWebKit.pro
        (for Qt 4.8), or as part of the root project file (for Qt 5), we can assume
        that the files are there and use $$files() to list the files to be copied.

        Reviewed by Csaba Osztrogonác.

        * Source/api.pri:

2011-11-08  Yuqiang Xian  <yuqiang.xian@intel.com>

        Enable DFG JIT by default on X86 Linux and Mac platforms
        https://bugs.webkit.org/show_bug.cgi?id=71686

        Reviewed by Filip Pizlo.

        Remove the DFG cmake option for Efl port as we'll determine whether to
        switch on DFG or not based on build target platforms.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2011-11-08  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Ensure forwarding headers are generated before generating install rules

        The install rule for headers depends on qmake being able to walk the list of
        headers in the $build_root/include/QtWebKit directory, but this directory is
        empty until we've generated the forwarding headers. So we need to make sure
        the forwarding headers are generated _before_ we run qmake on the api project
        file. This applies to Qt 4.8 only, as Qt 5 will run synqt as part of the
        root project file (due to the sync.profile file).

        https://bugs.webkit.org/show_bug.cgi?id=71697

        Reviewed by Simon Hausmann.

        * Source/QtWebKit.pro:
        * Source/api.pri:

2011-11-07  ChangSeok Oh  <shivamidow@gmail.com>

        [EFL] Support requestAnimationFrame API
        https://bugs.webkit.org/show_bug.cgi?id=67112

        Reviewed by Andreas Kling.

        Add build-option for requestAnimationFrame feature.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2011-11-07  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Ensure we always export symbols for the QtWebKit API when building WebKit

        Reviewed-by Simon Hausmann.

        * Source/api.pri:

2011-11-04  Philippe Normand  <pnormand@igalia.com>

        [GTK] Disable VIDEO_TRACK for now
        https://bugs.webkit.org/show_bug.cgi?id=71547

        Reviewed by Gustavo Noronha Silva.

        * configure.ac: VIDEO_TRACK is still a moving target, it's best to
        disable it for now.

2011-11-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Don't build all of webkit when running build-jsc

        In case the whole webkit project was built, but we then subsequently
        want to build only JSC, we need to run make in the proper subdirectory.

        This also means the incremental target needs to be added to all
        makefiles.

        Reviewed by Simon Hausmann.

        * WebKit.pro:

2011-11-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Refactor and clean up the qmake build system

        The qmake build system has accumulated a bit of cruft and redundancy
        over time. There's also a fairly tight coupling between how to build
        the various targets, and _what_ to build, making it harder to add new
        rules or sources. This patch aims to elevate these issues somewhat.

        This is a short-list of the changes:

          * The rules for how to build targets are now mostly contained as
            prf-files in Tools/qmake/mkspecs/features. Using mkspecs also
            allows us to do pre- and post-processing of each project file,
            which helps to clean up the actual project files.

          * Derived sources are no longer generated as a separate make-step
            but is part of each target's project file as a subdir. Makefile
            rules are used to ensure that we run make on the derived sources
            before running qmake on the actual target makefile. This makes
            it easier to keep a proper dependency between derived sources
            and the target.

          * We use GNU make and the compiler to generate dependencies on
            UNIX-based systems running Qt 5. This allows us to lessen the
            need to run qmake, which should reduce compile time.

          * WebKit2 is now build by default if building with Qt 5. It can
            be disabled by passing --no-webkit2 to build-webkit.

        The result of these changes are hopefully a cleaner and easier
        build system to modify, and faster build times due to no longer
        running qmake on every single build. It's also a first step
        towards possibly generating the list of sources using another
        build system.

        https://bugs.webkit.org/show_bug.cgi?id=71222

        Reviewed by Simon Hausmann.

        * Source/DerivedSources.pro: Removed.
        * Source/QtWebKit.pro: Added.
        * Source/WebKit.pri: Removed.
        * Source/WebKit.pro: Removed.
        * Source/api.pri: Added.
        * Source/tests.pri: Added.
        * WebKit.pro: Added.
        * sync.profile: Renamed from Source/sync.profile.

2011-11-03  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Remove Maemo specific code paths
        https://bugs.webkit.org/show_bug.cgi?id=71476

        Reviewed by Kenneth Rohde Christiansen.

        * Source/WebKit.pri:

2011-11-03  Dongwoo Im  <dw.im@samsung.com>

        [EFL] Enable the Page Visibility API.
        https://bugs.webkit.org/show_bug.cgi?id=69127

        Reviewed by Adam Barth.

        Build system changes to support ENABLE(PAGE_VISIBILITY_API) on EFL port.

        * Source/cmake/OptionsEfl.cmake: Add enabled ENABLE_PAGE_VISIBILITY_API definition.
        * Source/cmakeconfig.h.cmake: ditto.

2011-10-28  Adam Barth  <abarth@webkit.org>

        Rename ExceptionCodeDescription.in to DOMExceptions.in
        https://bugs.webkit.org/show_bug.cgi?id=71157

        Reviewed by Eric Seidel.

        * Source/cmake/WebKitMacros.cmake:

2011-10-28  Adam Barth  <abarth@webkit.org>

        ExceptionCode.cpp shouldn't need to know about every feature that throws exceptions
        https://bugs.webkit.org/show_bug.cgi?id=70890

        Reviewed by Eric Seidel.

        Add a code generation step.

        * Source/cmake/WebKitMacros.cmake:

2011-10-27  Priit Laes  <plaes@plaes.org>

        [GTK] Create .xz tarballs during distcheck
        https://bugs.webkit.org/show_bug.cgi?id=71001

        Reviewed by Martin Robinson.

        * configure.ac: Switched tarballs to use .xz compression.

2011-10-27  Daniel Bates  <dbates@rim.com>

        CMake: Add support to optionally install the built JavaScript shell
        https://bugs.webkit.org/show_bug.cgi?id=71062

        Reviewed by Antonio Gomes.

        Adds a CMake option, called SHOULD_INSTALL_JS_SHELL, that when
        defined will generate an installation rule to install the built
        JavaScript shell into /bin (with respect to the prefix path).

        By default, we don't define this option and hence don't generate
        an installation rule for the JavaScript shell.

        * Source/CMakeLists.txt:

2011-10-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r98556.
        http://trac.webkit.org/changeset/98556
        https://bugs.webkit.org/show_bug.cgi?id=71031

        The test added by the patch doesn't pass on Snow Leopard
        (Requested by rniwa on #webkit).

        * Source/autotools/symbols.filter:

2011-10-27  Shinya Kawanaka  <shinyak@google.com>

        Implement legacy text check emulation in unified text check interface.
        https://bugs.webkit.org/show_bug.cgi?id=70299

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2011-10-27  Philippe Normand  <pnormand@igalia.com> and Zan Dobersek  <zandobersek@gmail.com>

        [GStreamer] WebAudio AudioFileReader implementation
        https://bugs.webkit.org/show_bug.cgi?id=69834

        Reviewed by Martin Robinson.

        * configure.ac: Check for libfftw and gstreamer-audio if WebAudio
        build is enabled.

2011-10-26  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.1 release
        https://bugs.webkit.org/show_bug.cgi?id=70932

        Reviewed by Martin Robinson.

        * configure.ac: Bumped version number.

2011-10-26  Alejandro G. Castro  <alex@igalia.com>

        [GTK] [WK2] Add WebKit2 distcheck support
        https://bugs.webkit.org/show_bug.cgi?id=70933

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Added WebKit2 compilation to the distcheck.
        * configure.ac: Removed WebKit2 doc generation for the moment.

2011-10-21  Simon Hausmann  <simon.hausmann@nokia.com>

        Remove QtScript source code from WebKit.
        https://bugs.webkit.org/show_bug.cgi?id=64088

        Reviewed by Tor Arne Vestbø.

        Removed dead code that isn't developed anymore.

        * Source/WebKit.pro:

2011-10-19  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Streamline wk1 documentation build
        https://bugs.webkit.org/show_bug.cgi?id=70447

        Reviewed by Martin Robinson.

        * GNUmakefile.am: include the documentation's GNUmakefile.am;
        * autogen.sh: we no longer call gtkdocize, since we now ship
          a modified gtk-doc.make;
        * configure.ac: no longer generate a separate GNUmakefile for
          the documentation build.

2011-10-18  Adam Barth  <abarth@webkit.org>

        Always enable ENABLE(XPATH)
        https://bugs.webkit.org/show_bug.cgi?id=70217

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-10-18  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Merge QML plugin for WebKit2 with the original WebKit1 plugin

        We don't need a sepearate plugin, as we no longer expose the WK2
        APIs under QtWebKit.experimental, but now use QtWebKit. The version
        was also changed to 3.0 instead of 5.0, as the original plugin was
        versioned 1.0, and bumping to 3.0 fits the scheme used by QtWebKit releases.

        Reviewed by Andreas Kling.

        * Source/WebKit.pro:

2011-10-18  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Support for client-based geolocation
        https://bugs.webkit.org/show_bug.cgi?id=64970

        Reviewed by Martin Robinson.

        Remove flag for enabling client-based geolocation since
        it is used by default on Gtk port and hence not configurable.

        * configure.ac:

2011-10-17  Leandro Pereira  <leandro@profusion.mobi>

        Unreviewed; actually enable/disable microdata support in CMake.

        Follow-up to r97471, which did not plug the option to enable/disable
        microdata into the buildsystem.

        * Source/cmake/OptionsEfl.cmake: Add ENABLE_MICRODATA feature, turned off by default.
        * Source/cmake/OptionsWinCE.cmake: Ditto.
        * Source/cmakeconfig.h.cmake: Add ENABLE_MICRODATA #cmakedefine.

2011-10-17  Ryosuke Niwa  <rniwa@webkit.org>

        GTK build fix patch by Gustavo Noronha Silva.

        * Source/autotools/symbols.filter:

2011-10-17  Vamshikrishna Yellenki  <vamshi@motorola.com>

        [webkit]Debug Build Bot failure
        https://bugs.webkit.org/show_bug.cgi?id=70222

        Reviewed by Xan Lopez.

        * Source/autotools/symbols.filter: Corrected the filter name for getLocationAndLengthFronRange

2011-10-16  Adam Barth  <abarth@webkit.org>

        Always enable ENABLE(DOM_STORAGE)
        https://bugs.webkit.org/show_bug.cgi?id=70189

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-10-15  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        [Qt] [Symbian] Remove support for the Symbian platform for the QtWebKit port
        https://bugs.webkit.org/show_bug.cgi?id=69920

        Reviewed by Kenneth Rohde Christiansen.

        * Source/WebKit.pri:
        * Source/WebKit.pro:

2011-10-14  Mark Hahnenberg  <mhahnenberg@apple.com>

        Rename virtual put to putVirtual
        https://bugs.webkit.org/show_bug.cgi?id=69851

        Reviewed by Darin Adler.

        Renamed virtual versions of put to putVirtual in prepration for 
        adding the static put to the MethodTable in ClassInfo since the 
        compiler gets mad if the virtual and static versions have the same 
        name.

        * Source/autotools/symbols.filter:

2011-10-14  Mark Hahnenberg  <mhahnenberg@apple.com>

        Rename virtual put to putVirtual
        https://bugs.webkit.org/show_bug.cgi?id=69851

        Reviewed by Darin Adler.

        Renamed virtual versions of put to putVirtual in prepration for 
        adding the static put to the MethodTable in ClassInfo since the 
        compiler gets mad if the virtual and static versions have the same 
        name.

        * Source/autotools/symbols.filter:

2011-10-13  Arko Saha  <arko@motorola.com>

        Microdata: Basic implementation of document.getItems() method.
        https://bugs.webkit.org/show_bug.cgi?id=68610

        Reviewed by Ryosuke Niwa.

        Added ENABLE(MICRODATA) feature flag.

        * configure.ac:

2011-10-14  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [EFL] Add DumpRenderTreeSupportEfl
        https://bugs.webkit.org/show_bug.cgi?id=68458

        Reviewed by Kenneth Rohde Christiansen.

        * Source/cmake/eflsymbols.filter: Export DumpRenderTreeSupportEfl
        symbols so that DumpRenderTree can link to them.

2011-10-12  Adam Barth  <abarth@webkit.org>

        Remove ENABLE(XHTMLMP) and associated code
        https://bugs.webkit.org/show_bug.cgi?id=69729

        Reviewed by David Levin.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-10-12  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Fix build with GLib 2.31
        https://bugs.webkit.org/show_bug.cgi?id=69840

        Reviewed by Martin Robinson.

        * configure.ac: add check for pthread rwlock support.

2011-10-10  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [WebKit2] Make adding another unit test easier
        https://bugs.webkit.org/show_bug.cgi?id=69409

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Include the new testing makefile.

2011-10-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Remove all references to QTDIR_build and standalone_package

        Qt is now modularized, which means we no longer import WebKit into
        the Qt source tree. Instead we use git submodules, and building
        QtWebKit as "part of Qt" is really building QtWebKit as from trunk.

        To decrease the number of buildsystem configurations we also remove
        the standalone_package code-path used when we were providing tarballs
        with the derived sources pre-generated.

        Reviewed by Simon Hausmann.

        * Source/WebKit.pri:
        * Source/WebKit.pro:

2011-10-06  Fady Samuel  <fsamuel@chromium.org>

        Code clean-up: Make RenderObject::absoluteBoundingBoxRect and associated methods const and make its parameter useTransforms no longer default to false
        https://bugs.webkit.org/show_bug.cgi?id=69009

        Reviewed by Simon Fraser.

        * Source/autotools/symbols.filter:

2011-10-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt][Wk2] Fix build with Qt 5 when QtScript is built as standalone module
        https://bugs.webkit.org/show_bug.cgi?id=69520

        Reviewed by Csaba Osztrogonác.

        * Source/WebKit.pri: Introduce convenience qt5 scope.
        * Source/WebKit.pro: Replace QT_MAJOR_VERSION stuff with qt5 scope.

2011-10-06  Nayan Kumar K  <nayankk@motorola.com>

        Provide configure option to switch between JSC and V8.
        https://bugs.webkit.org/show_bug.cgi?id=69469

        Reviewed by Philippe Normand.

        This is first of the patches to support building of V8 with
        WebKit GTK. With this patch, new command line switch named
        '--with-jsengine' is introduced, using which we can choose to
        build either jsc or v8.

        * GNUmakefile.am:
        * configure.ac:

2011-10-04  Scott Graham  <scottmg@chromium.org>

        Add GAMEPAD feature flag
        https://bugs.webkit.org/show_bug.cgi?id=66859

        Reviewed by Darin Fisher.

        * configure.ac:

2011-10-04  Varun Jain  <varunjain@chromium.org>

        Fix position check for double tap gesture detection. A double tap
        should not be detected if the two taps are far from each other.
        https://bugs.webkit.org/show_bug.cgi?id=69270

        Reviewed by Darin Fisher.

        Test: Source/WebKit/chromium/tests/InnerGestureRecognizerTest.cpp

        * platform/chromium/GestureRecognizerChromium.cpp:
        (WebCore::GestureRecognizerChromium::isSecondClickInsideManhattanSquare):
        (WebCore::GestureRecognizerChromium::updateValues):
        (WebCore::GestureRecognizerChromium::click):
        * platform/chromium/GestureRecognizerChromium.h:

2011-10-04  Nayan Kumar K  <nayankk@motorola.com>

        [WebKit2][gtk] Generate gtk-doc for WebKit2-GTK.
        https://bugs.webkit.org/show_bug.cgi?id=69325

        Reviewed by Gustavo Noronha Silva.

        Documentation generation for WebKit2-GTK+ APIs
        using gtk-doc.

        * configure.ac:

2011-10-04  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Remove http/tests/inspector/network/disabled-cache-crash.html.
        https://bugs.webkit.org/show_bug.cgi?id=69332

        Reviewed by Pavel Feldman.

        * Source/autotools/symbols.filter:

2011-09-23  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix build against Qt5 after refactor of widgets out of QtGUi

        QWidget and friends now live in the QtWidgets library. We update
        includes in implementation files and private headers to us the
        non-module-prefixed path, and leave the lookup for the include
        path. For public headers we have to ifdef the includes as the
        user might now have the modules we need in his QT config.

        Finally, QSGCanvas is no longer a QWidget but a QWindow, so we
        have to update our code and use windowHandle() for setting the
        parent relationships.

        https://bugs.webkit.org/show_bug.cgi?id=68687

        Reviewed by Andreas Kling.

        * Source/WebKit.pro:

2011-09-29  Sergio Villar Senin  <svillar@igalia.com>

        [GTK] Bump version to 1.7.0
        https://bugs.webkit.org/show_bug.cgi?id=69082

        Reviewed by Martin Robinson.

        Apart from bumping the library version to 1.7.0 this patch also
        sets the libtool version to the same one we have for the stable
        branch.

        * configure.ac:

2011-09-28  Martin Robinson  <mrobinson@igalia.com>

        Fix the WebKit2 WebGL build.

        * configure.ac: Add -ldl to the OPENGL_LIBS.

2011-09-28  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Bump minimum requirement for eina.
        https://bugs.webkit.org/show_bug.cgi?id=68994

        Reviewed by Ryosuke Niwa.

        * Source/cmake/FindEFL.cmake:

2011-09-27  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed. Fix a build error in WebKit EFL.

        When web socket is disabled, there is a build break in WebKit EFL port.
        Currently, web socket is enabled by default in build-webkit script.
        Thus, the web socket is also enabled in EFL script of cmake build system for now.
        Because, WebKit EFL developers can't work on latest WebKit trunk.

        However, IMO, we should fix build errors when web socket is disabled.

        * Source/cmake/OptionsEfl.cmake:

2011-09-27  Ulan Degenbaev  <ulan@chromium.org>

        [v8] Code calling the typed array optimization script is fragile, depends on typed array hierarchy.

        Install the flag, which indicates whether or not the optimization
        script was executed, on the global object.

        https://bugs.webkit.org/show_bug.cgi?id=68890

        Reviewed by Kenneth Russell.

        * Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.cpp:

2011-09-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r96108, r96111, r96113, and r96116.
        http://trac.webkit.org/changeset/96108
        http://trac.webkit.org/changeset/96111
        http://trac.webkit.org/changeset/96113
        http://trac.webkit.org/changeset/96116
        https://bugs.webkit.org/show_bug.cgi?id=68913

        Wait for working Qt5 (Requested by ossy on #webkit).

        * Source/WebKit.pro:

2011-09-23  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix build against Qt5 after refactor of widgets out of QtGUi

        QWidget and friends now live in the QtWidgets library. We update
        includes in implementation files and private headers to us the
        non-module-prefixed path, and leave the lookup for the include
        path. For public headers we have to ifdef the includes as the
        user might now have the modules we need in his QT config.

        Finally, QSGCanvas is no longer a QWidget but a QWindow, so we
        have to update our code and use windowHandle() for setting the
        parent relationships.

        https://bugs.webkit.org/show_bug.cgi?id=68687

        Reviewed by Andreas Kling.

        * Source/WebKit.pro:

2011-09-27  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Reorganize header files
        https://bugs.webkit.org/show_bug.cgi?id=65616

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Initialize $libwebkitgtkincludedir to
        $(prefix)/include/webkitgtk-<api-version>

2011-09-26  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Remove FindFreetype.cmake
        https://bugs.webkit.org/show_bug.cgi?id=68778

        Reviewed by Adam Barth.

        CMake has provided its own FindFreetype.cmake forever, so there is no
        need to have another implementation in WebKit.

        * Source/cmake/FindCairo.cmake: Use FREETYPE_{LIBRARIES,INCLUDE_DIRS}
        instead of Freetype_{LIBRARIES,INCLUDE_DIRS}.
        * Source/cmake/FindFreetype.cmake: Removed.
        * Source/cmake/FindPango.cmake: Use FREETYPE_{LIBRARIES,INCLUDE_DIRS}
        instead of Freetype_{LIBRARIES,INCLUDE_DIRS}.
        * Source/cmake/OptionsEfl.cmake: Remove minimum required version
        check, it has never been checked and Freetype 2.1.10 from 2005 is
        already > 9.0.

2011-09-26  Alejandro G. Castro  <alex@igalia.com>

        [GTK] pot file is not properly remove during distcheck
        https://bugs.webkit.org/show_bug.cgi?id=68797

        Defined DOMAIN variable before DISTCLEANFILES because we are using
        it there to identify the .pot file.

        Reviewed by Martin Robinson.

        * GNUmakefile.am:

2011-09-26  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Detect the operating system in a more generic way.
        https://bugs.webkit.org/show_bug.cgi?id=67482

        Reviewed by Adam Barth.

        So far the buildsystem only considered Windows, Linux and Mac OS X as
        valid operating systems, but any Unix (or at least the BSDs) should also
        work fine.

        By using the OS values CMake itself defines we can check for Unix
        systems in a more generic fashion.

        * Source/CMakeLists.txt:

2011-09-26  Jay Soffian  <jaysoffian@gmail.com>

        chrome.dll!WebCore::ApplyStyleCommand::applyBlockStyle ReadAV@NULL (64db547804532a84be2e53721e499e9e)
        https://bugs.webkit.org/show_bug.cgi?id=51639

        Reviewed by Ryosuke Niwa.

        Add missing window.layoutTestController.dumpAsText so that test output matches expectation.

        * LayoutTests/editing/style/justify-without-enclosing-block.xhtml:

2011-09-25  Adam Barth  <abarth@webkit.org>

        Finish removing PLATFORM(BREWMP) by removing associated code
        https://bugs.webkit.org/show_bug.cgi?id=68779

        Reviewed by Sam Weinig.

        * Source/cmake/WebKitPackaging.cmake:
        * wscript:

2011-09-25  Adam Barth  <abarth@webkit.org>

        Remove PLATFORM(HAIKU) and associated code
        https://bugs.webkit.org/show_bug.cgi?id=68774

        Reviewed by Sam Weinig.

        * Source/cmake/WebKitPackaging.cmake:
        * wscript:

2011-09-25  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Remove FindLibXlst.cmake
        https://bugs.webkit.org/show_bug.cgi?id=68770

        Reviewed by Adam Barth.

        This file should have never been committed -- the library it looks for
        is called libxslt, not libxlst, so it has never really been used. When
        the buildsystem looked for libxslt, it used CMake's own LibXslt.cmake
        instead.

        * Source/cmake/FindLibXlst.cmake: Removed.

2011-09-24  Adam Barth  <abarth@webkit.org>

        Always enable ENABLE(OFFLINE_WEB_APPLICATIONS)
        https://bugs.webkit.org/show_bug.cgi?id=68767

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-09-24  Adam Barth  <abarth@webkit.org>

        Remove ENABLE(WCSS) and associated code
        https://bugs.webkit.org/show_bug.cgi?id=68759

        Reviewed by Darin Adler.

        * configure.ac:

2011-09-23  Yuqiang Xian  <yuqiang.xian@intel.com>

        Add JSVALUE32_64 support to DFG JIT
        https://bugs.webkit.org/show_bug.cgi?id=67460

        Reviewed by Gavin Barraclough.

        Add cmake options to enable DFG JIT compilation for EFL port

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2011-09-23  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Detect amd64 as a valid 64-bit architecture.
        https://bugs.webkit.org/show_bug.cgi?id=67481

        Reviewed by Oliver Hunt.

        Some operating systems (generally the BSDs) use amd64 instead of x86_64
        to report they're running on 64 bits, so consider it a valid value.

        * Source/CMakeLists.txt:

2011-09-23  Adam Klein  <adamk@chromium.org>

        Add ENABLE_MUTATION_OBSERVERS feature flag
        https://bugs.webkit.org/show_bug.cgi?id=68732

        Reviewed by Ojan Vafai.

        This flag will guard an implementation of the "Mutation Observers" proposed in
        http://lists.w3.org/Archives/Public/public-webapps/2011JulSep/1622.html

        * configure.ac:

2011-09-23  Varun Jain  <varunjain@google.com>

        Refactor WebViewImpl::scrollFocusedNodeIntoRect to a better place and add tests
        https://bugs.webkit.org/show_bug.cgi?id=68198

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter:

2011-09-23  Mark Hahnenberg  <mhahnenberg@apple.com>

        Add static version of JSCell::visitChildren
        https://bugs.webkit.org/show_bug.cgi?id=68404

        Reviewed by Darin Adler.

        In this patch we just extract the bodies of the virtual visitChildren methods
        throughout the JSCell inheritance hierarchy out into static methods, which are 
        now called from the virtual methods.  This is an intermediate step in trying to 
        move the virtual-ness of visitChildren into our own custom vtable stored in 
        ClassInfo.  We need to convert the methods to static methods in order to be 
        able to more easily store and refer to them in our custom vtable since normal 
        member methods store some implicit information in their types, making it 
        impossible to store them generically in ClassInfo.

        * Source/autotools/symbols.filter:

2011-09-21  Julien Chaffraix  <jchaffraix@webkit.org>

        Crash in RenderBox::paintMaskImages when GraphicsContext's painting is disabled
        https://bugs.webkit.org/show_bug.cgi?id=68133

        Reviewed by Darin Adler.

        * Source/autotools/symbols.filter: Added the mangled symbols needed for window.internals

2011-09-21  Joshua Bell  <jsbell@chromium.org>

        IndexedDB: compare strings without decoding
        https://bugs.webkit.org/show_bug.cgi?id=68554

        Reviewed by Tony Chang.

        Resolves a FIXME in IndexedDB that was also identified as a hotspot
        during profiling. Yields a small performance improvement.

        * Source/WebCore/storage/IDBLevelDBCoding.cpp:
        * Source/WebCore/storage/IDBLevelDBCoding.h:
        * Source/WebKit/chromium/tests/IDBLevelDBCodingTest.cpp:

011-09-21  Leandro Pereira  <leandro@profusion.mobi>

        Unreviewed. Remove unused ENABLE_AS_IMAGE flag after r95234 from
        Options{Efl,WinCE}.cmake.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:

2011-09-20  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK] requestAnimationFrame support for gtk port
        https://bugs.webkit.org/show_bug.cgi?id=66280

        Reviewed by Martin Robinson.

        * configure.ac: Add an option to enable requestAnimationFrame for gtk port.

2011-09-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.5.90 release

        Reviewed by Martin Robinson.

        * configure.ac:

2011-09-19  Adam Barth  <abarth@webkit.org>

        Always enable ENABLE(EVENTSOURCE)
        https://bugs.webkit.org/show_bug.cgi?id=68414

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-09-17  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Bump minimum requirement for cairo to 1.10.
        https://bugs.webkit.org/show_bug.cgi?id=68226

        Reviewed by Adam Barth.

        * Source/cmake/FindCairo.cmake: Check required version.
        * Source/cmake/OptionsEfl.cmake:

2011-09-16  Ulan Degenbaev  <ulan@chromium.org>

        [V8] REGRESSION(94783): calling the binding script during V8 context creation slows down page loads
        https://bugs.webkit.org/show_bug.cgi?id=68237

        Reviewed by Kenneth Russell.

        Call the binding script lazily on the first run of the set() method of
        a typed array.

        * ../../Source/WebCore/WebCore.gypi:
        * ../../Source/WebCore/bindings/v8/V8BindingScripts.cpp: Removed.
        * ../../Source/WebCore/bindings/v8/V8BindingScripts.h: Removed.
        * ../../Source/WebCore/bindings/v8/V8DOMWindowShell.cpp:
        * ../../Source/WebCore/bindings/v8/WorkerContextExecutionProxy.cpp:
        * ../../Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.cpp:
        * ../../Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.h:
        * ../../Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustomScript.js:

2011-09-16  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Disable WebKit2 by default in configure.ac, but enable it with build-webkit
        https://bugs.webkit.org/show_bug.cgi?id=68178

        Reviewed by Xan Lopez.

        * configure.ac: Do not build WebKit2 by default. Re-add pkgconfig support
        for WebKit2.

2011-09-15  Adam Barth  <abarth@webkit.org>

        Rename ENABLE(DATABASE) to ENABLE(SQL_DATABASE)
        https://bugs.webkit.org/show_bug.cgi?id=68205

        Reviewed by Eric Seidel.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-09-15  Varun Jain  <varunjain@google.com>

        Add method to scroll current node to specific position in Chromium WebKit API
        https://bugs.webkit.org/show_bug.cgi?id=68192

        Reviewed by Dimitri Glazkov.

        *  Source/WebKit/chromium/public/WebView.h:
        *  Source/WebKit/chromium/src/WebViewImpl.cpp:
        *  Source/WebKit/chromium/src/WebViewImpl.h:

2011-09-15  Eric Seidel  <eric@webkit.org>

        Remove ENABLE(SVG_AS_IMAGE) since all major ports have it on by default
        https://bugs.webkit.org/show_bug.cgi?id=68182

        Reviewed by Adam Barth.

        * configure.ac:

2011-09-15  Eric Seidel  <eric@webkit.org>

        Remove ENABLE_SVG_ANIMATION as all major ports have it on by default
        https://bugs.webkit.org/show_bug.cgi?id=68022

        Reviewed by Ryosuke Niwa.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-09-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r95163.
        http://trac.webkit.org/changeset/95163
        https://bugs.webkit.org/show_bug.cgi?id=68180

        [Qt] The QT_GCC_X variables were removed in Qt5 by accident.
        (Requested by darktears on #webkit).

        * Source/WebKit.pri:

2011-09-14  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Replace QT_GCC_X as they don't exist in Qt5 anymore.
        https://bugs.webkit.org/show_bug.cgi?id=68114

        Reviewed by Kenneth Rohde Christiansen.

        Replace QT_GCC_X variables, they have been removed in Qt5. It was
        actually wrong to use them because they tell about which GCC version
        Qt has been compiled, not the current version of GCC use to build webkit.
        I use gcc -dumpversion to get it.

        * Source/WebKit.pri:

2011-09-14  Ulan Degenbaev  <ulan@chromium.org>

        [v8] Improve performance of typed array copy constructor taking Array
        https://bugs.webkit.org/show_bug.cgi?id=68015

        Reviewed by Kenneth Russell.

        Invoke the 'set' method of the constructed array instead of
        copying the elements of the source array one by one.

        Copy constructor tests already exist.

        * ../../Source/WebCore/WebCore.gypi:
        * ../../Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.cpp: Added.
        * ../../Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustom.h:

2011-09-14  Csaba Osztrogonác  <ossy@webkit.org>

        [GTK] Unreviewed buildfix after r95107.

        * configure.ac:

2011-09-13  Eric Seidel  <eric@webkit.org>

        Remove ENABLE_SVG_USE as <use> is required by HTML5
        https://bugs.webkit.org/show_bug.cgi?id=68019

        Reviewed by Ryosuke Niwa.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-09-13  Eric Seidel  <eric@webkit.org>

        Remove ENABLE_SVG_FOREIGN_OBJECT as it is a required part of HTML5
        https://bugs.webkit.org/show_bug.cgi?id=68018

        Reviewed by Ryosuke Niwa.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:
        * configure.ac:

2011-09-09  Rafael Antognolli  <antognolli@profusion.mobi>

        Add replacement functions for gdk ones.
        https://bugs.webkit.org/show_bug.cgi?id=66323

        Reviewed by Martin Robinson.

        * Source/cmake/FindPango.cmake:

2011-09-09  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        [Qt] Remove common.pri
        https://bugs.webkit.org/show_bug.cgi?id=67814

        Reviewed by Andreas Kling.

        * Source/WebKit.pri: Move rules from common.pri to WebKit.pri.
        * Source/common.pri: Removed.

2011-09-08  Mark Pilgrim  <pilgrim@chromium.org>

        Test how HTMLAnchorElement.getParameter reacts to too few arguments
        https://bugs.webkit.org/show_bug.cgi?id=66522

        Reviewed by Adam Barth.

        * LayoutTests/fast/dom/HTMLAnchorElement/get-parameter-expected.txt: Added.
        * LayoutTests/fast/dom/HTMLAnchorElement/get-parameter.html: Added.

2011-09-08  Varun Jain  <varunjain@google.com>

        Implement double tap detection in GestureRecognizerChromium
        https://bugs.webkit.org/show_bug.cgi?id=67709

        Reviewed by Dimitri Glazkov.

        *  Source/WebCore/page/EventHandler.cpp:
        *  Source/WebCore/platform/PlatformGestureEvent.h:

2011-09-08  Ulan Degenbaev  <ulan@chromium.org>

        [v8] Improve performance of typed array set() taking Array
        https://bugs.webkit.org/show_bug.cgi?id=63644

        Reviewed by Kenneth Russell.

        Overwrite the native 'set' method of the type arrays with JS
        implementation after initialization of the global context.

        Add tests for invalid and boundary offsets. No performance tests.

        * LayoutTests/fast/canvas/webgl/array-unit-tests-expected.txt:
        * LayoutTests/fast/canvas/webgl/array-unit-tests.html:
        * Source/WebCore/WebCore.gyp/WebCore.gyp:
        * Source/WebCore/WebCore.gypi:
        * Source/WebCore/bindings/v8/V8BindingScripts.cpp: Added.
        * Source/WebCore/bindings/v8/V8BindingScripts.h: Added.
        * Source/WebCore/bindings/v8/V8DOMWindowShell.cpp:
        * Source/WebCore/bindings/v8/WorkerContextExecutionProxy.cpp:
        * Source/WebCore/bindings/v8/custom/V8ArrayBufferViewCustomScript.js: Added.

2011-09-08  Varun Jain  <varunjain@google.com>

        Split Tap gesture detection into TapDown and Tap.
        We need this distinction to highlight links when they are first touched. The link is
        followed only if the tap is completed, otherwise, if a scroll is detected, the highlight
        goes away.
        https://bugs.webkit.org/show_bug.cgi?id=67645

        Reviewed by Dimitri Glazkov.

        *  Source/WebCore/page/EventHandler.cpp:
        *  Source/WebCore/platform/PlatformGestureEvent.h:

2011-09-07  Alexei Svitkine  <asvitkine@chromium.org>

        Add test infrastructure to test rubber-banding overhang drawing along with layout tests for existing Chromium Mac overhang drawing in the non-gpu path.
        https://bugs.webkit.org/show_bug.cgi?id=67511

        Reviewed by Dimitri Glazkov.

        * Source/autotools/symbols.filter:

2011-09-06  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION(r94274): FormManagerTest.PreviewForm and FillFormNonEmptyField fail on chromium
        https://bugs.webkit.org/show_bug.cgi?id=67453

        Reviewed by Kent Tamura.

        Add symbols for internals.

        * Source/autotools/symbols.filter:

2011-09-04  Robin Dunn  <robin@alldunn.com>

        [wx] Enable wxWebKit to run using the wxGC Cairo backend on platforms other than GTK.
        https://bugs.webkit.org/show_bug.cgi?id=67577

        Reviewed by Kevin Ollivier.

        * wscript:

2011-08-30  Aaron Colwell  <acolwell@chromium.org>

        Add MediaSource API to HTMLMediaElement
        https://bugs.webkit.org/show_bug.cgi?id=64731

        Reviewed by Eric Carlson.

        * configure.ac:

2011-08-30  Ryosuke Niwa  <rniwa@webkit.org>

        Cleanup after r94050 and r94054.

        * Source/autotools/symbols.filter:

2011-08-30  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, another attempt to fix GTK build after r94038.

        * Source/autotools/symbols.filter:

2011-08-29  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix attempt after r94038.

        * Source/autotools/symbols.filter:

2011-08-26  Varun Jain  <varunjain@google.com>

        WebViewImpl::selectionRange should return range in the right order.
        https://bugs.webkit.org/show_bug.cgi?id=66973

        Reviewed by Darin Fisher.

        *  Source/WebKit/chromium/public/WebWidget.h:
        *  Source/WebKit/chromium/src/WebViewImpl.cpp:

2011-08-25  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Switch to GTK+ 3.x by default
        https://bugs.webkit.org/show_bug.cgi?id=63047

        * configure.ac: Modify the default value of the --with-gtk option to be 3.0.

2011-08-24  Philippe Normand  <pnormand@igalia.com>

        [GTK] bump GStreamer requirement to 0.10.30
        https://bugs.webkit.org/show_bug.cgi?id=66860

        Reviewed by Martin Robinson.

        * configure.ac:

2011-08-23  Steve Block  <steveblock@google.com>

        Remove all mention of removed Android files from build scripts
        https://bugs.webkit.org/show_bug.cgi?id=66755

        Reviewed by Tony Gentilcore.

        * Source/cmake/WebKitPackaging.cmake:

2011-08-19  MORITA Hajime  <morrita@google.com>

        Spell-checking doesn't recognize word boundaries on contests inserted by execCommand('insertHTML')
        https://bugs.webkit.org/show_bug.cgi?id=65902

        Reviewed by Ryosuke Niwa.
        
        Add export for window.internals object.

        * Source/autotools/symbols.filter:

2011-08-16  Andras Becsi  <abecsi@webkit.org>

        Reviewed by Csaba Osztrogonác.

        Need AtomicStrings for the various font family names
        https://bugs.webkit.org/show_bug.cgi?id=28024

        * Source/cmake/WebKitMacros.cmake: Add new macro.

2011-08-11  Xan Lopez  <xlopez@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.5.2 release

        Reviewed by Gustavo Noronha.

        * configure.ac: update for release.

2011-08-10  Varun Jain  <varunjain@google.com>

        WebViewImpl::selectionRange should return false if there is no selection
        https://bugs.webkit.org/show_bug.cgi?id=66012

        Reviewed by Darin Fisher.

        *  Source/WebKit/chromium/src/WebViewImpl.cpp:

2011-08-10  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Do not build LocaleToScriptMappingICU.cpp for now
        as ICU on Leopard is too old to build this.
        
        * wscript:

2011-08-08  Adrienne Walker  <enne@google.com>

        Add testing for --force-compositing-mode to windows.internal
        https://bugs.webkit.org/show_bug.cgi?id=65777

        Reviewed by Adam Barth.

        Add exports for Document::settings().

        * Source/autotools/symbols.filter:

2011-08-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r92683.
        http://trac.webkit.org/changeset/92683
        https://bugs.webkit.org/show_bug.cgi?id=65921

         "Breaks Qt --minimal build. Revert pending update of the Qt
        minimal configuration" (Requested by simathur on #webkit).

        * Source/WebKit.pri:

2011-08-09  Siddharth Mathur  <siddharth.mathur@nokia.com>

        [Qt] Simplify code by removing QT_NO_DESKTOPSERVICES and QT_NO_NETWORKDISKCACHE
        https://bugs.webkit.org/show_bug.cgi?id=65880

        Reviewed by Andreas Kling.

        QDesktopServices and QNetworkDiskCache have been around for a while now. Kill flags which 
        check for their feature flags. Assume that any reasonable Qt build provides them. 

        * Source/WebKit.pri:

2011-08-06  Aron Rosenberg  <arosenberg@logitech.com>

        Reviewed by Benjamin Poulain.

        [Qt] Fix build with Intel compiler on Windows
        https://bugs.webkit.org/show_bug.cgi?id=65088

        Disable Intel Compiler warning 873 - function "" has no corresponding operator
        delete (to be called if an exception is thrown during initialization of an
        allocated object).

        * Source/WebKit.pri:

2011-08-03  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix after gesture recognizer changes.

        * wscript:

2011-08-02  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        [Qt] [WK2] Expose web view classes to QML
        https://bugs.webkit.org/show_bug.cgi?id=65339

        Reviewed by Benjamin Poulain.

        * Source/WebKit.pro: Include QML plugin subdir in the build system for WK2.

2011-08-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Install web and plugin processes in libexecdir instead of bindir
        https://bugs.webkit.org/show_bug.cgi?id=65600

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Initialize libexec_PROGRAMS, only used by
        WebKit2 in this moment.

2011-08-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Reorganize pkg-config files
        https://bugs.webkit.org/show_bug.cgi?id=65548

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Initialize pkgconfigdir and pkgconfig_DATA which
        are common to all libraries.
        * configure.ac: Update pkg-config files.

2011-08-02  Varun Jain  <varunjain@google.com>

        Missing null check in WebViewImpl::selectionRange
        https://bugs.webkit.org/show_bug.cgi?id=65561

        Reviewed by Darin Fisher.

        *  Source/WebKit/chromium/src/WebViewImpl.cpp:

2011-08-01  Scott Graham  <scottmg@chromium.org>

        REGRESSION (r39725?): Resources removed from document can not be freed until the document is deleted
        https://bugs.webkit.org/show_bug.cgi?id=61006

        Reviewed by Antti Koivisto.

        Update exports for test harness.

        * Source/autotools/symbols.filter:

2011-08-01  Hayato Ito  <hayato@chromium.org>

        Add support for getting an element in shadow root by its id into a window.internals object.
        https://bugs.webkit.org/show_bug.cgi?id=64587

        Reviewed by Hajime Morita.

        * Source/autotools/symbols.filter:

2011-08-01  Neil Roberts  <neil@linux.intel.com>

        build: Fix finding the headers for GStreamer

        The cmake files to find the various GStreamer packages were all
        checking for the header gst/gst.h. However if gst-plugins-base is
        installed into a separate prefix from gstreamer then all of these
        tests would only pick up the gstreamer include path so the build
        would fail. This patch changes it to try and find a file
        appropriate to each package.

        https://bugs.webkit.org/show_bug.cgi?id=64933

        Reviewed by Martin Robinson.

        * Source/cmake/FindGStreamer-App.cmake:
        * Source/cmake/FindGStreamer-Base.cmake:
        * Source/cmake/FindGStreamer-Interfaces.cmake:
        * Source/cmake/FindGStreamer-Pbutils.cmake:
        * Source/cmake/FindGStreamer-Plugins-Base.cmake:
        * Source/cmake/FindGStreamer-Video.cmake:

2011-07-31  Daniel Bates  <dbates@webkit.org>

        Add missing semicolons to build fix attempt in <http://trac.webkit.org/changeset/92080>.

        * Source/autotools/symbols.filter:

2011-07-31  Daniel Bates  <dbates@webkit.org>

        Some more fixes to the GTK build after r92059 (https://bugs.webkit.org/show_bug.cgi?id=65419).

        * Source/autotools/symbols.filter: Export symbols needed by Internals.

2011-07-27  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        [Qt] Fix build in Qt 5 of QDeclarativeWebView
        https://bugs.webkit.org/show_bug.cgi?id=65258

        Reviewed by Andreas Kling.

        In Qt 5, the QGraphicsView-based classes for QtQuick are in the
        qtquick1 module, including QDeclarativeItem and QDeclarativeView.

        * Source/WebKit.pro:

2011-07-26  Andras Becsi  <abecsi@webkit.org>

        [Qt] [WK2] Disable the build with Qt versions older than 5.0
        https://bugs.webkit.org/show_bug.cgi?id=65189

        Reviewed by Csaba Osztrogonác.

        * Source/WebKit.pro: Abort if not using Qt5.

2011-07-20  Pierre Rossi  <pierre.rossi@gmail.com>

        [Qt] Qt5 Build Fix: Disable the legacy mac assert macros.

        This is done in order to prevent collision with the recently
        introduced function QSslCertificate::verify() in Qt5.

        https://bugs.webkit.org/show_bug.cgi?id=64855

        Reviewed by Simon Hausmann.

        * Source/WebKit.pri:

2011-07-19  Robert Sesek  <rsesek@chromium.org>

        [Chromium] Need to remove app/ from DEPS
        https://bugs.webkit.org/show_bug.cgi?id=64750

        Reviewed by Tony Chang.

        Remove Source/WebKit/chromium/app/ from .gitignore.

        * .gitignore:

2011-07-18  MORITA Hajime  <morrita@google.com>

        [ShadowContentElement] forwarded node should be able to access its hosting content element.
        https://bugs.webkit.org/show_bug.cgi?id=64251

        Reviewed by Dimitri Glazkov.

        Added GTK symbols for new window.internals methods.
        
        * Source/autotools/symbols.filter:

2011-07-15  Martin Robinson  <mrobinson@igalia.com>

        Build fixes for WebKit2. Ensure that all generated sources are
        on nodist primaries, that they are on forward declared variables
        so that BUILT_SOURCES is calculated properly and that zlib is 
        included during linking (for WOFF support).

        * GNUmakefile.am:
        * Source/autotools/webkit.m4: Include test for zlib.

2011-07-15  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Build plugin process by default when building WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=64592

        Reviewed by Philippe Normand.

        * configure.ac:

2011-07-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Implement Plugin Process
        https://bugs.webkit.org/show_bug.cgi?id=60546

        * configure.ac: Always check for gtk2 when building the plugin
        process.

2011-07-14  MORITA Hajime  <morrita@google.com>

        Unreviewed, rolling out r90976, r90981, and r90985.
        http://trac.webkit.org/changeset/90976
        http://trac.webkit.org/changeset/90981
        http://trac.webkit.org/changeset/90985
        https://bugs.webkit.org/show_bug.cgi?id=64251

        build break

        * Source/autotools/symbols.filter:

2011-07-14  MORITA Hajime <morrita@google.com>

        Unreviewed attempt to build fix.
        
        * Source/autotools/symbols.filter:

2011-07-13  MORITA Hajime  <morrita@google.com>

        [ShadowContentElement] forwarded node should be able to access its hosting content element.
        https://bugs.webkit.org/show_bug.cgi?id=64251

        Reviewed by Dimitri Glazkov.

        Added GTK symbols for new window.internals methods.
        
        * Source/autotools/symbols.filter:

2011-07-06  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [EFL] Add Fullscreen API feature
        https://bugs.webkit.org/show_bug.cgi?id=63975

        This is just to add disabled ENABLE_FULLSCREEN_API to OptionEFl.cmake.
        ENABLE_FULLSCREEN_API will be enabled after finishing missing implementations.

        Reviewed by Adam Barth.

        * Source/cmake/OptionsEfl.cmake: Add disabled ENABLE_FULLSCREEN_API feature.
        * Source/cmakeconfig.h.cmake: ditto.

2011-07-05  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Show content for plugin requests in network panel.
        https://bugs.webkit.org/show_bug.cgi?id=30080

        Added GTK symbols for new window.internals methods.

        Reviewed by Pavel Feldman.

        * Source/autotools/symbols.filter:

2011-07-04  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r90373.
        http://trac.webkit.org/changeset/90373
        https://bugs.webkit.org/show_bug.cgi?id=63917

        Breaks Qt Linux Release minimal (Requested by vsevik on
        #webkit).

        * Source/autotools/symbols.filter:

2011-07-04  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Show content for plugin requests in network panel.
        https://bugs.webkit.org/show_bug.cgi?id=30080

        Reviewed by Pavel Feldman.

        * Source/autotools/symbols.filter:

2011-07-01  Tony Chang  <tony@chromium.org>

        Add chromium sql directory to git ignore.

        * .gitignore:

2011-07-01  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Daniel Bates.

        [CMake] Add cpu detection for MIPS
        https://bugs.webkit.org/show_bug.cgi?id=63693

        * Source/CMakeLists.txt:

2011-07-01  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Add DeviceOrientation feature
        https://bugs.webkit.org/show_bug.cgi?id=63720

        Add configure option to enable/disable DeviceOrientation feature.

        * configure.ac:

2011-06-28  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Rename 3D transforms to 3D rendering
        https://bugs.webkit.org/show_bug.cgi?id=63508

        WebKitGtk+ provides the 3D transforms feature, but it was
        renamed to 3D Rendering. This features supports CSS 3D trasnforms.

        * configure.ac: Rename ENABLE_3D_TRANSFORMS to ENABLE_3D_RENDERING.

2011-06-27  Alexis Menard  <alexis.menard@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Remove Phonon MediaPlayer from the tree.
        https://bugs.webkit.org/show_bug.cgi?id=63448

        Remvove from the build.

        * Source/WebKit.pri:

2011-06-24  Dominic Cooney  <dominicc@chromium.org>

        Reviewed by Dimitri Glazkov.

        Convert shadow DOM-related tests to use window.internals
        https://bugs.webkit.org/show_bug.cgi?id=61671

        * Source/autotools/symbols.filter: Export symbols for GTK.

2011-06-24  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add more debug options to compilation
        https://bugs.webkit.org/show_bug.cgi?id=63318

        Add --enable-debug-symbols to enable/disable compilation with
        debug symbols and --enable-debug-features to enable/disable debug
        features. Both options are unconditionally enabled for debug
        builds.

        * configure.ac:

2011-06-23  Oliver Hunt  <oliver@apple.com>

        Qt build-fix: remove warning that no other platform appears to use.
        Someone can add it back if they really feel it's needed.

        * Source/WebKit.pri:

2011-06-22  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Antonio Gomes.

        [EFL] Add an option to enable Device Orientation Event.
        https://bugs.webkit.org/show_bug.cgi?id=63120

        ADD ENABLE_DEVICE_ORIENTATION.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2011-06-22  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Add symbols required for window.internals.
        https://bugs.webkit.org/show_bug.cgi?id=62066

        * Source/autotools/symbols.filter:

2011-06-22  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Adam Roben.

        [GTK] Implement pixel dump support for WebKitTestRunner
        https://bugs.webkit.org/show_bug.cgi?id=58242

        * GNUmakefile.am: Reference the new ImageDiff GNUmakefile.

2011-06-21  MORITA Hajime  <morrita@google.com>

        Unreviewed, rolling out r89401 and r89403.
        http://trac.webkit.org/changeset/89401
        http://trac.webkit.org/changeset/89403
        https://bugs.webkit.org/show_bug.cgi?id=62970

        Breaks mac build and mistakenly enables the spellcheck API

        * configure.ac:

2011-06-20  MORITA Hajime <morrita@google.com>

        Reviewed by Kent Tamura.
        
        Spellcheck API should be build-able.
        https://bugs.webkit.org/show_bug.cgi?id=62970

        * configure.ac:

2011-06-20  MORITA Hajime  <morrita@google.com>

        Unreviewed GTK build fix.
        This change corrected syntax error on symbols.filter.

        * Source/autotools/symbols.filter:

2011-06-19  MORITA Hajime <morrita@google.com>

        Unreviewed GTK build fix.

        * Source/autotools/symbols.filter:

2011-06-19  MORITA Hajime  <morrita@google.com>

        Reviewed by Dimitri Glazkov.

        The internals object should have createShadowContentElement()
        https://bugs.webkit.org/show_bug.cgi?id=62432

        * Source/autotools/symbols.filter: Added some more symbols necessary for
        window.internals to function to the global symbol list.
        

2011-06-19  Adam Bergkvist  <adam.bergkvist@ericsson.com>

        Reviewed by Martin Robinson.

        [GTK] Enable Media Stream feature and make it default on
        https://bugs.webkit.org/show_bug.cgi?id=60394

        * configure.ac:

2011-06-17  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Replace GdkRectangle by cairo_rectangle_int_t
        https://bugs.webkit.org/show_bug.cgi?id=60687

        Replace GdkRectangle by cairo_rectangle_int_t.

        * configure.ac: Check whether Cairo version is higher than 1.10.

2011-06-16  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Eric Seidel.

        [CMAKE] Enable METER_TAG of HTML5
        https://bugs.webkit.org/show_bug.cgi?id=62697

        Support for meter tag of html5 in CMake build system. However, this feature is
        only enabled on EFL port now. 

        * Source/cmake/OptionsEfl.cmake: Add ENABLE_METER_TAG.
        * Source/cmakeconfig.h.cmake:ditto.

2011-06-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Remove support for GTK+2 in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=62794

        * configure.ac: Make WebKit2 require GTK+ 3.x.

2011-06-15  Ryuan Choi  <ryuan.choi@samsung.com>

        Rubber stamped by Eric Seidel.

        [CMAKE][WK2] Add an option to build webkit2.
        https://bugs.webkit.org/show_bug.cgi?id=62260

        Add ENABLE_WEBKIT2 to build WebKit2 using CMake and ENABLE_WEBKIT to disable
        WebKit.

        * Source/CMakeLists.txt:
        * Source/cmake/WebKitFS.cmake:

2011-06-14  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Eric Seidel.

        [CMAKE] Add ENABLE_TOUCH_ICON_LOADING feature.
        https://bugs.webkit.org/show_bug.cgi?id=62604

        Add feature to enable or disable ENABLE_TOUCH_ICON which supports
        apple-touch-icon and apple-touch-icon-precomposed in link tag.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2011-06-13  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Add configure option to enable/disable register protocol handler
        https://bugs.webkit.org/show_bug.cgi?id=62534

        This patch just adds configure option to enable/disable register protocol handler.
        So, it needs more code to use register protocol handler.

        * configure.ac: Add configure option to enable/disable register protocol handler.

2011-06-13  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Need to report whether touch icon loading is enabled
        https://bugs.webkit.org/show_bug.cgi?id=62532

        It needs to report whether touch icon loading is enabled.

        * configure.ac: Updated option parsing code for loading touch icons.

2011-06-13  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Eric Seidel.

        [CMAKE] Conditionally generate DerivedSources
        https://bugs.webkit.org/show_bug.cgi?id=62277

        Speedup build by not generating DerivedSources of features that are
        disabled. This was already been done for some features like ENABLE_SVG
        and now it's extended the following features: ENABLE_DATABASE,
        ENABLE_INDEXED_DATABASE, ENABLE_DOM_STORAGE, ENABLE_XPATH,
        ENABLE_OFFLINE_WEB_APPLICATIONS, ENABLE_WEB_SOCKETS,
        ENABLE_DATA_TRANSFER_ITEMS.

        * Source/cmakeconfig.h.cmake: add definition for INDEXED_DATABASE

2011-06-10  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [CMAKE] Add generic support for building with WebGL
        https://bugs.webkit.org/show_bug.cgi?id=62376

        Add files that need to be compiled in every port for supporting WebGL.
        Each port still needs to add its specific files to
        CMakeLists${PORT}.txt. Therefore we do not enable WebGL in any port
        yet.

        * Source/CMakeLists.txt: Add files needed to support WebGL.
        * Source/cmake/OptionsCommon.cmake: Find required OpenGL package.
        * Source/cmakeconfig.h.cmake: define ENABLE_WEBGL this feature is
        enabled.

2011-06-09  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Antonio Gomes.

        [CMAKE] Never let USER_AGENT defined to nothing
        https://bugs.webkit.org/show_bug.cgi?id=62410

        This patch is similar to r88342, but sets WEBKIT_USER_AGENT_*
        definitions only if that port defined it. A port might prefer to set it
        in other place, e.g. a header that is part of the public API (like GTK
        does).

        By using #cmakedefine instead of #define, if that variable is not set
        in CMake it will expand to:

        /* #define WEBKIT_USER_AGENT_MAJOR_VERSION */

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmakeconfig.h.cmake:

2011-06-08  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Antonio Gomes.

        [EFL] Enable PROGRESS_TAG feature
        https://bugs.webkit.org/show_bug.cgi?id=62212

        * Source/cmake/OptionsEfl.cmake: Turn on PROGRESS_TAG by default.

2011-06-08  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [CMAKE] Never let a WTF_FEATURE defined to nothing
        https://bugs.webkit.org/show_bug.cgi?id=60820

        If a port doesn't want to give the user some configure options,
        nevertheless it would have to define this feature as OFF. Otherwise
        there's a build error because the generated cmakeconfig.h is not
        parsed correctly by ENABLE macro, which expects each feature to be
        either undefined or defined to TRUE/FALSE.

        * Source/cmake/WebKitFeatures.cmake: Use a variable with the same name
        of the feature, which allows CONFIGURE_FILE() to replace it in the new
        cmakeconfig.h.cmake.
        * Source/cmakeconfig.h.cmake: use #cmakedefine01 instead of #define
        with another variable. This way the feature will always be 0 or 1 and
        it will never be left undefined.

2011-06-07  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Remove Ecore_X bits from PlatformScreenEfl
        https://bugs.webkit.org/show_bug.cgi?id=61649

        Remove the need for Ecore_X and some X calls by always using
        new functions available in EFL to get the screen size.

        * Source/cmake/FindEFL.cmake: Bump ecore and ecore-evas versions.

2011-06-07  Andreas Kling  <andreas.kling@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] Fix Symbian build with RVCT 2.x
        https://bugs.webkit.org/show_bug.cgi?id=62205

        RVCT 2.x doesn't support (or need) the --signed_bitfields command-line
        option, so restrict it to version 4.x of the compiler.

        * Source/WebKit.pri:

2011-06-06  Martin Robinson  <mrobinson@igalia.com>

        Fix the GTK+ build by ensuring that the autogenerated sources
        necessary for libWebCoreInternals are recorded in a predeclared
        variable before assigning to BUILT_SOURCES.

        * GNUmakefile.am: Assign libWebCoreInternals built sources to
        libwebcoreinternals_built_sources before adding to the source list
        and to BUILT_SOURCES.

2011-06-06  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix the GTK+ build.

        * GNUmakefile.am: Add javascriptcore_cflags variable.

2011-06-04  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Restore the PPC build and allow users to specify architectures
        to build on Mac.

        * wscript:

2011-06-04  Adam Barth  <abarth@webkit.org>

        Configure new commit-queue instance.  (Please ignore.)

2011-06-03  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Dimitri Glazkov.

        Teach Gtk build about window.internals
        https://bugs.webkit.org/show_bug.cgi?id=61071

        * Source/autotools/symbols.filter: Added some symbols necessary for
        window.internals to function to the global symbol list.

2011-06-03  Alexis Menard  <alexis.menard@openbossa.org>

        Reviewed by Benjamin Poulain.

        [Qt] Build fix of QtWebKit 2.2 when inside Qt tree with GCC 4.6.
        https://bugs.webkit.org/show_bug.cgi?id=61957

        When building inside the Qt source tree, qmake always append the mkspecs
        defines after ours. We have to workaround and make sure that we append
        our flags after the qmake variable used inside Qt. This workaround was provided
        by our qmake folks. We need to append in both case because qmake behave differently
        when called with -spec or via SUBDIR+=.

        * Source/WebKit.pri:

2011-06-02  Alexis Menard  <alexis.menard@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Build fix of QtWebKit 2.2 when inside Qt tree with GCC 4.6.
        https://bugs.webkit.org/show_bug.cgi?id=61957

        When building inside the Qt source tree, qmake always append the mkspecs
        defines after ours. We have to workaround and make sure that we append 
        our flags after the qmake variable used inside Qt. This workaround was provided 
        by our qmake folks.

        * Source/WebKit.pri:

2011-03-30  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Adam Roben.

        [GTK] [WebKit2] Implement a basic WebKitTestRunner
        https://bugs.webkit.org/show_bug.cgi?id=57068

        * GNUmakefile.am: Added reference to WebKitTestRunner GNUmakefile.

2011-05-31  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Bump version to 1.5.1.

        * configure.ac:

2011-05-25  Gregg Tavares  <gman@chromium.org>

        Reviewed by Kenneth Russell.

        Add 'noExtensions' option to Web/GraphicsContext3D attributes.
        https://bugs.webkit.org/show_bug.cgi?id=61460

        * Source/WebCore/html/canvas/WebGLRenderingContext.cpp:
        * Source/WebCore/platform/graphics/GraphicsContext3D.h:
        * Source/WebKit/chromium/public/WebGraphicsContext3D.h:
        * Source/WebKit/chromium/src/GraphicsContext3DChromium.cpp:

2011-05-24  Keishi Hattori  <keishi@webkit.org>

        Reviewed by Kent Tamura.

        Disable textfield implementation of <input type=color>. Add INPUT_COLOR feature flag. Add input color sanitizer.
        https://bugs.webkit.org/show_bug.cgi?id=61273

        * configure.ac: Added INPUT_COLOR feature flag.

2011-05-24  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Adam Barth.

        Adding MHTML reading support.
        https://bugs.webkit.org/show_bug.cgi?id=7168

        * configure.ac:

2011-05-23  Ryuan Choi  <ryuan.choi@samsung.com>

        Rubber stamped by Eric Seidel.

        [CMAKE] Refactoring wtf related code.
        https://bugs.webkit.org/show_bug.cgi?id=60146

        Move WTF_INCLUDE_DIRECTORIES to Source/JavaScriptCore/wtf/CMakeLists.txt.

        * Source/cmake/OptionsCommon.cmake:
        * Source/cmake/OptionsEfl.cmake:

2011-05-18  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed. Fix build break.

        * Source/cmake/WebKitMacros.cmake: Add -i option in order to include Lookup.h

2011-05-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Enable building GTK port with ENABLE_PLUGIN_PROCESS=1
        https://bugs.webkit.org/show_bug.cgi?id=58223

        * configure.ac: Add configure option to enable/disable plugin
        process.

2011-05-12  Gregg Tavares  <gman@chromium.org>

        Reviewed by Kenneth Russell.

        Add option to select GraphicsContext3D implementation.
        https://bugs.webkit.org/show_bug.cgi?id=60297

        * Source/WebKit/chromium/DEPS:
        * Tools/DumpRenderTree/chromium/DumpRenderTree.cpp:

2011-05-12  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Antonio Gomes.

        [CMAKE] Add option to unconditionally enable/disable a feature
        https://bugs.webkit.org/show_bug.cgi?id=60643

        Create an argument to be used in WEBKIT_FEATURE macro, allowing a port
        to enable a feature without showing to user that it can be disabled.
        This is useful if a port needs an option to be always ON/OFF and
        changing it will break the build.

        This way it's possible to add mandatory features to each port without
        touching the cmakeconfig.cmake file.

        * Source/cmake/WebKitFeatures.cmake:

2011-05-11  Dmitry Lomov  <dslomov@google.com>

        Reviewed by David Levin.

        https://bugs.webkit.org/show_bug.cgi?id=59561
        Switch TestWebKitAPI to GTest

        Fixes Makefiles and WinCairo build as well

        * Source/ThirdParty/gtest/README.WebKit:
        * Source/ThirdParty/gtest/msvc/gtest-md.vcproj:
        * Source/ThirdParty/gtest/xcode/Config/General.xcconfig:
        * Source/ThirdParty/gtest/xcode/Makefile: Added.

2011-05-09  Dmitry Lomov  <dslomov@google.com>

        Reviewed by Sam Weinig.
        
        Switch TestWebKitAPI to GTest
        https://bugs.webkit.org/show_bug.cgi?id=59561

        * Source/ThirdParty/gtest/README.WebKit:
        * Source/ThirdParty/gtest/msvc/gtest-md.vcproj:

2011-05-09  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Gustavo Noronha.

        Fix logic in GCC version detection, it was reversed.

        * configure.ac:

2011-05-09  Alexis Menard  <alexis.menard@openbossa.org>

        Reviewed by Andreas Kling.

        [Qt] Fix the build on Embedded Linux.
        https://bugs.webkit.org/show_bug.cgi?id=60347

        qpa is the name for lighthouse but the old name for Qt for Embedded Linux should
        still be used in order to build properly.

        * Source/WebKit.pri:

2011-05-05  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Add LocalizedDateNone.cpp to the build.

        * wscript:

2011-05-05  Prasanth Ullattil  <prasanth.ullattil@nokia.com>

        Reviewed by Simon Hausmann.

        Install correct header files for webkit.

        Since WebKit is no longer inside Qt, we can remove the detection for
        that.

        [Qt] Install targets are not working correctly for modularized Qt and QtWebkit
        https://bugs.webkit.org/show_bug.cgi?id=57621

        * Source/sync.profile:

2011-05-05  Adam Barth  <abarth@webkit.org>

        Remove a couple stray mentions of WML that I missed before.

        * configure.ac:

2011-05-05  Alexis Menard  <alexis.menard@openbossa.org>

        Reviewed by Benjamin Poulain.

        [Qt] Make QtWebKit build when using gcc 4.6.0
        https://bugs.webkit.org/show_bug.cgi?id=60265

        If QtWebKit is compiled with gcc 4.6.0 and the build is not done
        with c++0x support we need to deactivate warnings about compatibility.
        Some WebKit types have names which conflicts with upcoming c++0x
        types. If QtWebKit is built with c++0x support, WebKit has code to
        fallback to the standard type rather than the WebKit implementation.
        For example nullptr will be the one of the std if build options turns on
        c++0x support.

        * Source/WebKit.pri:

2011-05-04  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Fix warnings in webkit.m4 with autoconf 2.68
        https://bugs.webkit.org/show_bug.cgi?id=60189

        Use AC_LANG_SOURCE when passing source code to AC_COMPILE_IFELSE
        to remove warnings.

        * Source/autotools/webkit.m4: ditto.

2011-05-04  Martin Robinson  <mrobinson@igalia.com>

        Fix the WebKitGTK+ build.

        * configure.ac: Added option parsing code for loading touch icons.

2011-05-03  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Xan Lopez.

        [CMAKE] Remove C++0x compat mode warnings for GCC >= 4.6.0
        https://bugs.webkit.org/show_bug.cgi?id=60041

        Hardcode -Wno-c++0x-compat for the default compiler (if version >=
        4.6.0) until our codebase is ready. This is the same as done for
        autotools.

        * Source/cmake/WebKitHelpers.cmake: ditto.

2011-05-03  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Unreviewed, rolling out r85624.
        http://trac.webkit.org/changeset/85624

        The same command is used also for make_names.pl, which breaks
        the build.

        * Source/cmake/OptionsCommon.cmake: ditto.

2011-05-03  Leandro Pereira  <leandro@profusion.mobi>

        [EFL] Unreviewed build fix for NETWORK_BACKEND=curl.

        Force linking with zlib so that uncompress() exists.

        * Source/cmake/OptionsEfl.cmake: Find zlib.

2011-05-03  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        [CMAKE] Unreviewed build fix for gcc >= 4.6

        Same fix as done in r84123. CMake explicitly pass the arguments to
        make_names.pl, so let's make them the same.

        * Source/cmake/OptionsCommon.cmake: ditto.

2011-05-02  Adam Klein  <adamk@chromium.org>

        Reviewed by Tony Chang.

        Roll chromium DEPS to r83722, add new crypto directory to DEPS
        https://bugs.webkit.org/show_bug.cgi?id=59992

        * .gitignore:
        Ignore new chromium/crypto directory.

2011-05-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Build webkit1 even when webkit2 is enabled
        https://bugs.webkit.org/show_bug.cgi?id=59695

        * GNUmakefile.am:
        * configure.ac:

2011-05-01  ojab  <ojab@ojab.ru>

        Reviewed by Eric Seidel.

        --disable-video-track if --disable-video
        https://bugs.webkit.org/show_bug.cgi?id=59605

        * configure.ac:

2011-04-29  Dean Jackson  <dino@apple.com>

        Reviewed by Simon Fraser.

        Add ENABLE macro for WebKitAnimation
        https://bugs.webkit.org/show_bug.cgi?id=59729

        Add new feature to toggle WebKit Animation API.

        * configure.ac:

2011-04-29  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Fix library copying logic for wxMSW 2.9.x.

        * wscript:

2011-04-28  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove WML
        https://bugs.webkit.org/show_bug.cgi?id=59678

        Remove WML configuration option from the CMake build system.

        * Source/cmake/OptionsEfl.cmake:
        * Source/cmake/OptionsWinCE.cmake:
        * Source/cmakeconfig.h.cmake:

2011-04-28  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] Split JSC and WebCore builds
        https://bugs.webkit.org/show_bug.cgi?id=19428

        Add a pkg-config file for JavaScriptCoreGTK+.

        * configure.ac: generate the final pkg-config file from our .in
        file.

2011-04-28  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] Split JSC and WebCore builds
        https://bugs.webkit.org/show_bug.cgi?id=19428

        Build JavaScriptCore as a libtool shared library instead of a
        private convenience library.

        * GNUmakefile.am: remove convenience library definition for jsc.

2011-04-28  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Remove C++0x compat mode warnings for GCC >= 4.6.0
        https://bugs.webkit.org/show_bug.cgi?id=59718

        Hardcode -Wno-c++0x-compat for the default compiler (if version >=
        4.6.0) until our codebase is ready.

        * configure.ac: do that.

2011-04-27  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Upstream Symbian platform plugin
        https://bugs.webkit.org/show_bug.cgi?id=58435

        Upstream Symbian platform plugin.

        * Source/WebKit.pro: Add platformplugin path to the SUBDIRS.

2011-04-27  Steve Block  <steveblock@google.com>

        Reviewed by David Levin.

        Remove Android build system
        https://bugs.webkit.org/show_bug.cgi?id=48111

        This is to avoid the maintenance burden until the Android port is
        fully upstreamed.

        * Source/Android.mk: Removed.

2011-04-26  Kevin Ollivier  <kevino@theolliviers.com>

        Rubberstamped by Eric Seidel.

        Enable waf to be used to build other ports
        https://bugs.webkit.org/show_bug.cgi?id=58213

        * wscript:

2011-04-22  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r84627.
        http://trac.webkit.org/changeset/84627
        https://bugs.webkit.org/show_bug.cgi?id=59271

        It broke Symbian build (Requested by Ossy on #webkit).

        * Source/WebKit.pro:

2011-04-22  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Upstream Symbian platform plugin
        https://bugs.webkit.org/show_bug.cgi?id=58435

        Upstream Symbian platform plugin.

        * Source/WebKit.pro: Add platformplugin path to the SUBDIRS.

2011-04-21  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Adam Roben.

        Add a feature define to allow <details> and <summary> to be disabled
        https://bugs.webkit.org/show_bug.cgi?id=59118
        <rdar://problem/9257045>

        * configure.ac:

2011-04-18  Evan Martin  <evan@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] expose title direction to webkit client
        https://bugs.webkit.org/show_bug.cgi?id=58823

        *  Tools/DumpRenderTree/chromium/LayoutTestController.cpp:
        *  Tools/DumpRenderTree/chromium/LayoutTestController.h:
        Adapt to new API.  Expose title direction to JS so it can be tested.

        *  Tools/DumpRenderTree/chromium/WebViewHost.cpp:
        *  Tools/DumpRenderTree/chromium/WebViewHost.h:
        Provide new API.

2011-04-18  Hans Wennborg  <hans@chromium.org>

        Reviewed by Steve Block.

        LevelDB backend for IndexedDB
        https://bugs.webkit.org/show_bug.cgi?id=57372

        Add LevelDB wrappers to Android.mk.

        * Source/Android.mk:

2011-04-18  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Pavel Feldman.

        REGRESSION (r81479): generate-inspector-idl fails on native win32
        https://bugs.webkit.org/show_bug.cgi?id=58315

        Disable git autocrlf for Inspector.json.

        * .gitattributes:

2011-04-16  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Eric Seidel.

        Rename PLATFORM(CAIRO) to USE(CAIRO)
        https://bugs.webkit.org/show_bug.cgi?id=55192

        * Source/cmake/OptionsEfl.cmake:

2011-04-15  Shishir Agrawal  <shishir@chromium.org>

        Reviewed by James Robinson.

        Add a flag to guard Page Visibility API changes.
        https://bugs.webkit.org/show_bug.cgi?id=58464

        Initial draft at:
        http://lists.w3.org/Archives/Public/public-webapps/2011JanMar/0175.html

        * configure.ac:

2011-04-15  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        * configure.ac: bump to 1.5.0, 1.4.0 will be released from a
        branch and was already cut off.

2011-04-15  Anna Cavender  <annacc@chromium.org>

        Reviewed by Eric Carlson.

        Renaming TRACK feature define to VIDEO_TRACK
        https://bugs.webkit.org/show_bug.cgi?id=53556

        * configure.ac:

2011-04-13  Dmitry Lomov  <dslomov@google.com>

        Reviewed by David Levin.

        Add GTest unit-testing framework to WebKit
        https://bugs.webkit.org/show_bug.cgi?id=58507

        * Source/ThirdParty/gtest/CHANGES: Added.
        * Source/ThirdParty/gtest/CMakeLists.txt: Added.
        * Source/ThirdParty/gtest/CONTRIBUTORS: Added.
        * Source/ThirdParty/gtest/COPYING: Added.
        * Source/ThirdParty/gtest/Makefile.am: Added.
        * Source/ThirdParty/gtest/README: Added.
        * Source/ThirdParty/gtest/README.WebKit: Added.
        * Source/ThirdParty/gtest/codegear/gtest.cbproj: Added.
        * Source/ThirdParty/gtest/codegear/gtest.groupproj: Added.
        * Source/ThirdParty/gtest/codegear/gtest_all.cc: Added.
        * Source/ThirdParty/gtest/codegear/gtest_link.cc: Added.
        * Source/ThirdParty/gtest/codegear/gtest_main.cbproj: Added.
        * Source/ThirdParty/gtest/codegear/gtest_unittest.cbproj: Added.
        * Source/ThirdParty/gtest/configure.ac: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-death-test.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-message.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-param-test.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-param-test.h.pump: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-spi.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-test-part.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest-typed-test.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest_pred_impl.h: Added.
        * Source/ThirdParty/gtest/include/gtest/gtest_prod.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-death-test-internal.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-filepath.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-internal.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-linked_ptr.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-param-util-generated.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-param-util-generated.h.pump: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-param-util.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-port.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-string.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-tuple.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-tuple.h.pump: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-type-util.h: Added.
        * Source/ThirdParty/gtest/include/gtest/internal/gtest-type-util.h.pump: Added.
        * Source/ThirdParty/gtest/m4/acx_pthread.m4: Added.
        * Source/ThirdParty/gtest/m4/gtest.m4: Added.
        * Source/ThirdParty/gtest/make/Makefile: Added.
        * Source/ThirdParty/gtest/msvc/gtest-md.sln: Added.
        * Source/ThirdParty/gtest/msvc/gtest-md.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest.sln: Added.
        * Source/ThirdParty/gtest/msvc/gtest.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest_main-md.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest_main.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest_prod_test-md.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest_prod_test.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest_unittest-md.vcproj: Added.
        * Source/ThirdParty/gtest/msvc/gtest_unittest.vcproj: Added.
        * Source/ThirdParty/gtest/run_tests.py: Added.
        * Source/ThirdParty/gtest/samples/prime_tables.h: Added.
        * Source/ThirdParty/gtest/samples/sample1.cc: Added.
        * Source/ThirdParty/gtest/samples/sample1.h: Added.
        * Source/ThirdParty/gtest/samples/sample10_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample1_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample2.cc: Added.
        * Source/ThirdParty/gtest/samples/sample2.h: Added.
        * Source/ThirdParty/gtest/samples/sample2_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample3-inl.h: Added.
        * Source/ThirdParty/gtest/samples/sample3_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample4.cc: Added.
        * Source/ThirdParty/gtest/samples/sample4.h: Added.
        * Source/ThirdParty/gtest/samples/sample4_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample5_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample6_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample7_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample8_unittest.cc: Added.
        * Source/ThirdParty/gtest/samples/sample9_unittest.cc: Added.
        * Source/ThirdParty/gtest/scripts/fuse_gtest_files.py: Added.
        * Source/ThirdParty/gtest/scripts/gen_gtest_pred_impl.py: Added.
        * Source/ThirdParty/gtest/scripts/gtest-config.in: Added.
        * Source/ThirdParty/gtest/scripts/pump.py: Added.
        * Source/ThirdParty/gtest/scripts/test/Makefile: Added.
        * Source/ThirdParty/gtest/scripts/upload.py: Added.
        * Source/ThirdParty/gtest/scripts/upload_gtest.py: Added.
        * Source/ThirdParty/gtest/src/gtest-all.cc: Added.
        * Source/ThirdParty/gtest/src/gtest-death-test.cc: Added.
        * Source/ThirdParty/gtest/src/gtest-filepath.cc: Added.
        * Source/ThirdParty/gtest/src/gtest-internal-inl.h: Added.
        * Source/ThirdParty/gtest/src/gtest-port.cc: Added.
        * Source/ThirdParty/gtest/src/gtest-test-part.cc: Added.
        * Source/ThirdParty/gtest/src/gtest-typed-test.cc: Added.
        * Source/ThirdParty/gtest/src/gtest.cc: Added.
        * Source/ThirdParty/gtest/src/gtest_main.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-death-test_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-filepath_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-linked_ptr_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-listener_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-message_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-options_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-param-test2_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-param-test_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-param-test_test.h: Added.
        * Source/ThirdParty/gtest/test/gtest-port_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-test-part_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-tuple_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-typed-test2_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-typed-test_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest-typed-test_test.h: Added.
        * Source/ThirdParty/gtest/test/gtest-unittest-api_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_all_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_break_on_failure_unittest.py: Added.
        * Source/ThirdParty/gtest/test/gtest_break_on_failure_unittest_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_color_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_color_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_env_var_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_env_var_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_environment_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_filter_unittest.py: Added.
        * Source/ThirdParty/gtest/test/gtest_filter_unittest_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_help_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_help_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_list_tests_unittest.py: Added.
        * Source/ThirdParty/gtest/test/gtest_list_tests_unittest_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_main_unittest.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_nc.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_nc_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_no_test_unittest.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_output_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_output_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_output_test_golden_lin.txt: Added.
        * Source/ThirdParty/gtest/test/gtest_output_test_golden_win.txt: Added.
        * Source/ThirdParty/gtest/test/gtest_pred_impl_unittest.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_prod_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_repeat_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_shuffle_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_shuffle_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_sole_header_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_stress_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_test_utils.py: Added.
        * Source/ThirdParty/gtest/test/gtest_throw_on_failure_ex_test.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_throw_on_failure_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_throw_on_failure_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_uninitialized_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_uninitialized_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_unittest.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_xml_outfile1_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_xml_outfile2_test_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_xml_outfiles_test.py: Added.
        * Source/ThirdParty/gtest/test/gtest_xml_output_unittest.py: Added.
        * Source/ThirdParty/gtest/test/gtest_xml_output_unittest_.cc: Added.
        * Source/ThirdParty/gtest/test/gtest_xml_test_utils.py: Added.
        * Source/ThirdParty/gtest/test/production.cc: Added.
        * Source/ThirdParty/gtest/test/production.h: Added.
        * Source/ThirdParty/gtest/test/run_tests_util.py: Added.
        * Source/ThirdParty/gtest/test/run_tests_util_test.py: Added.
        * Source/ThirdParty/gtest/xcode/Config/DebugProject.xcconfig: Added.
        * Source/ThirdParty/gtest/xcode/Config/FrameworkTarget.xcconfig: Added.
        * Source/ThirdParty/gtest/xcode/Config/General.xcconfig: Added.
        * Source/ThirdParty/gtest/xcode/Config/ReleaseProject.xcconfig: Added.
        * Source/ThirdParty/gtest/xcode/Config/StaticLibraryTarget.xcconfig: Added.
        * Source/ThirdParty/gtest/xcode/Config/TestTarget.xcconfig: Added.
        * Source/ThirdParty/gtest/xcode/Resources/Info.plist: Added.
        * Source/ThirdParty/gtest/xcode/Samples/FrameworkSample/Info.plist: Added.
        * Source/ThirdParty/gtest/xcode/Samples/FrameworkSample/WidgetFramework.xcodeproj/project.pbxproj: Added.
        * Source/ThirdParty/gtest/xcode/Samples/FrameworkSample/runtests.sh: Added.
        * Source/ThirdParty/gtest/xcode/Samples/FrameworkSample/widget.cc: Added.
        * Source/ThirdParty/gtest/xcode/Samples/FrameworkSample/widget.h: Added.
        * Source/ThirdParty/gtest/xcode/Samples/FrameworkSample/widget_test.cc: Added.
        * Source/ThirdParty/gtest/xcode/Scripts/runtests.sh: Added.
        * Source/ThirdParty/gtest/xcode/Scripts/versiongenerate.py: Added.
        * Source/ThirdParty/gtest/xcode/gtest.xcodeproj/project.pbxproj: Added.

2011-04-13  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Kenneth Rohde Christiansen.

        [CMAKE] Separate DerivedSources.
        https://bugs.webkit.org/show_bug.cgi?id=58427

        Seperate DerivedSources/ to DerivedSources/WebCore and
        DerivedSources/JavaScriptCore.

        * Source/CMakeLists.txt:
        * Source/cmake/OptionsCommon.cmake:
        * Source/cmake/WebKitFS.cmake:
        * Source/cmake/WebKitHelpers.cmake:
        * Source/cmake/WebKitMacros.cmake:

2011-04-13  Tony Chang  <tony@chromium.org>

        Ignore files generated from glu.gyp.

        * .gitignore:

2011-03-28  Adam Barth  <abarth@webkit.org>

        Reviewed by Kenneth Russell.

        Move libtess from WebCore/thirdparty to ThirdParty
        https://bugs.webkit.org/show_bug.cgi?id=57288

        We're putting third party code in Source/ThirdParty these days.

        * Source/ThirdParty/glu: Copied from Source/WebCore/thirdparty/glu.
        * Source/ThirdParty/glu/glu.gyp: Added.

2011-04-12  Thouraya ANDOLSI  <thouraya.andolsi@st.com>

        Reviewed by Eric Seidel.

        [QT] Enable JIT build for SH4 platforms.
        https://bugs.webkit.org/show_bug.cgi?id=58317
        add disable_uitools for SH4 platforms.

        * Source/WebKit.pri:

2011-04-11  Anna Cavender  <annacc@chromium.org>

        Reviewed by Eric Carlson.

        Setup ENABLE(TRACK) feature define
